/*******************************************************************************	
Project:  		TUP - Afghanistan
Created on:  	May 1, 2023
Last udpate on: 

Written by:  	Thomas Escande


********************************************************************************			

THIS DO FILE: 	Cleans livestock own by the household from gross outliers at baseline

CONTENT:		

INPUTS:     	

OUTPUTS:     	

*******************************************************************************/
	

	
* Get ultra-poor variable 
	merge m:1 hhid using "${profile_info}" , assert(2 3) nogen keep(3) keepus(ultra_poor treatment)


*-----------------------------------------------*
* k8: EARNINGS IF YOU HAD TO SELL ONE LIVESTOCK *
*-----------------------------------------------*

* Variable does not exist for Ultra Poors

* Only doing it for Cows, Goats, sheeps and chicken which are the main types

	* Look at the data to identify potential outliers (NB Asset cost for the program was estimated as 37 000 AFN AFN (2016) ) and included pregnant cow or with calf
	* Transfer equivalence: 1 cow = 3 Sheep = 4 Goats . For chicken, international comparison would be 0.017 cow so 1 cow = 59 chicken 	
		
* First exclude values that are 0 and obviously not possible even for a chicken 
	replace k8 = .o if k8 == 0
		
* 1) Cows
	
	* Not very clear
	local i = 1
	local var k8
	local item livestock
	local yes_var k6
	sum `var' if `yes_var' == 1 & `item' == `i', d
	br `item' ultra_poor `var' if `yes_var' == 1 & `item' == `i'
	

	* Taking 50000 as an upper limit based on the transfer price, inflation and data distribution - 1 changes, 1 for the UP 
	replace k8 = .o if livestock == 1 & k8 > 50000 & !mi(k8)	


* 5) Goats

	* Some big values, but we cannot assess
	local i = 5
	local var k8
	local item livestock
	local yes_var k6
	sum `var' if `yes_var' == 1 & `item' == `i', d
	br `item' ultra_poor `var' if `yes_var' == 1 & `item' == `i'
	
	* Taking 15000 as an upper limit based on the transfer price, inflation and data distribution -  1 changes, 1 for the UP 
	replace k8 = .o if livestock == 5 & k8 > 15000 & !mi(k8)

* 6) Sheep

	local i = 6
	local var k8
	local item livestock
	local yes_var k6
	sum `var' if `yes_var' == 1 & `item' == `i', d
	br `item' ultra_poor `var' if `yes_var' == 1 & `item' == `i'

	
	* Taking 10000 as an upper limit based on the transfer price, inflation and data distribution - 0 changes
	replace k8 = .o if livestock == 6 & k8 > 10000 & !mi(k8)
	

* 7) Chickens

	local i = 7
	local var k8
	local item livestock
	local yes_var k6
	sum `var' if `yes_var' == 1 & `item' == `i', d
	br `item' ultra_poor `var' if `yes_var' == 1 & `item' == `i'
	
	* Taking 800 as an upper limit based on the transfer price, inflation and data distribution - 7 changes, 7for UP
	replace k8 = .o if livestock == 7 & k8 > 800 & !mi(k8)	
	
	* Drop merged variables
	drop ultra_poor treatment

