/*******************************************************************************	

Project:  		AFG-TUP
Created on:  	Feb 10, 2020

Written by:  	Thomas Escande			

Revision: 		

********************************************************************************	

THIS DO FILE: 	Looks at outliers for the saving and loan variable using consistency checks, replacing as .o all potential outliers at baseline


CONTENT:		Part 1 - Identify potential outliers


						
OUTPUTS:     	
				

Note: 			This do file does not call or save any dataset, it is exclusively used within the "LHH_MHHH_Targ_clean_fl1" do file. 

*******************************************************************************/
	
********************************************************************************
** Part 1: Identify potential outliers
********************************************************************************

*For the total loan variable m5, we will directly use the work done in the dofile "loan_outliers_fl1". 
preserve
use "$loans_bl", clear
keep if loan_number == 1
tempfile loan_outlier
save `loan_outlier'
restore

merge 1:1 hhid using `loan_outlier', assert(1 3) nogen keepusing(flag_outlier)
replace m5 = .o if flag_outlier == 1 //16 hh changed correctly



*Now we will look at the total saving variable: m19 savings last 4 weeks, m20 total saving variable 

***********************m19**************
*hist m19, freq 
list m19 hhid ultra_poor if m19 > 40000 & !mi(m19)
*No obvious extrem outliers, too few observations, only 10, cannot do anything with that. 


***********************m20**************
*hist m20, freq //Some extrem values up to 4 000 000 
list m20 hhid ultra_poor if m20 > 10000 & !mi(m20)
*Defining as outlier any value that is more than 100 000, 3 observations in total
replace m20 = .o if m20 > 100000 & !mi(m20)

graph drop _all
*********************************************end of do file***********************************
