/*******************************************************************************	

Project:  		AFG-TUP
Created on:  	Feb 10, 2020

Written by:  	Thomas Escande			

Revision: 		

********************************************************************************	

THIS DO FILE: 	Looks at outliers in the time use roster using consistency checks, replacing as .o all potential outliers


CONTENT:		Part 1 - Looking at unusual data like type of missing and negative values for all variables
				Part 2 - Identify potential outliers

						
OUTPUTS:     	
				

Note: 			This do file does not call or save any dataset, it is exclusively used within the "preparing_and_cleaning_rosters" do files. 

*******************************************************************************/


*********************************************************************************************
** Part 1: Looking at unusual data like type of missing and negative values for all variables
*********************************************************************************************

	ds hhid member, not //Having all the variables but hhid

	foreach var of varlist `r(varlist)' {
	disp "`var'"
	tab `var' , nol m //looking at missing  
	}

/*
Main issues identified: In earnings, need to replace with the values of in kind
There are a few 0.99, 99 and 98 that are likely to be -99 and -98 as they are not round numbers while all the others are
*/
	replace k30_1 = .d 	if k30_1 == 99 | (k30_1 > 0.989 & k30_1<0.999) //The 0.99 is rounded so it won't work if we do =0.99
	replace k30_1 = .r 	if k30_1 == 98 

	
	//Because of wrong coding of 97 instead of -97, question on the inkind was not asked, need to modify to don't know
	replace k30_2 = .d  if k30_1 == 97 
	replace k30_1 = -97 if k30_1 == 97 	
	
*There are no observation for the "in kind" question, k30_2	
	
********************************************************************************
** Part 2: Identify potential outliers
********************************************************************************

/* 
Not much scope for outliers as entry mistakes or misunderstanding with units
Potential issues with variables that requires entering number:
1) k30		: Did you do any of these activites in the last 4 weeks 
3) k30_1 	: How much did member i earn in the last 4 weeks
4) k30_2 	: How much is the value in Afghanis of in kind gifts? 
*/



*******************************************	
*k30_1 	: How much did member i earn in the last 4 weeks
*Checking the high / low values 
*Difficult to estimate as we don't have time spent doing each activities (we only have it for the primary woman)
	sum k30_1
	tab k30_1,m
	*hist k30_1 if k30_1 != -97 & k30_1 !=0 , freq
	

	*Looking at the graph of time spent working vs money earned for each activity	
	forvalues i = 4/9 {
	*hist k30_1 if k30_1 != -97 & k30_1 !=0 & activity == `i' & k30 == 1, name(activity_`i')  freq
	}
	
/*No gross outliers identified in graphs 
*/

*graph drop _all
*********************************************end of do file***********************************
