# Placeholder file

This file has been created automatically by the command **iegitaddmd** from Stata package [**ietoolkit**](https://worldbank.github.io/ietoolkit) to make GitHub sync this folder. GitHub does not sync empty folders or folders that only contain ignored files, but in research projects it is often important to share the full standardized folder structure along with the actual files. This command is intended to be used with **iefolder**, but it can be used in any folder structure intended to be shared on GitHub.

In recently started projects, it is typical to create data folders, script folders (do-files, r-files) and output folders, among others. The output folders are initially empty, but the script files might include a file path to them for later use. If an output folder is empty and another collaborator clones the repository, then the output folder expected by the scripts will not be included by GitHub in the cloned repository, and the script will not run properly.

## You should replace the content of this placeholder file

The text in this file should be replaced with text that describes the intended use of this folder. This file is written in markdown (.md) format, which is suitable for GitHub syncing (unlike .doc/.docx). If the file is named *README.md*, GitHub automatically displays its contents when someone opens the containing folder on GitHub.com using a web browser.

If you are new to markup languages (markdown, html etc.) then this [Markdown Tutorial](https://www.markdowntutorial.com/) is a great place to start. If you have some experience with markup languages, then this [Markdown Cheat Sheet](https://guides.github.com/pdfs/markdown-cheatsheet-online.pdf) is great place to start.

## Add similar files in other folders

The Stata command **iegitaddmd** does not add anything to folders that already have content unless this is explicitly requested using the option `all`. It is best practice to create a *README.md* file in any folders that have content, for example, in folders whose purpose might not obvious to someone using the repository for the first time. Again, if the file is named *README.md*, then the content of the file will be shown in the browser when someone explores the repository on GitHub.com.

Another great use of a *README.md* file is to use it as a documentation on how the folder it sits in and its subfolders are organized,  where its content can be found, and where new content is meant to be saved. For example, if you have a folder called `/Baseline/`, then you can give a short description of the activities conducted during the baseline and where data, scripts and outputs related to it can be found.

## Removing this file

Removing this file is not recommended, as GitHub may stop syncing the parent folder unless the folder now has other content. However, even when content is added and the file can be removed without breaking the GitHub functionality, our recommendation is to replace the content with more relevant content rather than deleting it.

## Folder Structure

**Dofiles**

**1. asset_index_construct_bl**: 

**2. consumption_construct_bl**: Creates the consumption variable, the consumption consistent with ALCS, and the below the poverty line.

**3. data_for_analysis_bl**: Merges the constructed variables to the household dataset and creates the dataset for data analysis.

**4. entrepreneurship_index_bl**: 

**5. female_empowerment_construct_bl**: Constructs the women's empowerment index.

**6. Financial_index_construct_bl**: 

**7. health_construct_bl**: Creates health variables for baseline. Including: diahrrea rate in older under-5 child, and if any under-5 child has vaccination card.

**8. labor_construct_bl**: Constructs labor indicators

**9. market_survey_construct_bl**: Makes imputations for Market survey. 

**10. polinvolvement_foodsecurity_construct_bl**: 

**11. productive_assests_construct_bl**: Constructs the following variables: value of livestock, livestock revenue, agricultural revenue, and non-agricultural business revenue.

**12. psych_well_being_bl**: Creates psych well-being variables

**13. roster_final_bl**: Creates political involvement and food security indices for baseline.

**14. schooling_construct_bl**: Constructs school enrollment ans absenteeism variables.


