* July 16, 2020
* Written by: Maria Camila Ayala
* Calculates the number of UP household where the LHH owns at least one phone number

	global data_for_analysis	"${TUP_DB}/Followup_1/DataSets/Final/data_for_analysis_fl1.dta"
	global phone_roster			"${TUP_DB}/Followup_1/DataSets/Intermediate\mobile_phone_fl1.dta"

	
*---------------------------------*
* Calculate LHH with mobile phone *
*---------------------------------*	
	
* Open dataset
	use "${data_for_analysis}", clear
	
* Keep only ultra-poor sample
	keep if ultra_poor == 1 
	tab consent_svy // 1,147 HHs
	
* Consent phone
	tab consent_phone  // 1,080 HHs consented, 67 didn't
	tab a13 // of the 67 who didnt, 7 still gave phone numbers to be contacted
	tab v1, m // 159 HHs with no phone numbers, and 11 who answered "don't know"
	tab v1

* Keep relevant sample and save tempfile
	keep if v1>0 & !mi(v1)
	keep hhid ultra_poor v1 lady_hh2
	tempfile data_for_analysis
	save 	`data_for_analysis'
	
* Use phone roster	
	use "${phone_roster}", clear

* Merge tempfile
	merge m:1 hhid using `data_for_analysis', assert(1 3) nogen keep(3)
	destring lady_hh2, replace
	
* Identify which households have a LHH with phone roster
	gen 	lady_phone = 1 if lady_hh2 == v3
	replace lady_phone = 0 if lady_hh2 != v3

	bys hhid: egen lady_owner_phone = max(lady_phone)

* Duplicates drop
	duplicates drop hhid, force
	tab lady_owner_phone // 347 households with LHH is owener of at least one line