use "$labor_bl", clear

keep hhid kidf_15_18_bl ultra_poor
keep if ultra_poor == 1 
collapse (max) kidf_15_18_bl, by(hhid)
isid hhid // 1173

tempfile blgirls
save `blgirls'
		
use "$time_activities_ses", clear
keep hhid kidf_15_18 ultra_poor
	keep if ultra_poor == 1
	collapse (max) kidf_15_18, by(hhid)
	isid hhid // 1147
	
	merge 1:1 hhid using "`blgirls'", keep(1 3)
	
	lab var kidf_15_18_fl "HH has a Girl 15-18 at Follow-up"
	lab var kidf_15_18_bl "HH has a Girl 15-18 at Baseline"
	
	tab kidf_15_18_fl kidf_15_18_bl, m col
	
	
** roster child definition 
* follow-up
global roster_final             "${TUP_DB}/Followup_1/DataSets/Intermediate/current_roster_final_fl1"		
	
	use "${roster_final}", clear 
		loc cond_kid = "!inlist(b5, 1, 8, 9, 10, 14, 17, 18, 19, 20, 21)"

		gen kid_under_19_cond = (b8 < 19 & !mi(b8) & `cond_kid')
		gen kid_under_19 = (b8 < 19 & !mi(b8))
		lab var kid_under_19_cond "Kid (under 19) - with relationship condition"
		lab var kid_under_19 "Kid (under 19) - no condition"
		
		tab kid_under_19_cond kid_under_19, m
		
		tab b5 if kid_under_19 == 1 & kid_under_19_cond == 0
			
			
* language / ethnicity at fl1 
	use "${data_for_analysis_fl1}", clear
	keep if ultra_poor == 1 
		bys treatment: tab a10, m
