* Calculates distance between households with the same phone number 

gl date "28Jan2020" //version of phone data and bl data (by Camila)
gl date_psy "27Jan2020" //Version of psych data (by Thomas)

gl output_bl_data  "${TUP_DB}/Baseline/DataSets/Final/AFG_TUP_select_bl_$date.dta"
gl pii_data_gl1 "${TUP_DB_PII}/Followup_1/DataSets/Intermediate/all_HH_interm_pii_fl1.dta"

use "${output_bl_data}", clear

* Generate pairs of phone 
	gen 	pair = "HH 1342-2199" if inlist(hhid, 1342, 2199)
	replace pair = "HH 1305-6195" if inlist(hhid, 1305, 6195)
	replace pair = "HH 1459-2038" if inlist(hhid, 1459, 2038)
	replace pair = "HH 5146-6097" if inlist(hhid, 5146, 6097)
	replace pair = "HH 1309-6639" if inlist(hhid, 1309, 6639)
	replace pair = "HH 6061-6170" if inlist(hhid, 6061, 6170)
	replace pair = "HH 1762-6116" if inlist(hhid, 1762, 6116)
	replace pair = "HH 1913-5075" if inlist(hhid, 1913, 5075)
	replace pair = "HH 5777-6560" if inlist(hhid, 5777, 6560)
	replace pair = "HH 5971-6339" if inlist(hhid, 5971, 6339)

	drop if mi(pair)

* Merge coordinates
	merge 1:1 hhid using "${pii_data_gl1}", keepus(latitude longitude village) assert(3 2) keep(3) nogen

* Reshape
	keep hhid pair latitude longitude village
	bys pair (hhid): gen n = _n

	rename (latitude longitude village hhid) (latitude_ longitude_ village_ hhid_)
	reshape wide hhid_ latitude_ longitude_ village_, i(pair) j(n)

* Calculate distance
	geodist latitude_1 longitude_2 latitude_2 longitude_2, generate(distance)

* Labels
	lab var pair "Pair of households"
	lab var hhid_1 "HHID Household 1"
	lab var hhid_2 "HHID Household 2"
	lab var village_1 "Village Household 1"
	lab var village_2 "Village Household 2"
	lab var distance "Distance between the household in km"
	
	drop latitude_* longitude_*
	
save  "${TUP_DB_PII}/Followup_1/DataSets/Phones/distance_households.dta", replace
