*Understanding the value of paid labor coming from pm/pw versus coming from the other adults in the household 
		global data_for_analysis			"${TUP_DB}/IE_Main_Paper/DataSets/Final/data_for_analysis_fl1_IEpaper.dta"
		global time_activities_long "${TUP_DB}/Followup_1/DataSets/Intermediate/time_activities_long_fl1.dta"		
		
		global controls				i.PRA_lottery
		global controls_all			i.PRA_lottery property_score_bl did_livestock_bl 	
		
		global revenues_sum			tot_hh_income_ppp tot_lstock_revenue_ppp tot_crop_revenue_ppp tot_biz_revenue_ppp tot_hh_pay_ppp		
		
		
use "${time_activities_long}", clear

*Income for the whole household
preserve 
collapse (sum) earnings_4w, by(hhid)
rename earnings_4w hh_earnings_paidlabor

tempfile paidlabor_all
save `paidlabor_all'
restore

*Income for the pm 
preserve 
keep if hhh_name2 == member & b6 == 1 | (hhh_name2 == member & lady_hh2  != member & b6 == 2)
collapse (sum) earnings_4w, by(hhid)
rename earnings_4w pm_earnings_paidlabor

tempfile paidlabor_pm
save `paidlabor_pm'
restore

*Income for the pw 
preserve 
keep if lady_hh2  == member  
collapse (sum) earnings_4w, by(hhid)
rename earnings_4w pw_earnings_paidlabor

tempfile paidlabor_pw
save `paidlabor_pw'
restore

*Income for the other adults
preserve 
drop if lady_hh2  == member  |  hhh_name2 == member
drop if b8 <= 18
collapse (sum) earnings_4w, by(hhid)
rename earnings_4w oadult_earnings_paidlabor

tempfile paidlabor_oadult
save `paidlabor_oadult'
restore

*Income for the children
preserve 
drop if lady_hh2  == member  |  hhh_name2 == member
drop if b8 > 18
collapse (sum) earnings_4w, by(hhid)
rename earnings_4w kid_earnings_paidlabor

tempfile paidlabor_kid
save `paidlabor_kid'
restore


*Merging everything
use "${data_for_analysis}", clear

keep hhid PRA_lottery $revenues_sum treatment

merge 1:1 hhid using `paidlabor_all', nogen keep(1 3)
merge 1:1 hhid using `paidlabor_pm', nogen keep(1 3)
merge 1:1 hhid using `paidlabor_pw', nogen keep(1 3)
merge 1:1 hhid using `paidlabor_oadult', nogen keep(1 3)
merge 1:1 hhid using `paidlabor_kid', nogen keep(1 3)

*Everything in ppp
foreach var in hh_earnings_paidlabor pm_earnings_paidlabor pw_earnings_paidlabor oadult_earnings_paidlabor kid_earnings_paidlabor {
    replace `var' = `var' /  $ppp_2018
	replace `var' = 0 if mi(`var')
	replace `var' = . if mi(tot_hh_pay_ppp)
}


egen sum_all = rowtotal(pm_earnings_paidlabor pw_earnings_paidlabor oadult_earnings_paidlabor kid_earnings_paidlabor)
gen test3 = tot_hh_pay_ppp - sum_all

foreach var in $revenues_sum pm_earnings_paidlabor pw_earnings_paidlabor oadult_earnings_paidlabor kid_earnings_paidlabor {
	sum `var' if treatment == 0 
}


foreach var in $revenues_sum pm_earnings_paidlabor pw_earnings_paidlabor oadult_earnings_paidlabor kid_earnings_paidlabor {
quietly reg `var' treatment i.PRA_lottery, r 
disp "`var'"
disp _b[treatment]
disp r(table)[4,1]
}


*********************
*Looking at the market work done by girls of different age 
use "${time_activities_long}", clear

drop if activity == 9 //keeping only market work 
drop if mi(k30)

bysort hhid member : egen did_mkt_work = max(k30)

duplicates drop hhid member, force

drop if member == lady_hh2 | member == hhh_name2 
	
keep if b6 == 2 

keep if inrange(b8,15,18)

sum did_mkt_work if treatment == 0

reg did_mkt_work treatment i.PRA_lottery, r 

disp _b[treatment]




