/*******************************************************************************	
Project:  		TUP - Afghanistan
Created on:  	Apr 14, 2020
Last udpate on: Apr 14, 2020

Written by:  	Maria Camila Ayala (mayalaguerrero@worldbank.org)
Revision: 		

********************************************************************************			

THIS DO FILE: 	Cleans animal products from gross outliers

CONTENT:		

INPUTS:     	

OUTPUTS:     	

*******************************************************************************/	


	* Cleaning of outliers 
	*----------------------
	
	* Based on the number of livestock owned, we'll flag the HHs who reported in the top 5%
	* A cow in the US produces 6-7 gallons per day,  approx 22 liters. Aprox 600 liters last 4 weeks. --> https://www.uaex.edu/4h-youth/activities-programs/docs/Dairy%20Facts.pdf
	* In the TUP monitoring data, the reported is 3 liters per day. Approx 85 liters last 4 weeks.
	
		* Milk and Yogurt
			levelsof lstock_num_cow, local(num_cows)
			
			gen flag_milk_yogurt = .
			foreach value of local num_cows {
				foreach product in 1 5 {
					display "Product: `product' lstock: `value'"
					sum k10 if k10>0 & product==`product' & lstock_num_cow == `value', d
					replace flag_milk_yogurt = 1 if k10>r(p95) & product==`product' & lstock_num_cow == `value' & !mi(k10)
				}
			}

			* Some manual corrections of implausible values
			* Milk
				bys lstock_num_cow: sum k10 if k10>0 & product==1 & flag_milk_yogurt!=1, d
				sort lstock_num_cow k10
				br hhid lstock_num_cow k10 flag_milk_yogurt if product==1
				replace flag_milk_yogurt=1 if product==1 & lstock_num_cow==2 & k10>=1000 & !mi(k10)
				replace flag_milk_yogurt=1 if product==1 & lstock_num_cow==3 & k10>=1800 & !mi(k10) 
				bys lstock_num_cow: sum k10 if k10>0 & product==1 & flag_milk_yogurt!=1, d
				
			* Yogurt
				br hhid lstock_num_cow k10 flag_milk_yogurt if product==5
				bys lstock_num_cow: sum k10 if k10>0 & product==5 & flag_milk_yogurt!=1, d
				replace flag_milk_yogurt=1 if product==5 & lstock_num_cow==2 & k10>=120 & !mi(k10)
				
	
	* Eggs	
		gen flag_eggs = .
		levelsof lstock_num_chicken, local(num_chicken)
		foreach value of local num_chicken {
			foreach product in 2 {
				display "Product: `product' lstock: `value'"
				sum k10 if k10>0 & product==`product' & lstock_num_chicken == `value', d
				replace flag_eggs = 1 if k10>r(p95) & product==`product' & lstock_num_chicken == `value' & !mi(k10)
			}
		}
		
		* Some manual corrections
			bys lstock_num_chicken: sum k10 if k10>0 & product==1 & flag_eggs!=1, d
			sort lstock_num_chicken k10
			br hhid lstock_num_chicken k10 if product==2
			replace flag_eggs=1 if product==2 & lstock_num_chicken==10 & k10>=720 & !mi(k10)
			bys lstock_num_chicken: sum k10 if k10>0 & product==2 & flag_eggs!=1, d
	
		* Tag household
			gen flag = 1 if flag_milk_yogurt==1
			replace flag = 1 if flag_eggs==1
			bys hhid: egen flag_hh = max(flag)
	
	
	