/*******************************************************************************	

Project:  		TUP - Afghanistan
Created on:  	Feb 26, 2019
Last udpate on: Feb 26, 2019

Written by:  	Maria Camila Ayala (mayalaguerrero@worldbank.org)

Revision: 		

********************************************************************************			

THIS DO FILE: 	Imports all datasets for follow-up Survey and save them in Stata.

CONTENT:		

INPUTS:     	

OUTPUTS:     	

*******************************************************************************/

********************************************************************************
	** Part 0: Create globals for directories and files 
********************************************************************************

* Inputs

	* Market Survey
		gl market_CTO_clean_do "${encryptFolder}\Round Followup_1 Encrypted\Dofiles Import/import_Market_Survey_Followup.do"
	
	* LHH, MHHH, Targeting surveys
		gl LHH_CTO_clean_do "${encryptFolder}\Round Followup_1 Encrypted\Dofiles Import/import_LHH_Survey_Followup.do"
		gl MHHH_CTO_clean_do "${encryptFolder}\Round Followup_1 Encrypted\Dofiles Import/import_MHHH_Survey_Followup.do"
		gl Targ_CTO_clean_do "${encryptFolder}\Round Followup_1 Encrypted\Dofiles Import/import_Targeting_Survey_Followup.do"

* Outputs		
		
	* Market Survey
		gl market_raw_fl1 "${TUP_DB}/Followup_1/DataSets/Raw/Market_raw_fl1.dta"
		
	* LHH, MHHH, Targeting surveys
		gl LHH_raw_fl1_pii "${TUP_DB_PII}/Followup_1/DataSets/Raw/LHH_raw_fl1_pii.dta"
		gl MHHH_raw_fl1_pii "${TUP_DB_PII}/Followup_1/DataSets/Raw/MHHH_raw_fl1_pii.dta"
		gl Targ_raw_fl1_pii "${TUP_DB_PII}/Followup_1/DataSets/Raw/Targ_raw_fl1_pii.dta"
		
********************************************************************************
	** Part 1: Market Survey
********************************************************************************
	
	cd "${TUP_DB_PII}/Followup_1/DataSets/Raw"
		
	foreach svy in market {
		di	"Importing `svy'"
		
		qui	do	"${`svy'_CTO_clean_do}" // import single datasets
		
		if	`c(stata_version)'>=14	{ // re-save in stata13 compatible version
			saveold	"${`svy'_raw_fl1}", replace v(13)
		}
		else {
			save	"${`svy'_raw_fl1}"
		}
	}

********************************************************************************
	** Part 2: LHH, MHHH, Targeting surveys
********************************************************************************

	cd "${TUP_DB_PII}/Followup_1/DataSets/Raw"
		
	foreach svy in LHH MHHH Targ {
		di	"Importing `svy'"
		
		qui	do	"${`svy'_CTO_clean_do}" // import single datasets
		
		if	`c(stata_version)'>=14	{ // re-save in stata13 compatible version
			
			if	inlist("`svy'","LHH", "MHHH")	{
				lab	var	j17	"It is important for me to do whatever"
			}
			
			saveold	"${`svy'_raw_fl1_pii}", replace v(13)
		}
		else {
			save	"${`svy'_raw_fl1_pii}"
		}
	}

	