/*******************************************************************************	

Project:  		TUP - Afghanistan
Created on:  	Feb 26, 2019
Last udpate on: Feb 26, 2019

Written by:  	Maria Camila Ayala (mayalaguerrero@worldbank.org)

Revision: 		

********************************************************************************			

THIS DO FILE: 	Cleans the endline database for Market survey. 


CONTENT:		

INPUTS:     	

OUTPUTS:     	

*******************************************************************************/

********************************************************************************
	** Part 0: Create globals for directories and files 
********************************************************************************

* Inputs

	* Raw data PII - Stata format
		gl market_raw_fl1  "${TUP_DB}/Followup_1/DataSets/Raw/Market_raw_fl1.dta"
		
	* Codebook
		gl market_codebook "${TUP_DB}/Followup_1/Documentation/market_codebook_fl1.xlsx"

* Outputs
	
	*if "`c(username)'" == "mcayala" { // Outputs are saved in Dropbox
		gl market_clean_fl1 		"${TUP_DB}/Followup_1/DataSets/Intermediate/market_clean_fl1.dta"
	/* }
		if "`c(username)'" != "mcayala" { // Outputs are saved in local GitHub
			gl market_clean_fl1 	"${fl1_dt}/Intermediate/market_clean_fl1.dta"
		}
	*/

********************************************************************************
	** Part 1: Cleaning
********************************************************************************

use "${market_raw_fl1}", clear

* GPS coordinates
	gen latitude  = a1latitude 
		replace latitude = q8latitude if !mi(q8latitude)
		lab var latitude "Latitude"
	gen longitude  = a1longitude
		replace longitude = q8longitude if !mi(q8longitude)
		lab var longitude "Longitude"
	order latitude longitude, after(time)

* iecodebook
	*iecodebook template using "${market_codebook}"
	iecodebook apply using "${market_codebook}", drop
		
* Drop GPS and other vars not needed
	drop latitude longitude a1_v formdef_version key submissiondate starttime endtime q9
	
* Drop lavels 
	label val vc1 .
	label val vc2 .
	label val vc3 .
		
* Save

	if	`c(stata_version)'>=14	{
		saveold "${market_clean_fl1}", replace v(13)
	}
	else {
		save "${market_clean_fl1}", replace
	}	
