   * ******************************************************************** *
   * ******************************************************************** *
   *                                                                      *
   *               FOLLOWUP_1 CONSTRUCT MASTER DO_FILE                    *
   *               This master dofile calls all dofiles related           *
   *               to construct in the Followup_1 round.                  *
   *                                                                      *
   * ******************************************************************** *
   * ******************************************************************** *

   ** IDS VAR:          hhid         //Uniquely identifies households (update for your project)
   ** NOTES:
   ** WRITEN BY:        Maria Camila Ayala and Thomas Escande
   ** Last date modified: 12 Jun 2019

*-------------*
* Consumption *
*-------------*

	do "${fl1_doCon}/consumption_construct_fl1.do"

*--------------------*
* Female empowerment *
*--------------------*

	do "${fl1_doCon}/female_empowerment_construct_fl1.do"

*--------*
* Health *
*--------*

* Do file
	do "${fl1_doCon}/health_construct_fl1.do"

* Outputs
	* 1. Children's health outcomes
	*	"${TUP_DB}/Followup_1/DataSets/Intermediate/health_fl1.dta"

*-----------*
* Schooling *
*-----------*
	
	do "${fl1_doCon}/schooling_construct_fl1.do"
	
* Outputs
	* 1. Children's schooling outcomes
	*	"${TUP_DB}/Followup_1/DataSets/Intermediate/schooling_fl1.dta"
	
*-----------------------------------------*
* Political involvement and food security *
*-----------------------------------------*
	
* Do file
	do "${fl1_doCon}/polinvolvement_foodsecurity_construct_fl1.do"
	
* Outputs
	* 1. Political involvement index
	*	"${TUP_DB}/Followup_1/DataSets/Intermediate/political_involvement_index_fl1.dta"
		
	* 2. Food security index
	*	"${TUP_DB}/Followup_1/DataSets/Intermediate/food_security_index_fl1.dta"

	
	
   * ***************************************************** *
   *                                                       *
   * ***************************************************** *
   *
   *   construct dofile 1
   *
   *   The purpose of this dofiles is:
   *     (The ideas below are examples on what to include here)
   *      -what additional data sets does this file require
   *      -what variables are created
   *      -what corrections are made
   *
   * ***************************************************** *

       *do "$fl1_doCon/dofile1.do" //Give your dofile a more informative name, this is just a place holder name

   * ***************************************************** *
   *
   *   construct dofile 2
   *
   *   The purpose of this dofiles is:
   *     (The ideas below are examples on what to include here)
   *      -what additional data sets does this file require
   *      -what variables are created
   *      -what corrections are made
   *
   * ***************************************************** *

       *do "$fl1_doCon/dofile2.do" //Give your dofile a more informative name, this is just a place holder name

   * ***************************************************** *
   *
   *   construct dofile 3
   *
   *   The purpose of this dofiles is:
   *     (The ideas below are examples on what to include here)
   *      -what additional data sets does this file require
   *      -what variables are created
   *      -what corrections are made
   *
   * ***************************************************** *

       *do "$fl1_doCon/dofile3.do" //Give your dofile a more informative name, this is just a place holder name

   * ************************************
   *   Keep adding sections for all additional dofiles needed
