* Overleaf
texdoc init "${output_overleaf_online_appendix}/cost_benefit.tex", replace hardcode nokeep

/*** 
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

/*** 
\begin{document}
	\begin{small}
	\small
		\centering
	  \begin{table}
	  		\centering
	  	  \footnotesize
	  \captionof{table}{Cost-Benefit Analysis}
	      \label{table:cba}
			\begin{tabular}{@{\extracolsep{3pt}}p{0.5cm}p{8cm}p{0.2cm}c{3cm}}
			\hline \\[-1.8ex]
			&  & & Amount in USD \\ \hline \\[-1.8ex]
***/

			texdoc stlog, nolog	

			tex \multicolumn{3}{p{5cm}}{\textbf{Costs}} & \\
			tex (1) & Direct Transfer Costs & & \textdollar831 \\
			tex & \hspace*{0.5cm} Asset Cost & & \textdollar608 \\
			tex & \hspace*{0.5cm} Food Stipend & & \textdollar181 \\
			tex & \hspace*{0.5cm} Health Voucher & & \textdollar42 \\
			tex (2) & Total Supervision Costs & & \textdollar687  \\
			tex & \hspace*{0.5cm} Salaries of Implementing Organization Staff & & \textdollar402 \\
			tex & \hspace*{0.5cm} Materials & & \textdollar55 \\
			tex & \hspace*{0.5cm} Training & & \textdollar44 \\
			tex & \hspace*{0.5cm} Travel Costs & & \textdollar7 \\
			tex & \hspace*{0.5cm} Other Supervision Expenses & & \textdollar180 \\
			tex (3) & Total Direct Costs & & \textdollar1,518 \\
			tex & \hspace*{0.5cm} Start-up Expenses & & \textdollar4 \\
			tex & \hspace*{0.5cm} Indirect Costs & & \textdollar152 \\
			tex (4) & Total Costs, Calculated as if All Incurred Immediately at Beginning of Year 0 & & \textdollar${tot_cost} \\
					
			tex (5) & \textbf{Total Costs, Inflated to Year 2 at 5\% Annual Discount Rate} & & \textbf{\textdollar${tot_cost_discounted}} \\
			tex &  & \\
			tex \multicolumn{2}{p{8cm}}{\textbf{Benefits from Non-durable Consumption}} & \\

			tex (6) & Year 1 Non-durable Annual Consumption & & \textdollar${cons_discount_1}  \\
			tex (7) & Year 2 Non-durable Annual Consumption & & \textdollar${cons_discount_2}  \\
			tex (8) & Year 3 to Year 5 Non-durable Consumption & & \textdollar${cons_3to5} \\
            tex (9) & Excess (Over Control) Livestock Assets Liquidation in Year 5 & & \textdollar${lstock_diff} \\
			tex (10) & Year 6 to Year 9 Non-durable Consumption & & \textdollar${cons_6to9} \\
			tex & \textbf{Total Non-durable Consumption Benefits Assuming:} & & \\
            tex (11) & \textbf{Year 1-9 Non-durable Consumption: (6) + (7) + (8) + (10)} & & \textbf{\textdollar${cons_total}} \\
            tex (12) & \textbf{Year 1-5 Non-durable Consumption and Excess Livestock Assets Liquidation in Year 5: (6) + (7) + (8) + (9)} & & \textbf{\textdollar${cons_lstock_total}} \\
			tex & & \\
			tex \multicolumn{2}{p{8cm}}{\textbf{Ratio of Non-durable Consumption Benefits to Cost}} &  \\
			tex & Total Non-durable Consumption Benefits / Total Costs Ratio Assuming: & & \\
			tex (13) & Year 1-9 Non-durable Consumption: (11)/(5) & & ${cons_cbratio} \\
			tex (14) & Year 1-5 Non-durable Consumption and Excess Livestock Assets Liquidation in Year 5: (12)/(5) & & ${cons_lstock_cbratio} \\
			
			tex & Break Even Point Assuming (Years After Program Start): & & \\		
            tex (15) & Year 1-9 Non-durable Consumption & & {$break_cons} \\
            tex (16) & Year 1-5 Non-durable Consumption and Excess Livestock Assets Liquidation in Year 5 & & {$break_cons_lstock} \\
           
			tex \hline \\[-1.8ex]
		   
			tex \multicolumn{4}{p{13cm}}{\footnotesize{\textit{Notes.} A social discount rate of 5\% applied as per World Bank guidance note (World Bank, 2013). Cost estimates were provided by Microfinance Investment Support Facility for Afghanistan. For a detailed discussion of assumptions behind the non-durable consumption benefits calculation, see \autoref{ssec:som_4}.}} \\
		   
			
			texdoc stlog close

/***
\end{tabular}
\end{table}
\end{small}
\end{document}
***/