* Overleaf
texdoc init "${output_overleaf_online_appendix}/table_attrition.tex", replace hardcode nokeep

/***
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

*-----------------------------------------------------*
* Table AX. Attrition and Response Rates              *
*-----------------------------------------------------* 

	/***
	\begin{document}
	\renewcommand{\arraystretch}{0.9}
	\centering	
	\footnotesize
	\captionof{table}{Endline Attrition and Response Rate}\\  
	\label{table:attrition}	
	\begin{tabular}{@{\extracolsep{1pt}}p{6cm}cccc}
	\\[-1.8ex]\hline \\[-1.8ex]
	& \multicolumn{4}{c}{Panel A: Attrition} \\[-1.8ex]
	\\ \\[-1.8ex]  \cline{2-5} \\[-1.8ex]
	& \makecell{Control \\Mean (SD)} & \makecell{Adjusted\\Difference (SE)} & \makecell{p-value} & \makecell{N} \\    
	& (1) & (2) & (3) & (4)
	\\ \\[-1.8ex]  \cline{2-5} \\[-1.8ex]	
	***/
	
	texdoc stlog, nolog

	tex From Baseline Sample & \begin{tabular}[t]{@{}c@{}} ${attrition_bl_anyroundm0} \\ (${attrition_bl_anyrounds0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${attrition_bl_anyroundt} \\ (${attrition_bl_anyroundtse}) \end{tabular} & $[$${attrition_bl_anyroundp}$]$ & ${N_attrition_bl_anyround}  \\  \\[-1.8ex]	
			
	tex From Midline Sample & \begin{tabular}[t]{@{}c@{}} ${attrition_anyroundm0} \\ (${attrition_anyrounds0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${attrition_anyroundt} \\ (${attrition_anyroundtse}) \end{tabular} & $[$${attrition_anyroundp}$]$ & ${N_attrition_anyround}  \\  \\

	tex \hline \\[-1.8ex]
	
	tex & \multicolumn{4}{c}{Panel B: Endline Response Rate} \\[-1.8ex]
	tex \\ \\[-1.8ex]  \cline{2-5} \\[-1.8ex]
	tex & \makecell{Control \\Mean (SD)} & \makecell{Adjusted\\Difference (SE)} & \makecell{p-value} & \makecell{N} \\    
	tex & (1) & (2) & (3) & (4)
	tex \\ \\[-1.8ex]  \cline{2-5} \\[-1.8ex]		
	
	foreach var in $response {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular} & $[$${`var'p}$]$ & ${N_`var'} \\  \\[-1.8ex]	
	}
	
	tex \hline \\[-1.8ex]
	tex \multicolumn{5}{p{13cm}}{${note_table_attrition}} \\
	
	texdoc stlog close
	
	/***
	\end{tabular}
	\end{document}
	***/