* Overleaf
texdoc init "${output_overleaf_online_appendix}/table_balance_allrounds.tex", replace hardcode nokeep

/***
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

*-----------------------------------------------------*
* Table : Baseline Balance Test - Main Outcomes       *
*-----------------------------------------------------* 

	/***
	\begin{document}
	\renewcommand{\arraystretch}{0.9}
	\begin{table}
	\centering
	\footnotesize
	\captionof{table}{Baseline Balance Test: HHs Surveyed in All Rounds}\\  
	\label{table:balance}		
	\begin{tabular}{@{\extracolsep{1pt}}p{7cm}cccc}
	\\[-1.8ex] \hline \\[-1.8ex]
	& \multicolumn{4}{c}{Panel A: Primary Outcomes}
	\\ \\[-1.8ex]  \cline{2-5} \\[-1.8ex]
	& \makecell{Control \\Mean (SD)} & \makecell{Adjusted\\Difference (SE)} & \makecell{p-value} & \makecell{N} \\    
	& (1) & (2) & (3) & (4)
	\\ \\[-1.8ex]  \cline{2-5} \\[-1.8ex]	
	***/
	
	texdoc stlog, nolog

	foreach var in $ftest_vars {		
		
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular}  & $[$${`var'p}$]$ & ${N_`var'}  \\  \\[-1.8ex]			
	}	
	
	tex \hline \\[-1.8ex]
	
	tex F-test from regression of treatment on all outcomes listed above & \multicolumn{4}{c}{${f_test_r1_r2}}  \\  \\[-1.8ex]
	tex p-value & \multicolumn{4}{c}{${f_test_p_r1_r2}} \\  \\[-1.8ex]
	
	tex \\[-1.8ex] \hline \\[-1.8ex]
	tex & \multicolumn{4}{c}{Panel B: Secondary Outcomes and Other Indicators}
	tex \\ \\[-1.8ex]  \cline{2-5} \\[-1.8ex]
	tex & \makecell{Control \\Mean (SD)} & \makecell{Adjusted\\Difference (SE)} & \makecell{p-value} & \makecell{N} \\    
	tex & (1) & (2) & (3) & (4)
	tex \\ \\[-1.8ex]  \cline{2-5} \\[-1.8ex]	
	
	foreach var in $balance_vars $schooling {		
		
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular}  & $[$${`var'p}$]$ & ${N_`var'}  \\  \\[-1.8ex]			
	}	
	
	tex \hline \\[-1.8ex]

	tex \multicolumn{5}{p{14cm}}{${note_table_balance_all}} \\
	
	texdoc stlog close
	
	/***
	\end{tabular}
	\end{table}
	\end{document}
	***/