* Overleaf
texdoc init "${output_overleaf_online_appendix}/table_impacts_consump_ca21_fl1.tex", replace hardcode nokeep

/***
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

*-----------------------------------------------------------------*
* Table X. Impacts on Consumption and Food Security  - fl1        *
*-----------------------------------------------------------------*

	/***	
	\begin{document}
	\begin{table}
  	\pagestyle{empty}
	\thispagestyle{empty}
	\centering
	\footnotesize
	\captionof{table}{Two-Year Follow-Up Impacts on Consumption, Food Security and Nutritional Diversity}
	\label{table:consumption_fl1}
	\begin{tabular}{@{\extracolsep{1pt}}p{5cm}ccccc}
	\\[-1.8ex] \hline \\[-1.8ex]
	& \makecell{Control\\Mean (SD)} & \makecell{Level (SE)} & \makecell{p-value} & \makecell{\% Control\\Mean} & \makecell{N} \\     
	& (1) & (2) & (3) & (4) & (5) \\ \hline \\ 
	***/	

	texdoc stlog, nolog
	
	
	foreach var in $consumption_ca21   {
		tex ${`var'_fl1_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p} & ${`var'_fl1imp} & ${N_`var'_fl1} \\  \\[-1.8ex]
	}
		
	foreach var in $index_sdC_food_sec  {
		tex ${`var'_fl1_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p} & ${`var'_fl1imp} & ${N_`var'_fl1} \\  \\[-1.8ex]
	}
	
	tex \\[-1.8ex] \multicolumn{10}{@{} l}{\textbf{Nutritional Diversity}} \\  \\[-1.8ex]
	
	foreach var in $item_type {
		tex ${`var'_fl1_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p} & ${`var'_fl1imp} & ${N_`var'_fl1} \\  \\[-1.8ex]
		}
	
	tex \hline \\[-1.8ex]\multicolumn{6}{p{13cm}}{${note_table_impacts_consump_fl1}}\\
	
	texdoc stlog close
	
/***
	\end{tabular}
	\end{table}
	\end{document}
***/