* Overleaf
texdoc init "${output_overleaf_online_appendix}/table_impacts_diversification.tex", replace hardcode nokeep

/***
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

*------------------------------------------------------------------------------*
* Table X. Impacts on Diversification  *
*------------------------------------------------------------------------------*

	/***
	\begin{document}
	\begin{table}
	\centering
	\footnotesize
	\captionof{table}{Impacts on Diversification of Income Sources}\\  
	\label{table:divers}
	\begin{tabular}{@{\extracolsep{1pt}}p{4cm}ccccc}
	\\[-1.8ex] \hline \\[-1.8ex]
	& \makecell{Control\\Mean (SD)} & \makecell{Level (SE)} & \makecell{p-value} & \makecell{\% Control\\Mean}  & \makecell{N} \\    
	& (1) & (2) & (3) & (4) & (5)
	\\ \\[-1.8ex]  \cline{2-6} \\[-1.8ex]
	***/
	
	texdoc stlog, nolog

	foreach var in $diver_outcomes biz_yes {		
		
	tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular}  & ${`var'p} & ${`var'imp} & ${N_`var'} \\  \\[-1.8ex]			
	}	
	
	tex \hline \\[-1.8ex]
	
	tex \multicolumn{6}{p{12cm}}{${note_table_impacts_divers}} \\
	
	texdoc stlog close
	
/***
	\end{tabular}
	\end{table}	
	\end{document}
***/