* Overleaf
texdoc init "${output_overleaf_online_appendix}/table_impacts_psy_we_fl1.tex", replace hardcode nokeep


/***
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

*---------------------------------------------------------------------------*
* Table AX. Impacts on Psychological Well-Being and WE - Indices Only       * 
*---------------------------------------------------------------------------*

	/***	
	\begin{document}
	\centering
	\begin{table}	
	\centering	
    \footnotesize
	\captionof{table}{Two-Year Follow-Up Impacts on Psychological Well-Being and Women's Empowerment\\Indices}
	\label{table:psy_we_index_fl1}		
	\begin{tabular}{@{\extracolsep{1pt}}p{7cm}cccc}
	\\[-1.8ex]\hline \\[-1.8ex]
	& \makecell{Control Mean\\(SD)} & \makecell{Level (SE)} & \makecell{p-value} & \makecell{N} \\     
	& (1) & (2) & (3) & (4) \\ \hline \\ 
	***/	

	texdoc stlog, nolog
		
	foreach var in psy_indexC_sdC {
		tex \bf{${`var'_fl1_lab}} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p} & ${N_`var'_fl1} \\  \\[-1.8ex] \ \\[-1.8ex]
	}
	
	foreach var in $index3 {
		tex \everypar{\hspace{5mm}} ${`var'_fl1_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p} & ${N_`var'_fl1} \\  \\[-1.8ex] \ \\[-1.8ex]
	}
		
	foreach var in index_sdC_f_emp_3c_1 {
	tex \bf{${`var'_fl1_lab}} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p} & ${N_`var'_fl1} \\  \\[-1.8ex] \ \\[-1.8ex]	
	}
	
	foreach var in $empower {
	tex \everypar{\hspace{5mm}}  ${`var'_fl1_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p} & ${N_`var'_fl1} \\  \\[-1.8ex] \ \\[-1.8ex]	
	}
	
	tex \hline \\[-1.8ex]\multicolumn{5}{p{14cm}}{${note_table_impacts_psy_we_fl1}}\\
	
	texdoc stlog close
	
/***
	\end{tabular}
	\end{table}
	\end{document}
***/
