* Overleaf
texdoc init "${output_overleaf_online_appendix}/table_impacts_timeuse_fl1.tex", replace hardcode nokeep


/***
\documentclass[8pt]{article}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{geometry}
\usepackage{graphicx}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{caption}
\usepackage{longtable}
\usepackage[title]{appendix}
\usepackage{hyperref}
\usepackage{pdflscape}
\newcommand{\subsubsubsection}[1]{\paragraph{#1}\mbox{}\\}
\setcounter{secnumdepth}{4}
\setcounter{tocdepth}{4}
***/


*------------------------------------------------------------------------------------*
* Table 3: Impacts on Labor Supply and Time Use, Primary Woman and Man, Past 4 Weeks *
*------------------------------------------------------------------------------------*

/*** 
	\begin{document}
	\centering
	\begin{table}	
	\centering	
	\footnotesize
	\captionof{table}{Two-Year Follow-Up Impacts on Labor Supply and Time Use, Primary Woman and Man, Past 4 Weeks} 
	\label{table:labor_fl1}
	\renewcommand{\arraystretch}{0.7} 
	\footnotesize 
	\begin{tabular}{p{5cm}cccccc} 
	\hline \\[-1.8ex] 
	& \multicolumn{3}{c}{Primary Woman} & \multicolumn{3}{c}{Primary Man} \\ \\[-1.8ex]	 
	\cline{2-4} \cline{5-7}  \\[-1.8ex]  
	& \makecell{Control\\Mean (SD)} & \makecell{Level (SE)} & \makecell{p-value} & \makecell{Control\\Mean (SD)} & \makecell{Level (SE)} & \makecell{p-value} \\
	&  (1) & (2) & (3) & (4) & (5) & (6)  \\ \hline \\    		       
	***/
	 
	texdoc stlog, nolog 
 
	foreach var in $labor_particip { 
		tex \textbf{A. ${`var'_fl1_lab}} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p} & \begin{tabular}[t]{@{}c@{}} ${`var'_pm_fl1m0} \\ (${`var'_pm_fl1s0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_pm_fl1t} \\ (${`var'_pm_fl1tse}) \end{tabular} & ${`var'_pm_fl1p} \\ \\
	} 
	
	foreach var in $participation { 
		tex \everypar{\hspace{5mm}} ${`var'_fl1_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p} & \begin{tabular}[t]{@{}c@{}} ${`var'_pm_fl1m0} \\ (${`var'_pm_fl1s0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_pm_fl1t} \\ (${`var'_pm_fl1tse}) \end{tabular} & ${`var'_pm_fl1p} \\ \\
	} 
	
	tex \multicolumn{10}{@{} l}{\textbf{B. Market Work Participation by Activity}} \\  \\[-1.8ex] 
	tex &  &  & & & &   &  &   \\  \\[-1.8ex] 
			 
	foreach var in $time_sum { 
		tex \everypar{\hspace{5mm}} ${`var'_fl1_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p} & \begin{tabular}[t]{@{}c@{}} ${`var'_pm_fl1m0} \\ (${`var'_pm_fl1s0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_pm_fl1t} \\ (${`var'_pm_fl1tse}) \end{tabular} & ${`var'_pm_fl1p} \\ \\
	} 
	
* Save the smallest N of all variables in the table to display at the bottom  	
	tex \everypar{\hspace{5mm}} N & \multicolumn{3}{c}{${N_min_fl1}} & \multicolumn{3}{c}{${N_min_pm_fl1}} \\ \\[-1.8ex] 	

	tex \hline \\[-1.8ex]\multicolumn{7}{p{16cm}}{${note_table_impacts_timeuse_fl1}}\\ 
	 
	texdoc stlog close 
 
	/*** 
	\end{tabular} 
	\end{table} 
	\end{document} 
	***/	