* Overleaf
texdoc init "${output_overleaf_online_appendix}/table_impacts_we_detail_fl1.tex", replace hardcode nokeep

/***
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

/***
	\begin{document}
	\centering	
	\begin{table}
	\centering	 
	\footnotesize
	\captionof{table}{Two-Year Follow-Up Impacts on Women's Empowerment, by Index Component}
	\label{table:empower_fl1}
	\begin{tabular}{@{\extracolsep{1pt}}p{6cm}cccc}
	\\[-1.8ex] \hline \\[-1.8ex]
	& \makecell{Control\\Mean (SD)} & \makecell{Level (SE)} & \makecell{p-value} & \makecell{N} \\     
	& (1) & (2) & (3) & (4) \\ \hline \\ 
	***/	
	
	texdoc stlog, nolog	
	
	foreach var in $index_sdC_f_emp_3c {
		tex \textbf{${`var'_fl1_lab}} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p}  & ${N_`var'_fl1} \\  \\[-1.8ex]
	}	
	
	tex \hline \\[-1.8ex] \\[-1.8ex]
	
	foreach var in index_sdC_all_decisions {
		if regexm("`var'","index_sdC_f_emp_3c") | regexm("`var'","index_sdC_all_decisions") | regexm("`var'","index_sdC_role_prod_act") | regexm("`var'", "index_sdC_social_capital") {
			tex \textbf{${`var'_fl1_lab}} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p}  & ${N_`var'_fl1} \\  \\[-1.8ex]
		}
		else {
			tex \everypar{\hangindent=0.3cm\hangafter=0} ${`var'_fl1_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p}  & ${N_`var'_fl1} \\  \\[-1.8ex]
		}
	}	
	
	tex \multicolumn{5}{p{14cm}}{\textit{Primary Woman Has a Major Say In:}} \\ 
	
	foreach var in $cate_outcome_1 {
		if regexm("`var'","index_sdC_f_emp_3c") | regexm("`var'","index_sdC_all_decisions") | regexm("`var'","index_sdC_role_prod_act") | regexm("`var'", "index_sdC_social_capital") {
			tex \textbf{${`var'_fl1_lab}} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p}  & ${N_`var'_fl1} \\  \\[-1.8ex]
		}
		else {
			tex \everypar{\hangindent=0.3cm\hangafter=0} ${`var'_fl1_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p}  & ${N_`var'_fl1} \\  \\[-1.8ex]
		}
	}

	foreach var in $cate_outcome_2 {
		if regexm("`var'","index_sdC_f_emp_3c") | regexm("`var'","index_sdC_all_decisions") | regexm("`var'","index_sdC_role") | regexm("`var'", "index_sdC_social_capital") {
			tex \textbf{${`var'_fl1_lab}} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p}  & ${N_`var'_fl1} \\  \\[-1.8ex]
		}
		else {
			tex \everypar{\hangindent=0.3cm\hangafter=0} ${`var'_fl1_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1m0} \\ (${`var'_fl1s0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var'_fl1t} \\ (${`var'_fl1tse}) \end{tabular} & ${`var'_fl1p}  & ${N_`var'_fl1} \\  \\[-1.8ex]
		}
	}
	
	tex \hline \\[-1.8ex]\multicolumn{5}{p{14cm}}{${note_table_impacts_we_detail_fl1}}\\
	
	texdoc stlog close

/***
	\end{tabular}	
	\end{table}
	\end{document}
***/