* Overleaf 
texdoc init "${output_overleaf_online_appendix}/table_proxy_consumption.tex", replace hardcode nokeep  
  
  
/***  
\documentclass[crop=false]{standalone} 
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref} 
\usepackage{textcomp} 
\usepackage[utf8]{inputenc} 
\usepackage{titlesec} 
\usepackage[usenames,dvipsnames]{xcolor} 
\usepackage{makecell} 
\usepackage{adjustbox} 
\usepackage{float} 
\usepackage{longtable} 
\usepackage{indentfirst} 
\usepackage[justification=centering]{caption} 
\usepackage[multiple]{footmisc} 
***/  
  
*----------------------------------------------------*  
* Table . Explanatory Power of Proxy for Consumption *  
*----------------------------------------------------*  
/*** 
	\begin{document}
	\centering
	\begin{table}	
	\centering	
    \footnotesize
	\captionof{table}{Explanatory Power of Total Consumption Proxy}\\  
	\label{table:proxy_consumption}	
	\begin{tabular}{@{\extracolsep{4pt}}p{4cm}cccccc}
	\\[-1.8ex] \hline \\[-1.8ex]
	& \multicolumn{6}{c}{Total Consumption} \\
	\cline{2-7}  \\[-1.8ex] 
	& \multicolumn{3}{c}{Baseline} & \multicolumn{3}{c}{Midline} \\
	\cline{2-4} \cline{5-7}  \\[-1.8ex] 
	& \makecell{UP} & \makecell{Non-UP} & \makecell{All} & \makecell{UP} & \makecell{Non-UP} & \makecell{All} \\    
	& (1) & (2) & (3) & (4) & (5) & (6) \\ \hline \\ 
***/

texdoc stlog, nolog 
	
tex Proxy Total Consumption  &  \begin{tabular}[t]{@{}c@{}} $     ${c_1_1} $ \\ ($     ${c_2_1} $)  \end{tabular}  &  \begin{tabular}[t]{@{}c@{}} $     ${c_1_2} $ \\ ($     ${c_2_2} $)  \end{tabular}  &  \begin{tabular}[t]{@{}c@{}} $     ${c_1_3} $ \\ ($     ${c_2_3} $)   \end{tabular}  &  \begin{tabular}[t]{@{}c@{}} $     ${c_1_4} $ \\ ($     ${c_2_4} $) \end{tabular}  &  \begin{tabular}[t]{@{}c@{}} $     ${c_1_5} $ \\ ($     ${c_2_5} $)  \end{tabular}  &  \begin{tabular}[t]{@{}c@{}} $     ${c_1_6} $ \\ ($     ${c_2_6} $)  \end{tabular}  \\  \\[-1.8ex]
tex Adjusted R-squared  & ${c_3_1}  & ${c_3_2}  & ${c_3_3} & ${c_3_4} & ${c_3_5} & ${c_3_6} \\  \\[-1.8ex]
tex N & ${N_4_1} & ${N_4_2}  & ${N_4_3} & ${N_4_4} & ${N_4_5} & ${N_4_6} \\  \\[-1.8ex]

	tex \hline \\[-1.8ex]\multicolumn{7}{p{13cm}}{${note_proxy_consump}}\\
	
	texdoc stlog close
	
/***
	\end{tabular}
	\end{table}
	\end{document}
***/