* Overleaf
texdoc init "${output_overleaf_online_appendix}/table_sample_impact_compare.tex", replace hardcode nokeep


/***
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

*-----------------------------------------------------------------------------*
* Table AX: Differences Between Midline and Endline Samples and Indicators    *
*-----------------------------------------------------------------------------* 

	/***
	\begin{document}
	\renewcommand{\arraystretch}{0.9}
	\centering	
	\footnotesize
    \captionof{table}{Comparison Between Midline and Endline Samples and Indicators for Midline Impacts}
	\begin{tabular}{@{\extracolsep{1pt}}p{5cm}cccccccc}
	\label{table:sample_indic_comp}
	\\[-1.8ex] \hline \\[-1.8ex]
	& \multicolumn{8}{c}{Panel A: Midline Indicators}
	\\ \\[-1.8ex]  \cline{2-9} \\[-1.8ex]
	& \multicolumn{4}{c}{A1. Midline Sample} & \multicolumn{4}{c}{A2. Endline Sample}
	\\ \\[-1.8ex]  \cline{2-5} \cline{6-9}\\[-1.8ex]
	& \makecell{Control\\Mean (SD)} & \makecell{Level\\(SE)} & \makecell{p-value} & \makecell{\% Control\\Mean} & \makecell{Control\\Mean (SD)} & \makecell{Level\\(SE)} & \makecell{p-value} & \makecell{\% Control\\Mean}\\    
	& (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8)
	\\ \\[-1.8ex]  \cline{2-5} \cline{6-9}\\[-1.8ex]
	***/
	
	texdoc stlog, nolog
		
	foreach var in $ftest_vars {		
		
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular}  & $[$${`var'p}$]$ & ${`var'imp} & \begin{tabular}[t]{@{}c@{}} ${`var'em0} \\ (${`var'es0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'et} \\ (${`var'etse}) \end{tabular}  & $[$${`var'ep}$]$ & ${`var'eimp} \\  \\[-1.8ex]			
	}			
	
	tex \\[-1.8ex] \hline \\[-1.8ex]
	
	
	tex \end{tabular}	
	tex \newpage
	tex \setcounter{table}{10} 	
	tex \caption{(continued)}
	tex \begin{tabular}{@{\extracolsep{1pt}}p{5cm}cccccccc}	
	tex \\ \\[-1.8ex]  \cline{2-9} \\[-1.8ex]	
	tex & \multicolumn{8}{c}{Panel B: Endline Indicators}
	tex \\ \\[-1.8ex]  \cline{2-9} \\[-1.8ex]
	tex & \multicolumn{4}{c}{B1. Midline Sample} & \multicolumn{4}{c}{B2. Endline Sample}
	tex \\ \\[-1.8ex]  \cline{2-5} \cline{6-9}\\[-1.8ex]
	tex & \makecell{Control\\Mean (SD)} & \makecell{Level\\(SE)} & \makecell{p-value} & \makecell{\% Control\\Mean} & \makecell{Control\\Mean (SD)} & \makecell{Level\\(SE)} & \makecell{p-value} & \makecell{\% Control\\Mean} \\    
	tex & (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8)
	tex \\ \\[-1.8ex]  \cline{2-5} \cline{6-9}\\[-1.8ex]
		
	foreach var in $ftest_vars_phonesvy {		
		
		tex ${`var'p_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'pm0} \\ (${`var'ps0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'pt} \\ (${`var'ptse}) \end{tabular}  & $[$${`var'pp}$]$ & ${`var'pimp} & \begin{tabular}[t]{@{}c@{}} ${`var'pem0} \\ (${`var'pes0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'pet} \\ (${`var'petse}) \end{tabular}  & $[$${`var'pep}$]$ & ${`var'peimp} \\  \\[-1.8ex]			
	}			
		
	tex \\[-1.8ex] \hline \\[-1.8ex]
	
	* Show consumption N at the bottom 
	tex N & \multicolumn{4}{c}{${N_full}} & \multicolumn{4}{c}{${N_endline}} \\ \\[-1.8ex] 		
	
	tex \hline \\[-1.8ex]\multicolumn{9}{p{18.5cm}}{${note_table_sample_impact_compare}}\\ 
	 
	
	texdoc stlog close
	
	/***
	\end{tabular}
	\end{document}
	***/