
* Income 

global controls i.PRA_lottery
 
 
*Initializing  

	global revenues_sum_usd	tot_hh_income_1_usd tot_hh_pay_imp_1_usd tot_biz_rev_imp_1_usd ///
		tot_crop_rev_imp_2_usd tot_lstock_rev_1_usd   	
	
	use "${data_for_analysis_phonesvy}", clear
	
	keep hhid treatment $revenues_sum_usd PRA_lottery ultra_poor

	gen category = treatment
		replace category  = 2 if mi(treatment)
		
	lab define category_l 0 "Control" 1 "Treatment" 2 "Non-Ultra-Poor"
	label val category category_l

	splitvallabels category
	di "`r(relabel)'"

gen control = 1 if treatment == 0 
replace control = 0 if treatment == 1 

gen non_ultra_poor = (missing(control))
	
	* scatter this: tot_hh_income_usd and have a confidence interval for this 

mat nextResults = J(9,1,.) 
 
	foreach var in $revenues_sum_usd { 
				 
			* control group mean	 
			mean `var' if category == 0
			 
			mat mattemp = r(table) 
			mat nextResults = nextResults , mattemp[1...,1]  
 
			* treatment 	 
			reg `var' treatment $controls, r 
			
			mat mattemp_m = r(table) 
			mat nextResults = nextResults , mattemp_m[1...,1] 	 
			 
			* NUP 
			reg `var' non_ultra_poor $controls if treatment != 1, r 
			
			mat mattemp_m = r(table) 
			mat nextResults = nextResults , mattemp_m[1...,1] 	 
	} 


*Submatrix with only interesting values  
mat coeff = nextResults[1,2..16] 
mat se = nextResults[2,2..4] 

*mat coeff = coeff'  
svmat coeff
svmat se

keep coeff* se*
drop if mi(coeff1)
gen coeff0 = 0

* For scatter (don't do this for now)
	replace coeff2 = coeff2 + coeff1
	replace coeff3 = coeff3 + coeff1
	
	gen low1 	= coeff1 - 1.96 * se1
	gen high1 	= coeff1 + 1.96 * se1

	gen low2 	= coeff2 - 1.96 * se2
	gen high2 	= coeff2 + 1.96 * se2
	
	gen low3 	= coeff3 - 1.96 * se3
	gen high3 	= coeff3 + 1.96 * se3
	
forval i=1/3 {
	gen group`i' = `i'

	gen coeff_s`i' = string(round(coeff`i',.01)) 
}
	replace coeff1 = coeff1 + 2.5
	replace coeff2 = coeff2 + 2.5 //3
	replace coeff3 = coeff3 + 3 //4.5

gen coeff_7 = coeff7 + coeff4
gen coeff_10 = coeff_7 + coeff10
gen coeff_13 = coeff_10 + coeff13

gen coeff_5 = coeff5 + coeff4
gen coeff_6 = coeff6 + coeff4

gen coeff_8 = coeff8 + coeff_5 + coeff7
gen coeff_11 = coeff_8 + coeff11 + coeff10
gen coeff_14 = coeff_11 + coeff14 + coeff13 

gen coeff_9 = coeff9 + coeff_6 + coeff7
gen coeff_12 = coeff_9 + coeff12 + coeff10
gen coeff_15 = coeff_12 + coeff15 + coeff13

twoway (rbar coeff0 coeff4 group1, barwidth(.6) color(gs15)) ///
	(rbar coeff4 coeff_7 group1, barwidth(.6) color(gs12)) ///
	(rbar coeff_7 coeff_10 group1, barwidth(.6) color(gs7)) ///
	(rbar coeff_10 coeff_13 group1, barwidth(.6) color(black)) ///
	(rbar coeff0 coeff_5 group2, barwidth(.6) color(gs15)) ///
	(rbar coeff_5 coeff_8 group2, barwidth(.6) color(gs12)) ///
	(rbar coeff_8 coeff_11 group2, barwidth(.6) color(gs7)) ///
	(rbar coeff_11 coeff_14 group2, barwidth(.6) color(black)) /// 
	(rbar coeff0 coeff_6 group3, barwidth(.6) color(gs15)) ///
	(rbar coeff_6 coeff_9 group3, barwidth(.6) color(gs12)) ///
	(rbar coeff_9 coeff_12 group3, barwidth(.6) color(gs7)) ///
	(rbar coeff_12 coeff_15 group3, barwidth(.6)color(black)) ///
	  (rcap high1 low1 group1, lc(black)) /// 
	  (rcap high2 low2 group2, lc(black)) /// 
	  (rcap high3 low3 group3, lc(black)) ///
		(scatter coeff1 group1, mlabel(coeff_s1) ms(none)  mlabc(black) mlabsize(medlarge)) ///
		(scatter coeff2 group2, mlabel(coeff_s2) ms(none)  mlabc(black) mlabsize(medlarge)) ///
		(scatter coeff3 group3, mlabel(coeff_s3) ms(none)  mlabc(black) mlabsize(medlarge)), ///
		xlabel(1 `""UP" "Control""' 2 `""UP" "Treatment""' 3 "Non-UP", noticks labsize(medlarge)) ///
		 ylabel(0(10)70, labsize(large)) ///
		 graphregion(color(white)) plotregion(color(white)) ylab(, nogrid) ///
		 xsize(3.5) ysize(3) xscale(noline) ///
		legend(position(3) size(medium) order(4 "Livestock Sales" 3 "Agriculture" 2 "Non-Agriculture " 1 "Paid Labor") cols(1) region(style(none)))

	*graph save "${output_raw_figures}/figure_eqty_income.gph", replace 
		
	graph export "${output_overleaf_online_appendix}/figure_eqty_income.png", replace  width(2000)		