** Inflation figure 
clear
	
	* Globas are stored with base 100; remove it for the graph:
	loc food_cpi ${cpi_food_phone} - 100 
	loc overall_cpi ${cpi_econ_phone} - 100 
	loc non_food_cpi ${cpi_non_food_phone} - 100 

	clear 
	input category
	1
	2
	3 
	end
	gen inflation = cond(_n == 1, `food_cpi', cond(_n == 2, `non_food_cpi', cond(_n == 3, `overall_cpi',.)))

	list 
	
	label define cat_l 1 "Food Inflation" 2 "Non-Food Inflation" 3 "Total Inflation"
	lab val category cat_l
	
	set scheme s2mono
	
	
graph bar (sum) inflation, over(category, label(labsize(small))) asyvars showyvars  ///
	legend(off) ytitle("Percent", size(small)) blabel(bar, pos(top) format(%3.0f) size(small)) ///
	graphregion(color(white)) plotregion(color(white)) ylab(, nogrid)
	
	*graph save "${output_raw_figures}/figure_inflation.gph", replace 
	
	*graph export "${output_raw_figures}/figure_inflation.png", replace 	
	
	graph export "${online_appendix_dofile_loc}/figure_inflation.png", replace 	 
	
