* Table AX. Attrition and Response Rates              

gl note_table_attrition "\footnotesize{\textit{Notes.} Panel A reports the proportions of households not surveyed at endline from the ultra-poor baseline (1,173) and midline (1,147) samples. Panel B reports endline response rates over two subsamples. Respose rate out of HHs with a phone number in records reports the proportions of HHs surveyed in at least one of the endline surveys that had their phone numbers confirmed in a phone number verification and collection exercise conducted by MISFA prior to the start of endline data collection. Response rate out of HHs that answered the call reports the proportions of HHs surveyed at endline that picked up the phone in at least one endline data collection round and were confirmed to be the correct HH (this, effectively, is the rate of consent). HH = household; SD = standard deviation.}"

global attrition attrition_bl_anyround attrition_anyround  
global response response_overmisfa_anyround response_anyround 


use "${phone_svy_profile}", clear
	
	* Keep baseline sample 
	preserve 
		foreach var in attrition_bl_anyround {
			global `var'_lab : variable label `var'
			
			reg `var' treatment, r
			sum `var' if treatment == 0 & e(sample) == 1
			
			coeff_treat `var' treatment
		}
	restore 
	
	* Keep fl1 sample 
	preserve 
		keep if fl1_sample == 1 // 2,495

		foreach var in attrition_anyround $response {
			global `var'_lab : variable label `var'
			
			if "`var'" == "response_overfl1_anyround" {
				global `var'_lab "Out of Midline Sample"
			}
			if "`var'" == "response_overmisfa_anyround" {
				global `var'_lab "Out of HHs with a Phone Number in Records"
			}
			if "`var'" == "response_anyround" {
				global `var'_lab "Out of HHs That Answered the Call"
			}			
			
			reg `var' treatment, r
			
			sum `var' if treatment == 0 & e(sample) == 1
			
			coeff_treat `var' treatment
			
			}
		
	restore  
 
 
 	texdoc do 	"${online_appendix_dofile_loc}/Latex/tex_table_attrition.do"	 