global note_table_impacts_psy_we	"\footnotesize{\textit{Notes.} This table reports Ordinary Least Squares estimates of treatment effects. All regressions include 133 randomization PRA controls. Outcomes are listed on the left and primary outcomes are described in detail in \autoref{ssec:som_1}. Column (1) reports the mean and the standard deviation of each outcome for the control group. Column (2) reports the treatment estimates in levels with robust standard errors (in parentheses). Column (3) reports the naive p-values [in brackets]. Column (4) reports the total sample size. HH = household; PRA = participatory rural appraisal; SD = standard deviation' PW = primary woman.}" 
 
global empower				index_sdC_all_decisions index_sdC_role_prod_1 index_sdC_social_capital  
global index3				satisf_z_sdC hap_z_sdC cesd_z_sdC 
 
*--------------------------------------------------------------------------*	 
* Table AX. Impacts on Psychological Well-Being and WE - Indices Only      * 
*--------------------------------------------------------------------------* 
	
******************************************************************************** 
	* Phone Survey 
********************************************************************************		 
	use "${data_for_analysis_phonesvy}", clear 
 
	foreach var in psy_indexC_sdC $index3 index_sdC_f_emp_3c_1 $empower { 
	
		global `var'_lab : var label `var'
	
		if regexm("`var'","satisf_z_sdC") { 
			global `var'_lab "Life Satisfaction (WVS) Index" 		 
		}	 
		if regexm("`var'","hap_z_sdC") { 
			global `var'_lab "Happiness (WVS) Index" 		 
		}	 		
		if regexm("`var'","cesd_z_sdC") { 
			global `var'_lab "Depression (CES-D) Index (Negatively Coded)" 		 
		}	
		if regexm("`var'","psy_indexC_sdC") { 
			global `var'_lab "PW Psychological Well-being Index (3 items)" 	 
		}	
		
		reg `var' treatment ${controls}, r 
		sum `var' if treatment == 0 & e(sample) == 1 
		 
		coeff_treat `var' treatment 
		 
		gl `var'p "$[$${`var'p}$]$" 
	}	 
 
	* Start the Latex document 
	texdoc do 	"${online_appendix_dofile_loc}/Latex/tex_table_impacts_psy_we.do"	 
