global note_table_impacts_psy_we_fl1	"\footnotesize{\textit{Notes.} This table reports Ordinary Least Squares estimates of treatment effects. All regressions include 133 randomization PRA controls. Outcomes are listed on the left and described in detail in SOM 1 of the Appendix. Columns (1) - (4) report the two-yer follow-up estimates for the five-year follow-up sample, and columns (5) - (8) report the five-year follow-up estimates. Columns (1), (5) report the mean and the standard deviation of each outcome for the control group at the two- and five-year follow-up, respectively. Columns (2), (6) report the treatment estimates in levels with robust standard errors (in parentheses) and naive p-values (in brackets). Columns (3), (7) report the total sample size for each estimate. HH = household; PRA = participatory rural appraisal; SD = standard deviation.}" 
 
global empower				index_sdC_all_decisions index_sdC_role_prod_1 index_sdC_social_capital  
global index3				satisf_z_sdC hap_z_sdC cesd_z_sdC 
 
*--------------------------------------------------------------------------*	 
* Table AX. Impacts on Psychological Well-Being and WE - Indices Only      * 
*--------------------------------------------------------------------------* 
	 
******************************************************************************** 
	* Follow-up 1 	 
********************************************************************************	 
	
	use "${data_for_analysis_fl1_phonesvy}", clear
		
	foreach var in psy_indexC_sdC $index3 { 
		 
		global `var'_fl1_lab : variable label `var'_fl1 
		
		reg `var'_fl1 treatment ${controls} if psy_indexC_sdC_s == 1, r 
		sum `var'_fl1 if treatment == 0 & e(sample) == 1 
		 
		coeff_treat `var'_fl1 treatment 
		 
		gl `var'_fl1p "$[$${`var'_fl1p}$]$" 
	}	 
	
	foreach var in index_sdC_f_emp_3c_1 $empower { 
		 
		global `var'_fl1_lab : variable label `var'_fl1 
		
		reg `var'_fl1 treatment ${controls} if index_sdC_f_emp_3c_1_s == 1, r 
		sum `var'_fl1 if treatment == 0 & e(sample) == 1 
		 
		coeff_treat `var'_fl1 treatment 
		 
		gl `var'_fl1p "$[$${`var'_fl1p}$]$" 
	}	 
		 
	* Start the Latex document 
	texdoc do 	"${online_appendix_dofile_loc}/Latex/tex_table_impacts_psy_we_fl1.do"	 
