gl note_table_impacts_we_detail_fl1 "\footnotesize{\textit{Notes}. This table reports Ordinary Least Squares estimates of treatment effects at the two-year follow-up for the five-year follow-up sample. All regressions include 133 randomization PRA controls. Outcomes are listed on the left and described in detail in SOM 1 of the Appendix. Column (1) reports the mean and the standard deviation of each outcome for the control group. Column (2) reports the treatment estimates in levels with robust standard errors (in parentheses). Column (3) reports the naive p-values [in brackets]. Column (4) reports the number of unique HHs and the total number of observations across all data collection rounds (in parentheses). Indices are constructed with various measures, normalized to the unit SD of control HHs, with mean equal to zero. HH = household; PRA = participatory rural appraisal; SD = standard deviation.}"


* Outcome globals 
	global index_sdC_f_emp_3c	index_sdC_f_emp_3c_1
	global cate_outcome_1		foodexp h8_ac h7_ac chischool h13_ac chimarr h6_ac otherexp h14_ac_1 h24_ac_1 h31_ac_1 h28_ac_1
	global cate_outcome_2		index_sdC_role_prod_1 owner_manager_pf ///
									did_labor_nohh_1 h30_1 mobile_yes_pf index_sdC_social_capital z2_all z1_3_all n1_1 n2_1
			
			
********************************************************************************
	* Follow-up 1 	
********************************************************************************	

	use "${data_for_analysis_fl1_phonesvy}", clear
			
	foreach var in $index_sdC_f_emp_3c index_sdC_all_decisions $cate_outcome_1 $cate_outcome_2 {
		global `var'_fl1_lab : variable label `var'_fl1
		global `var'_fl1_lab : subinstr global `var'_fl1_lab " sd(control)" "", all
		
		reg `var'_fl1 treatment ${controls} if index_sdC_f_emp_3c_1_s == 1, r 
		sum `var'_fl1 if treatment == 0 & e(sample) == 1
	
		coeff_treat `var'_fl1 treatment	

		gl `var'_fl1p "$[$${`var'_fl1p}$]$"
	
	}
	
	* Start the Latex document
	texdoc do 	"${online_appendix_dofile_loc}/Latex/tex_table_impacts_we_detail_fl1.do"
	
