gl note_table_impacts_we_nomkt "\footnotesize{\textit{Notes}. This table reports Ordinary Least Squares estimates of treatment effects, excluding PW market work participation. All regressions include 133 randomization PRA controls. Outcomes are listed on the left and described in detail in \autoref{ssec:som_1}. (***) (**) (*) denotes significance at (1\%) (5\%) (10\%) level level. Column (1) reports the mean and the standard deviation (in parentheses) of each outcome for the control group. Column (2) reports the treatment estimates in levels with robust standard errors (in parentheses). Column (3) reports the naive p-values [in brackets]. Column (4) reports the total sample size. Indicators were collected across different data collection rounds and, due to attrition between rounds, the sample for women's empowerment outcomes is reduced to households surveyed in all rounds. Indices are constructed with various measures, normalized to the unit SD of control HHs, with mean equal to zero. HH = household; PW = primary woman; PRA = participatory rural appraisal; SE = standard error; SD = standard deviation.}"

* Outcome globals 
	global index_sdC_f_emp_3c_nomkt	index_sdC_f_emp_3c_nomkt
	global cate_outcome_1			foodexp h8_ac h7_ac chischool h13_ac chimarr h6_ac otherexp h14_ac_1 h24_ac_1 h31_ac_1 h28_ac_1
	global cate_outcome_2_nomkt		index_sdC_role_prod_nomkt owner_manager_pf ///
									h30_1 mobile_yes_pf index_sdC_social_capital z2_all z1_3_all n1_1 n2_1
		
********************************************************************************
	* Phone Survey
********************************************************************************
	use "${data_for_analysis_phonesvy}", clear	
	
	foreach var in $index_sdC_f_emp_3c_nomkt index_sdC_all_decisions $cate_outcome_1 $cate_outcome_2_nomkt {
	    
		global `var'_lab : variable label `var'
		
		if "`var'" == "index_sdC_f_emp_3c_nomkt" {
			global `var'_lab "Women's Empowerment Index (3 dimensions, excl. PW Market Work Participation)"
		} 
		if "`var'" == "index_sdC_role_prod_nomkt" {
			global `var'_lab "Economic Opportunities Index (excl. PW Market Work Participation)"
		} 
		
		reg `var' treatment ${controls}, r 
		sum `var' if treatment == 0 & e(sample) == 1
	
		coeff_treat `var' treatment	

		gl `var'p "$[$${`var'p}$]$"
		
		* Number of unique HHs
		global Nhh_`var' ${N_`var'}	
		
		* Number of rounds (1)
		global Nr_`var' : di %10.0fc 1
	}
	
	* Start the Latex document
	texdoc do 	"${online_appendix_dofile_loc}/Latex/tex_table_impacts_we_detail_nomkt.do"
	
