/* 

Note: we are using proxy with health expenses since this is the original thinking/construciton of the proxy


*/

global note_proxy_consump "\footnotesize{\textit{Notes.} This table reports Ordinary Least Squares estimates and robust standard errors (in parentheses) of the regression of total consumption on our consumption proxy at baseline and midline, by ultra-poor. Regressions using midline data controls for treatment assignment and regressions on the overall sample control for ultra-poor status. Adjusted R-squared from the regression and the total sample size (N) are reported at the bottom. Our consumption proxy includes 25 food and 4 non-food items with greatest explanatory power. For a detailed description of the total consumption proxy, see \autoref{ssec:som_2}. PRA = participatory rural appraisal; SE = standard error; SD = standard deviation.}"


global data_for_analysis_fl1_phone_full "${TUP_DB}/Followup_1_Phone/DataSets/Final/data_for_analysis_fl1_phone_full.dta"
global data_for_analysis				"${TUP_DB}/Followup_1/DataSets/Final/data_for_analysis_fl1_IEpaper.dta"
global total_expenditure_bl_phones 		"${TUP_DB}/Baseline_Phone/DataSets/Intermediate/total_expenditure_bl_phonesvy.dta"
global data_for_analysis_bl				"${TUP_DB}/Baseline/DataSets/Final/data_for_analysis_bl_IEpaper.dta"

*Midline
use "${data_for_analysis_fl1_phone_full}", clear

rename exp_tot_m_pc_noh_fl1 proxy_exp_tot_m_pc_fl1 
keep   hhid treatment proxy_exp_tot_m_pc_fl1 PRA_lottery ultra_poor

merge 1:1 hhid using "${data_for_analysis}", assert(3) nogen keepusing(exp_tot_m_pc  hhid treatment )

reg exp_tot_m_pc proxy_exp_tot_m_pc_fl1 treatment if ultra_poor == 1 , r // control for treatment in midline UP regression
global c_1_4 :  di %4.3f  r(table)[1,1]
global c_2_4 :  di %4.3f  r(table)[2,1]
global c_3_4 :  di %4.3f  e(r2_a)
global N_4_4 :  di %5.0fc  e(N)
reg exp_tot_m_pc proxy_exp_tot_m_pc_fl1 if ultra_poor == 0 , r
global c_1_5 :  di %4.3f  r(table)[1,1]
global c_2_5 :  di %4.3f  r(table)[2,1]
global c_3_5 :  di %4.3f  e(r2_a)
global N_4_5 :  di %5.0fc  e(N)

replace treatment = 2 if ultra_poor == 0 //to allow us to control for treatment in the overall regression, adding another category
reg exp_tot_m_pc proxy_exp_tot_m_pc_fl1 treatment ultra_poor, r // control for treatment and ultra-poor in midline overall regression
global c_1_6 :  di %4.3f  r(table)[1,1]
global c_2_6 :  di %4.3f  r(table)[2,1]
global c_3_6 :  di %4.3f  e(r2_a)
global N_4_6 :  di %5.0fc  e(N)


*Baseline 
use "${total_expenditure_bl_phones}", clear

rename exp_tot_m_pc proxy_exp_tot_m_pc 
keep   hhid	proxy_exp_tot_m_pc  

merge 1:1 hhid using "${data_for_analysis_bl}", assert(3) nogen keepusing(exp_tot_m_pc  hhid treatment PRA_lottery ultra_poor)

reg exp_tot_m_pc proxy_exp_tot_m_pc if ultra_poor == 1 , r
global c_1_1 :  di %4.3f  r(table)[1,1]
global c_2_1 :  di %4.3f  r(table)[2,1]
global c_3_1 :  di %4.3f  e(r2_a)
global N_4_1 :  di %5.0fc  e(N)
reg exp_tot_m_pc proxy_exp_tot_m_pc if ultra_poor == 0 , r
global c_1_2 :  di %4.3f  r(table)[1,1]
global c_2_2 :  di %4.3f  r(table)[2,1]
global c_3_2 :  di %4.3f  e(r2_a)
global N_4_2 :  di %5.0fc  e(N)
reg exp_tot_m_pc proxy_exp_tot_m_pc ultra_poor , r //Control for ultra-poor in overall regression 
global c_1_3 :  di %4.3f  r(table)[1,1]
global c_2_3 :  di %4.3f  r(table)[2,1]
global c_3_3 :  di %4.3f  e(r2_a)
global N_4_3 :  di %5.0fc  e(N)

* Start the Latex document
texdoc do 	"${online_appendix_dofile_loc}/Latex/tex_table_proxy_consumption.do"


