* DB
//texdoc init "${output_raw}/table_hhsocioec_chars.tex", replace hardcode nokeep

* Overleaf 
texdoc init "${output_table_overleaf_main}/table_hhsocioec_chars.tex", replace hardcode nokeep


/***
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

*----------------------------------------------*
* Table A1. Household Socioeconomic Conditions *
*----------------------------------------------*

	/***
	\begin{document}
	\begin{table}
  	\pagestyle{empty}
	\thispagestyle{empty}
	\centering
	\footnotesize
	\begin{longtable}{@{\extracolsep{1pt}}p{7cm}cccc}
	\caption{Ultra-Poor Households' Socioeconomic Characteristics at Baseline}\\ 
	\label{table:baseline_chars}
	\\[-1.8ex] \hline \\[-1.8ex]
	 & \makecell{Midline\\Sample} & \makecell{Endline\\Sample} & \makecell{Difference\\(2) - (1)} & \makecell{p-value\\(2) - (1)}\\
	 & (1) & (2) & (3) & (4)\\ \hline \\[-1.8ex]
	***/

	texdoc stlog, nolog

	* PANEL A	

	tex  \textit{Household Characteristics}  & &     \\
	
	foreach var in $hh_general_desc1 b8_bl $hh_general_desc2 $hh_general_desc3 {
		tex \everypar{\hangindent=0.7cm\hangafter=0} ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_0m} \\ (${`var'_0s}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_1m} \\ (${`var'_1s}) \end{tabular} & ${`var'_diff} & ${`var'p_diff} \\  \\[-1.8ex]
	}
	
	foreach var in $enrollment_table1 {
		tex \everypar{\hangindent=0.7cm\hangafter=0} ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_0m} \\ (${`var'_0s}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_1m} \\ (${`var'_1s}) \end{tabular} & ${`var'_diff} & ${`var'p_diff} \\  \\[-1.8ex]
	}

	tex  \textit{Consumption, Poverty, and Food Security}  & &       \\
	
	foreach var in $consump $foodsec {
		tex \everypar{\hangindent=0.7cm\hangafter=0} ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_0m} \\ (${`var'_0s}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_1m} \\ (${`var'_1s}) \end{tabular} & ${`var'_diff} & ${`var'p_diff} \\  \\[-1.8ex]
	}

	tex  \textit{Assets and Debt}  & &      \\
	
	foreach var in $assets {
		tex \everypar{\hangindent=0.7cm\hangafter=0} ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_0m} \\ (${`var'_0s}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_1m} \\ (${`var'_1s}) \end{tabular} & ${`var'_diff} & ${`var'p_diff} \\  \\[-1.8ex]
	}

	tex  \textit{Psychological Well-Being}   & &    \\
	
	foreach var in $psych_bl {
		tex \everypar{\hangindent=0.7cm\hangafter=0} ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_0m} \\ (${`var'_0s}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_1m} \\ (${`var'_1s}) \end{tabular} & ${`var'_diff} & ${`var'p_diff} \\  \\[-1.8ex]
	}
	
	tex Number of Sampled Households & ${N_0} & ${N_1} & &  \\ \\[-1.8ex]

	tex \hline \\[-1.8ex]
	tex \multicolumn{5}{p{13cm}}{${note_table_hhsocioec_chars}}\\
	
	texdoc stlog close

	/***
    \end{longtable}
    \end{table}
	\end{document}
	***/