* DB
//texdoc init "${output_raw}/table_impacts_consump_ca21.tex", replace hardcode nokeep

* Overleaf
texdoc init "${output_table_overleaf_main}/table_impacts_consump_ca21.tex", replace hardcode nokeep

/***
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

*-----------------------------------------------------------*
* Table X. Impacts on Consumption and Food Security         *
*-----------------------------------------------------------*

	/***	
	\begin{document}
	\centering	
	\begin{table}
	\centering	 
	\footnotesize
	\captionof{table}{Impacts on Consumption, Food Security and Nutritional Diversity}
	\label{table:consumption}
	\begin{tabular}{@{\extracolsep{1pt}}p{4.5cm}ccccc}
	\\[-1.8ex] \hline \\[-1.8ex]
	& \makecell{Control\\Mean (SD)} & \makecell{Level (SE)} & \makecell{p-value} & \makecell{\% Control\\Mean} & \makecell{N (N*t)} \\     
	& (1) & (2) & (3) & (4) & (5) \\ \hline \\ 
	***/	

	texdoc stlog, nolog
		
	foreach var in $consumption_ca21   {
		tex \textbf{${`var'_lab}} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular} & ${`var'p} & ${`var'imp} & ${Nhh_`var'} (${N_`var'}) \\  \\[-1.8ex]
	}
		
	tex \\[-1.8ex] \multicolumn{6}{@{} l}{\textbf{Food Security and Nutritional Diversity}} \\  \\[-1.8ex]
	
	foreach var in $index_sdC_food_sec  $item_type { 
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular} & ${`var'p} & ${`var'imp} & ${Nhh_`var'} (${N_`var'}) \\  \\[-1.8ex] 
		} 
	
	tex \hline \\[-1.8ex]\multicolumn{6}{p{13cm}}{${note_table_impacts_consump}}\\
	
	texdoc stlog close
	
/***
	\end{tabular}
	\end{table}
	\end{document}
***/