* DB
//texdoc init "${output_raw}/table_impacts_finance_usd.tex", replace hardcode nokeep

* Overleaf
texdoc init "${output_table_overleaf_main}/table_impacts_finance_usd.tex", replace hardcode nokeep

/***
\documentclass[crop=false]{standalone}
\usepackage{amssymb,amsmath,amsfonts,eurosym,geometry,graphicx,caption,color,setspace,sectsty,comment,caption,pdflscape,subfigure,array,hyperref}
\usepackage{textcomp}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage{indentfirst}
\usepackage[justification=centering]{caption}
\usepackage[multiple]{footmisc}
***/

*-----------------------------------------------------------*
* Table X. Impacts on Finance (Nominal USD)                 *
*-----------------------------------------------------------*

	/***	
	\begin{document}
	\begin{table}
  	\pagestyle{empty}
	\thispagestyle{empty}
	\centering
	\footnotesize
	\captionof{table}{Impacts on Household Finances}
	\label{table:finance_usd}
	\begin{tabular}{@{\extracolsep{1pt}}p{5cm}ccccc}
	\\[-1.8ex] \hline \\[-1.8ex]
	& \makecell{Control\\Mean (SD)} & \makecell{Level (SE)} & \makecell{p-value} & \makecell{\% Control\\Mean} & \makecell{N (N*t)} \\     
	& (1) & (2) & (3) & (4) & (5) \\ \hline \\ 
	***/	

	texdoc stlog, nolog
		
	foreach var in $fin_sum_usd  {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular} & ${`var'p} & ${`var'imp} & ${Nhh_`var'} (${N_`var'}) \\  \\[-1.8ex]
	}
	
	foreach var in prod_loan  {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular} & ${`var'p} & ${`var'imp} & ${Nhh_`var'} \\  \\[-1.8ex]
	}
	
	
	tex \hline \\[-1.8ex]\multicolumn{6}{p{14cm}}{${note_table_impacts_finance}}\\
	
	texdoc stlog close
	
/***
    \end{tabular}
    \end{table}
	\end{document}
***/