* DB
*texdoc init "${output_raw}/table_shocks_r4.tex", replace hardcode nokeep

* Overleaf
texdoc init "${output_table_overleaf_main}/table_impacts_shocks_r4_new.tex", replace hardcode nokeep

/***
\documentclass[8pt]{article}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage[left=2cm,right=2cm,bottom=3cm,top=3cm]{geometry}\usepackage{graphicx}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{ragged2e}
\usepackage{caption}
\usepackage{longtable}
\usepackage[title]{appendix}
\usepackage[justification=centering]{caption}
\usepackage{hyperref}
\newcommand{\subsubsubsection}[1]{\paragraph{#1}\mbox{}\\}
\setcounter{secnumdepth}{4}
\setcounter{tocdepth}{4}
\usepackage{titlesec}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage[title]{appendix}
\usepackage{hyperref}
\usepackage[english]{babel}
\usepackage{amsmath}
\usepackage[colorinlistoftodos]{todonotes}
\usepackage{pdflscape}

\begin{document}


***/

*-----------------------------------------------------*
* Table : Baseline Balance Test - Main Outcomes       *
*-----------------------------------------------------* 

	/***
	\renewcommand{\arraystretch}{0.9}
	\centering	
	\begin{table}
	\centering	 
	\footnotesize
	\captionof{table}{Shocks and Coping Mechanisms}
	\begin{tabular}{@{\extracolsep{1pt}}p{6cm}cccc}
	\label{table:shock_4wk_new}
	\\[-1.8ex] \hline \\[-1.8ex]
	& \makecell{Control\\Mean (SD)} & \makecell{Level (SE)} & \makecell{p-value} & \makecell{N}\\ 
	& (1) & (2) & (3) & (4)  
	\\ \\[-1.8ex]  \cline{2-5} \\[-1.8ex]
	***/
	
	texdoc stlog, nolog

	tex \\[-1.8ex] \multicolumn{5}{@{} l}{\textbf{Shocks Affecting Livelihoods and Coping Mechanisms}} \\  \\[-1.8ex]	
	
	foreach var in $shock {		
		
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular}  & ${`var'p}  & ${N_`var'}  \\  \\[-1.8ex]			
	}	
		
	tex \\  \\[-1.8ex]			
	
	foreach var in $recovery_cond_12mo {		
		
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular}  & ${`var'p}  & ${N_`var'} \\  \\[-1.8ex]			
	}	
	
	tex \\  \\[-1.8ex]	

	tex \\[-1.8ex] \multicolumn{5}{@{} l}{Had Shock and Used [...] to Finance Coping, Past Year} \\  \\[-1.8ex]	 
	
	foreach var in $coping_12mo {		
		
		tex \everypar{\hspace{5mm}}  ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular}  & ${`var'p}  & ${N_`var'} \\  \\[-1.8ex]			
	}
	
	tex \\[-1.8ex] \multicolumn{5}{@{} l}{\textbf{Remittances}} \\  \\[-1.8ex]		
	
	foreach var in migrant_remittance migrant_remit_amt_afn_usd {		

		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular}  & ${`var'p}  & ${N_`var'} \\  \\[-1.8ex]			
	}		
	
	
	tex \hline \\[-1.8ex]
	
	tex \multicolumn{5}{p{12cm}}{${note_table_shocks_new}} \\
	
	texdoc stlog close
	
	/***
	\end{tabular}
	\end{table}
	\end{document}
	***/