* DB
//texdoc init "${output_raw}/table_impacts_timeuse.tex", replace hardcode nokeep

* Overleaf
texdoc init "${output_table_overleaf_main}/table_impacts_timeuse.tex", replace hardcode nokeep


/***
\documentclass[8pt]{article}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{geometry}
\usepackage{graphicx}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{caption}
\usepackage{longtable}
\usepackage[title]{appendix}
\usepackage{hyperref}
\usepackage{pdflscape}
\newcommand{\subsubsubsection}[1]{\paragraph{#1}\mbox{}\\}
\setcounter{secnumdepth}{4}
\setcounter{tocdepth}{4}
***/


*------------------------------------------------------------------------------------*
* Table 3: Impacts on Labor Supply and Time Use, Primary Woman and Man, Past 4 Weeks *
*------------------------------------------------------------------------------------*

/*** 
	\begin{document}
	\centering
	\begin{table}	
	\centering	
	\footnotesize
	\captionof{table}{Impacts on Labor Supply and Time Use, Primary Woman and Man, Past Month} 
	\label{table:labor}
	\renewcommand{\arraystretch}{0.7} 
	\footnotesize 
	\begin{tabular}{p{5cm}cccccc} 
	\hline \\[-1.8ex] 
	& \multicolumn{3}{c}{Primary Woman} & \multicolumn{3}{c}{Primary Man} \\ \\[-1.8ex]	 
	\cline{2-4} \cline{5-7}  \\[-1.8ex]  
	& \makecell{Control\\Mean (SD)} & \makecell{Level (SE)} & \makecell{p-value} & \makecell{Control\\Mean (SD)} & \makecell{Level (SE)} & \makecell{p-value} \\
	&  (1) & (2) & (3) & (4) & (5) & (6)  \\ \hline \\    		       
	***/
	 
	texdoc stlog, nolog 
 
	foreach var in $labor_particip { 
		tex \textbf{${`var'_lab}} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular} & ${`var'p} & \begin{tabular}[t]{@{}c@{}} ${`var'_pmm0} \\ (${`var'_pms0})  \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_pmt} \\ (${`var'_pmtse}) \end{tabular} & ${`var'_pmp} \\ \\
	} 
	
	foreach var in $participation { 
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular} & ${`var'p} & \begin{tabular}[t]{@{}c@{}} ${`var'_pmm0} \\ (${`var'_pms0})  \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_pmt} \\ (${`var'_pmtse}) \end{tabular} & ${`var'_pmp} \\ \\
	} 
	
	tex \multicolumn{7}{@{} l}{\textbf{     Market Work Participation by Activity}} \\  \\[-1.8ex] 
	tex &  &  & & & &     \\  \\[-1.8ex] 
			 
	foreach var in $time_sum { 
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'm0} \\ (${`var's0})  \end{tabular}  & \begin{tabular}[t]{@{}c@{}} ${`var't} \\ (${`var'tse}) \end{tabular} & ${`var'p} & \begin{tabular}[t]{@{}c@{}} ${`var'_pmm0} \\ (${`var'_pms0})  \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_pmt} \\ (${`var'_pmtse}) \end{tabular} & ${`var'_pmp} \\ \\
	} 
	
* Save the smallest N of all variables in the table to display at the bottom  	
	tex N (N*t) & \multicolumn{3}{c}{${Nhh_min} (${N_min})} & \multicolumn{3}{c}{${Nhh_min_pm} (${N_min_pm})}  \\ \\[-1.8ex] 	
				
	tex \hline \\[-1.8ex]\multicolumn{7}{p{15cm}}{${note_table_impacts_timeuse}}\\ 
	 
	texdoc stlog close 
 
	/*** 
	\end{tabular} 
	\end{table} 
	\end{document} 
	***/	