texdoc init "${output_table_overleaf_main}/table_nup_compare_gaps.tex", replace hardcode nokeep

/***
\documentclass[8pt]{article}
\usepackage[utf8]{inputenc}
\usepackage{titlesec}
\usepackage[usenames,dvipsnames]{xcolor}
\usepackage{geometry}
\usepackage{graphicx}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{ragged2e}
\usepackage{caption}
\usepackage{longtable}
\usepackage[title]{appendix}
\usepackage[justification=centering]{caption}
\usepackage{hyperref}
\newcommand{\subsubsubsection}[1]{\paragraph{#1}\mbox{}\\}
\setcounter{secnumdepth}{4}
\setcounter{tocdepth}{4}
\usepackage{titlesec}
\usepackage{makecell}
\usepackage{adjustbox}
\usepackage{float}
\usepackage{longtable}
\usepackage[title]{appendix}
\usepackage{hyperref}
\usepackage[english]{babel}
\usepackage{amsmath}
\usepackage[colorinlistoftodos]{todonotes}
\usepackage{pdflscape}
\usepackage{siunitx}
\begin{document}

***/

*----------------------------------------------*
* Table X: UP / NUP comparison    *
*----------------------------------------------*

	/***
	\begin{table}
	\renewcommand{\arraystretch}{0.9}
	\footnotesize
	\centering	
	\captionof{table}{Gaps Between Non-Ultra Poor and Ultra-Poor Households\\Across Select Indicators at Endline}\\ 
	\begin{tabular}{@{\extracolsep{1pt}}p{7cm}cccc}
	\label{table:nup_comp_gaps}
	 \\[-1.8ex] \hline \\[-1.8ex]
	 & \multicolumn{2}{c}{\makecell{NUP Adjusted\\ \si{\ Difference \ (Gap) \ With}}} & & \\
	 & \makecell{Control} & \makecell{Treatment} & \makecell{p-value\\(2)-(1)} & \makecell{N\\(N*t)} \\
	& (1) & (2) & (3) & (4)\\ \hline \\[-1.8ex]
	***/

	texdoc stlog, nolog
	
	foreach var in exp_tot_m_pc_noh_ca21 {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular} & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \\ (${Nr_`var'}) \end{tabular} \\  \\[-1.8ex]
	}
	
	* Note the `var'_nupm0 for indices since these are treatment-standardized 
	foreach var in index_sdC_food_sec {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular}  & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \\ (${Nr_`var'}) \end{tabular} \\  \\[-1.8ex]
	}
	
	foreach var in saving_dummy saving_usd loan_usd {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular}  & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \\ (${Nr_`var'}) \end{tabular} \\  \\[-1.8ex]
	}
	
	foreach var in prod_loan {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular}  & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \end{tabular} \\  \\[-1.8ex]
	}
	
	tex \multicolumn{6}{@{} l}{Number of Livestock Owned by Type} \\  \\[-1.8ex]	
	
	foreach var in lstock_num_cow lstock_num_goat lstock_num_sheep lstock_num_chicken {
		tex \everypar{\hspace{5mm}}	${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular}  & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \\ (${Nr_`var'}) \end{tabular} \\  \\[-1.8ex]
	}
	
	foreach var in tot_lstock_val_w99t_usd tot_hh_income_1_usd {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular}  & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \end{tabular} \\  \\[-1.8ex]
	}
	
	foreach var in tot_lstock_rev_1_usd tot_crop_rev_imp_2_usd tot_biz_rev_imp_1_usd tot_hh_pay_imp_1_usd {
		tex \everypar{\hspace{5mm}} ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular}  & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \end{tabular} \\  \\[-1.8ex]
	}
			 
	foreach var in  biz_yes employment_pf employment_pm  {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular}  & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \\ (${Nr_`var'}) \end{tabular} \\  \\[-1.8ex]
	}
	
	* Note the `var'_nupm0 for indices since these are treatment-standardized	
	foreach var in	psy_indexC_sdC index_sdC_f_emp_3c_1 {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular}  & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \end{tabular} \\  \\[-1.8ex]
	}
	foreach var in	index_sdC_f_emp_3c_nomkt {
		tex \everypar{\hspace{5mm}} ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular}  & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \end{tabular} \\  \\[-1.8ex]
	}
	
	foreach var in  child_inschool_hh {
		tex ${`var'_lab} & \begin{tabular}[t]{@{}c@{}} ${`var'_ct} \\ (${`var'_ctse}) \end{tabular} & \begin{tabular}[t]{@{}c@{}} ${`var'_nupt} \\ (${`var'_nuptse}) \end{tabular}  & ${`var'_p} & \begin{tabular}[t]{@{}c@{}} ${`var'_N} \end{tabular} \\  \\[-1.8ex]
	}
	
	tex \\

	tex \hline \\[-1.8ex]
	tex \multicolumn{5}{p{14cm}}{${note_table_nup_compare_gaps}}\\
	
	texdoc stlog close

	/***
	\end{tabular}
	\end{table}
	\end{document}
	***/