/* impact_interaction is used to calculate and save the different outputs of a specific variable in regression. Generally used after a regression
with an interaction to gather the outputs of the interaction.
*/
	cap prog drop impact_interaction //clearing any program that might exist under that name. Always start with that line

	prog def impact_interaction
	args name_var  treatment indep_var_t indic //indic will be 1 if want to run the impact on treatment only, 2 if want to run on treatment + interaction term

	local mean = `r(mean)'
if `mean' >= 0 {
	global meanpos = `mean'
}
if `mean' < 0 {
	global meanpos = -`mean'
}

local sd = `r(sd)'
	
if `indic' == 1 {
	global `name_var'imp2_1 :  di %4.2f (_b[`treatment']) / `sd'
	global `name_var'imp1_1 =   (_b[`treatment']) /$meanpos * 100
			if ${`name_var'imp1_1} >= 10 {
				global `name_var'imp1_1 :  di %2.0f ${`name_var'imp1_1}
					}
			if ${`name_var'imp1_1} < 10 {
						global `name_var'imp1_1 :  di %1.0f ${`name_var'imp1_1}
					}
}	
if `indic' == 2 {					
	global `name_var'imp2_2 :  di %4.2f (_b[`treatment'] + _b[`indep_var_t']) / `sd'
	global `name_var'imp1_2 =   (_b[`treatment'] + _b[`indep_var_t']) /$meanpos * 100
			if ${`name_var'imp1_2} >= 10 {
				global `name_var'imp1_2 :  di %2.0f ${`name_var'imp1_2}
					}
			if ${`name_var'imp1_2} < 10 {
						global `name_var'imp1_2 :  di %1.0f ${`name_var'imp1_2}
					}
}
	end //	