/* coeff_treat is used to calculate and save the different outputs of a regression in globals which will be used
to automatically generate tables in latex. Options to change the format of the figures using "N_dec"
It should be run after a regression and a summary of the dependent variable
*/
cap prog drop means_desc //clearing any program that might exist under that name. Always start with that line

	prog def means_desc

args var N_dec

local dec = 3
if "`N_dec'" != "3" & "`N_dec'"!= "" {
local dec = `N_dec'
}

local mean = `r(mean)'
if `mean' >= 0 {
	global meanpos = `mean'
}
if `mean' < 0 {
	global meanpos = -`mean'
}

local sd = `r(sd)'
	* Round indices to 3 decimals before formatting 
	if regexm("`var'", "zscore") | regexm("`var'", "index") | regexm("`var'", "z_sd") | regexm("`var'", "sdC") {
	global `var'm = round(`r(mean)',0.001)
	} 
	else {
	global `var'm = `r(mean)'
	}


	if `dec'==1 & `r(mean)'>=100 {
	global `var'm :  di %10.0fc ${`var'm}
	} 
	else {
	global `var'm :  di %10.`dec'fc ${`var'm}
	}

	if `dec'==1 & `r(sd)'>=100 {
	global `var's :  di %10.0fc `r(sd)'
	} 
	else {
	global `var's :  di %10.`dec'fc `r(sd)'
	}

	

	





*Other locals

global N_`var' : di %10.0fc `r(N)'





	
*Putting all numbers in string to have them in math mode in Latex
global `var'm = "$" + "${`var'm}" + "$"
global `var's = "$" + "${`var's}" + "$"
global N_`var' = "$" + "${N_`var'}" + "$"
	end //