/* stat_estim is used to calculate and save the different outputs of a regression for a specific variable in globals which will be used
to automatically generate tables in latex. Options to change the format of the figures using "N_dec"
It should be run after a regression 
*/
	cap prog drop stat_estim
	prog def stat_estim
	args name_var var N_dec

local dec = 3
if "`N_dec'" != "3" & "`N_dec'"!= "" {
local dec = 1
}
	* Coefficient
	global `name_var' :  di %4.`dec'f _b[`var']
							
	* Standard error
	global `name_var'sd :  di %4.`dec'f _se[`var']
							
	* P-value
	global `name_var'p: di %4.3f (2 * ttail(e(df_r), abs(_b[`var']/_se[`var'])))
	
	*Other locals
	global `name_var'_R :  di %10.3f e(r2)
	global `name_var'_N :  di %15.0fc e(N)

	global `name_var'_number = ${`name_var'}	
	global `name_var' = "$" + "${`name_var'}" + "$"
/*Adding the star
	*disp "`i'"
		if  ${`name_var'p} <= 0.1 {
		global `name_var' = "${`name_var'}" + "*"			
			if ${`name_var'p} <= 0.05 {
			global `name_var' = "${`name_var'}" + "*"
				if ${`name_var'p} <= 0.01 {
				global `name_var' = "${`name_var'}" + "*"				
			}				
		}
	}	

		if  ${`name_var'p} > 0.1 {
		global `name_var' = "${`name_var'}" + "\hspace*{0.5cm}"			
			if ${`name_var'p} > 0.05 & ${`name_var'p} <=0.01 {
			global `name_var' = "${`name_var'}" + "\hspace*{0.34cm}"
				if ${`name_var'p} > 0.01 & ${`name_var'p} <=0.05 {
				global `name_var' = "${`name_var'}" + "\hspace*{0.167cm}"				
			}				
		}
	}

	if  ${`name_var'_number} >= 0 {
global `name_var' = "\hspace*{0.27cm}" + "${`name_var'}" 
		}*/
	
	global `name_var'p 	= "$" + "${`name_var'p}" + "$"
	global `name_var'sd = "$" + "${`name_var'sd}" + "$"
	global `name_var'_N = "$" + "${`name_var'_N}" + "$"
	global `name_var'_R = "$" + "${`name_var'_R}" + "$"
			end //
	