/* ---------------------------------------------------------------------------
	
	AFGHANISTAN
	ALCS 2016-17
 
	Master file
	
	Christina Wieser
	cwieser@worldbank.org
	
	Nandini Krishnan
	nkrishnan@worldbank.org

	Zihao (Tobias) Wang
	zwang5@worldbank.org
	
	Andrea Germiniasi 
	a.germiniasi@gmail.com
	
	
	This version: October 20, 2017

 -------------------------------------------------------------------------- */ 
 
 
//	Set environment

	version 13
	clear all
	set more off
	

//	exit
	
	log using "$logfolder\log_PovMaster.log", replace

	* 0) Create nutrients_16_17 table
	do "$do\WFP2ALCS.do"
	
	* 1) Make common HH file
	do "$do\coredata_2016.do"

	* 2) Prepare price matrix
	do "$do\price_base_2016.do"

	* 3) Prepare durable services
	*do "$do\durables_2016.do" //Extremly long do file, run it once, no need to do it again

	* 4) Prepare rental expenditures
	do "$do\rent_2016.do"

	* 5) Caloric intake & requirement
	do "$do\caloric_2016.do"

	* 6) Prepare food and basic nonfood consumption
	do "$do\cons_2016.do"

	* 7) Spatial and temporal price adjustments
	do "$do\price_adjust_2016.do"
	
	* 8) Create food and non-food poverty lines
	do "$do\povlines_2016.do"

	* 9) Poverty line & poverty estimates
	do "$do\poverty_2016.do"

 	cap log close
	
