

	* TW's path
	global path "D:\Afghanistan\ALCS 2016\ALCS 2016"
		
	*AG
	*global path "C:\Users\Andrea\Desktop/Afghanistan\ALCS 2016"

	global raw  		"$path/data/Data 31.07.2017"  			/* raw data folder */
	global input		"$path/data/Data 31.07.2017/clean"		/* inputdata  directory */
	global output 		"$path/data_constructed"  				/* outputdata directory */
	global auxiliary 	"$path/data/Auxiliary files"			/* auxiliary files directory */
	global do 			"$path/dofiles"
	global logfolder 	"$path/logs"
	global graph		"$output/temp"							/* graphs */

	global data07 		"$path07\data_constructed"
	
	cd "$path"

	
version 13
clear
capture log close
set logtype text
capture log close
set more off
set type double, perm

**************Food Expenditure****************

use "$output\temp_longfoodexp.dta", clear 

gen exp1=exp 
*raise to yearly exp
replace exp1=exp*52

collapse (sum) exp1 (first) item [fw= hh_weight], by(item_n) 
format exp1 %20.10f
sort item
drop item 

export excel using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls",sheet("WB Summary NA") cell(B4) sheetmodify firstrow(variables)


use "$input\M_10.dta", clear

collapse (sum) q9_02 [fw= hh_weight]
*raise to yearly exp
replace q9_02=q9_02*12


tabstat q9_02, save
mat define GG = r(StatTotal)

putexcel B99 = matrix(GG, names) using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls", sheet("WB Summary NA") colwise keepcellformat modify
putexcel B99 = ("Household expenditures on: food away from home (last month), raised to yearly expense") using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls", sheet("WB Summary NA") colwise keepcellformat modify


**************Non-food Expenditure****************
use "$input\M_10.dta", clear

*calculate the total cost of hospitalization in the last year
*times of hospitalization * cost of the last stay 
replace q9_48_a=q9_48_a*q9_44_a
replace q9_50_a=q9_50_a*q9_44_a

replace q9_48_b=q9_48_b*q9_44_b
replace q9_50_b=q9_50_b*q9_44_b

replace q9_48_c=q9_48_c*q9_44_c
replace q9_50_c=q9_50_c*q9_44_c

collapse (sum) q9_* [fw= hh_weight]

replace q9_03=q9_03*12
replace q9_04=q9_04*12
replace q9_05=q9_05*12
replace q9_06=q9_06*12
replace q9_07=q9_07*12
replace q9_08=q9_08*12
replace q9_09=q9_09*12
replace q9_10=q9_10*12
replace q9_11=q9_11*12
replace q9_12=q9_12*12
replace q9_13=q9_13*12
replace q9_14=q9_14*12
replace q9_15=q9_15*12
replace q9_16=q9_16*12
replace q9_17=q9_17*12
replace q9_18=q9_18*12
replace q9_19=q9_19*12
replace q9_20=q9_20*12
replace q9_21=q9_21*12

*VISITING HEALTH CARE FACILITY COST TO YEARLY FREQUENCY 
replace q9_58_a=q9_58_a*12
replace q9_60_a=q9_60_a*12
replace q9_64_a=q9_64_a*12

replace q9_58_b=q9_58_b*12
replace q9_60_b=q9_60_b*12
replace q9_64_b=q9_64_b*12

replace q9_58_c=q9_58_c*12
replace q9_60_c=q9_60_c*12
replace q9_64_c=q9_64_c*12

keep q9_03 q9_04 q9_05 q9_06 q9_07 q9_08 q9_09 q9_10 q9_11 q9_12 q9_13 q9_14 q9_15 q9_16 q9_17 q9_18 q9_19 q9_20 q9_21 q9_22 q9_23 q9_24 q9_25 q9_26 q9_27 q9_28 q9_29 q9_30 q9_31 q9_32 q9_33 q9_34 q9_35 q9_36 q9_37 q9_38 q9_39 q9_40 q9_48_a q9_48_b q9_48_c q9_50_a q9_50_b q9_50_c q9_58_a q9_58_b q9_58_c q9_60_a q9_60_b q9_60_c q9_64_a q9_64_b q9_64_c

tabstat q9_03 q9_04 q9_05 q9_06 q9_07 q9_08 q9_09 q9_10 q9_11 q9_12 q9_13 q9_14 q9_15 q9_16 q9_17 q9_18 q9_19 q9_20 q9_21 q9_22 q9_23 q9_24 q9_25 q9_26 q9_27 q9_28 q9_29 q9_30 q9_31 q9_32 q9_33 q9_34 q9_35 q9_36 q9_37 q9_38 q9_39 q9_40 q9_48_a q9_48_b q9_48_c q9_50_a q9_50_b q9_50_c q9_58_a q9_58_b q9_58_c q9_60_a q9_60_b q9_60_c q9_64_a q9_64_b q9_64_c, save
mat define HH = r(StatTotal)
mat HH = HH'

putexcel B101 = matrix(HH, names) using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls", sheet("WB Summary NA") colwise keepcellformat modify
putexcel B101 = ("Non-food Items") C101 = ("Annual Expenditure in Afghanis") using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls", sheet("WB Summary NA") colwise keepcellformat modify


**********flow of durable consumption********** 
**********The First Section of Assets**********
use "$output\temp\asset_meanSD", clear
sort hhid
gen ser = val*0.14/12
keep hhid ser Asset hh_weight

collapse (sum) ser [fw= hh_weight], by(Asset)
format ser %20.10f
replace ser=ser*12 
label var ser "annual service value"

export excel using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls",sheet("WB Summary NA") cell(B160) sheetmodify firstrow(variables)
putexcel C160 = ("Annual Service Value in Afghanis") using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls", sheet("WB Summary NA") colwise keepcellformat modify


**********The Second Section of Assets**********
use "$output\temp\asset2_meanSD", clear
gen val_mobile= uv1*Q_7_6_Mobile_Own
gen val_carpet= uv2*Q_7_6_Carpets_Own
gen val_gilim=  uv3*Q_7_6_Gilim_Own
gen val_blankets=  uv4* Q_7_6_Blankets_Own
gen val_Satellitedishes_Own=uv5*Q_7_6_Satellitedishes_Own
gen val_SolarPanel=uv6*Q_7_6_SolarPanel_Own
sum val_mobile - val_SolarPanel
/*  Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
  val_mobile |     15,705    4213.892    12714.38         25     999999
  val_carpet |      3,463    12897.46    42863.89        200     999999
   val_gilim |     19,508    16845.23    105483.4         50     999999
val_blankets |     19,731    22178.17    126594.3         40     999999
val_Satell~n |      3,551    2014.326    5504.212          1      60000
-------------+---------------------------------------------------------
val_SolarP~l |     12,618    4503.063    9234.497         45     180000 */

foreach var in val_mobile val_carpet val_gilim val_blankets val_Satellitedishes_Own val_SolarPanel Q_7_7_Kitchen_Utensils_Sold{
replace `var'=. if `var'==999999
}

gen ser_mobile= val_mobile*0.14/12
gen ser_carpet= val_carpet*0.14/12
gen ser_gilim=  val_gilim*0.14/12
gen ser_blankets=  val_blankets*0.14/12
gen ser_Satellitedishes_Own=val_Satellitedishes_Own*0.14/12
gen ser_SolarPanel=val_SolarPanel*0.14/12
gen ser_KitchenUtensil=Q_7_7_Kitchen_Utensils_Sold*0.14/12

* Service Values-Second Section of Assets.                              
**CALCULATE SERVICE VALUES
**LIFE OF ASSETS = 10 YEARS, INTEREST RATE = 4 % -> USE 14% RATE
collapse (sum) ser_mobile ser_carpet ser_gilim ser_blankets ser_Satellitedishes_Own ser_SolarPanel ser_KitchenUtensil [fw= hh_weight]
format ser_mobile ser_carpet ser_gilim ser_blankets ser_Satellitedishes_Own ser_SolarPanel ser_KitchenUtensil %20.10f

foreach var in ser_mobile ser_carpet ser_gilim ser_blankets ser_Satellitedishes_Own ser_SolarPanel ser_KitchenUtensil{
replace `var'=`var'*12 
}

tabstat ser_mobile ser_carpet ser_gilim ser_blankets ser_Satellitedishes_Own ser_SolarPanel ser_KitchenUtensil, save 
mat define II = r(StatTotal)
mat II = II'
putexcel B181 = matrix(II, names) using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls", sheet("WB Summary NA") colwise keepcellformat modify
putexcel B181 = ("Asset") C181 = ("Annual Service Value in Afghanis") using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls", sheet("WB Summary NA") colwise keepcellformat modify
putexcel B182 = ("Mobile Phone") B183 = ("Carpet") B184 = ("Gilim") B185 = ("Blankets") B186 = ("Satellite Dishes") B187 = ("Solar Panel") B188 = ("Kitchen Utensil")  using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls", sheet("WB Summary NA") colwise keepcellformat modify



**********Rent********** 
use "$output\temp_rent", clear 
merge 1:1 hhid using "$output\core", keepusing(hh_weight)


collapse (sum) rent_fin [fw=hh_weight]
replace rent_fin=rent_fin*12
tabstat rent_fin, save 
mat define JJ = r(StatTotal)
mat JJ = JJ'
putexcel B193 = matrix(JJ, names) using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls", sheet("WB Summary NA") colwise keepcellformat modify
putexcel B194 = ("Rent") C193 = ("Annual Expenditure in Afghanis") using "$path\Copy of CSO_ALCS_2016-17_Jan-2018(National Account)(73129).xls", sheet("WB Summary NA") colwise keepcellformat modify

