global data_for_analysis_fl1_phone_full "${TUP_DB}/Followup_1_Phone/DataSets/Final/data_for_analysis_fl1_phone_full.dta"
global data_for_analysis				"${TUP_DB}/Followup_1/DataSets/Final/data_for_analysis_fl1_IEpaper.dta"
global total_expenditure_bl_phones 		"${TUP_DB}/Baseline_Phone/DataSets/Intermediate/total_expenditure_bl_phonesvy.dta"
global data_for_analysis_bl				"${TUP_DB}/Baseline/DataSets/Final/data_for_analysis_bl_IEpaper.dta"

*Midline
use "${data_for_analysis_fl1_phone_full}", clear

rename exp_tot_m_pc_fl1 proxy_exp_tot_m_pc_fl1
keep   hhid treatment   proxy_exp_tot_m_pc_fl1 PRA_lottery ultra_poor

merge 1:1 hhid using "${data_for_analysis}", assert(3) nogen keepusing(exp_tot_m_pc  hhid treatment )

reg exp_tot_m_pc proxy_exp_tot_m_pc_fl1 if ultra_poor == 1 , r
global c_1_4 :  di %4.3f  r(table)[1,1]
global c_2_4 :  di %4.3f  r(table)[2,1]
global c_3_4 :  di %4.3f  e(r2_a)
global N_4_4 :  di %4.0f  e(N)
reg exp_tot_m_pc proxy_exp_tot_m_pc_fl1 if ultra_poor == 0 , r
global c_1_5 :  di %4.3f  r(table)[1,1]
global c_2_5 :  di %4.3f  r(table)[2,1]
global c_3_5 :  di %4.3f  e(r2_a)
global N_4_5 :  di %4.0f  e(N)
reg exp_tot_m_pc proxy_exp_tot_m_pc_fl1 , r
global c_1_6 :  di %4.3f  r(table)[1,1]
global c_2_6 :  di %4.3f  r(table)[2,1]
global c_3_6 :  di %4.3f  e(r2_a)
global N_4_6 :  di %4.0f  e(N)

*Baseline 
use "${total_expenditure_bl_phones}", clear

rename exp_tot_m_pc     proxy_exp_tot_m_pc 
keep   hhid			    proxy_exp_tot_m_pc  

merge 1:1 hhid using "${data_for_analysis_bl}", assert(3) nogen keepusing(exp_tot_m_pc  hhid treatment PRA_lottery ultra_poor)

reg exp_tot_m_pc proxy_exp_tot_m_pc if ultra_poor == 1 , r
global c_1_1 :  di %4.3f  r(table)[1,1]
global c_2_1 :  di %4.3f  r(table)[2,1]
global c_3_1 :  di %4.3f  e(r2_a)
global N_4_1 :  di %4.0f  e(N)
reg exp_tot_m_pc proxy_exp_tot_m_pc if ultra_poor == 0 , r
global c_1_2 :  di %4.3f  r(table)[1,1]
global c_2_2 :  di %4.3f  r(table)[2,1]
global c_3_2 :  di %4.3f  e(r2_a)
global N_4_2 :  di %4.0f  e(N)
reg exp_tot_m_pc proxy_exp_tot_m_pc  , r
global c_1_3 :  di %4.3f  r(table)[1,1]
global c_2_3 :  di %4.3f  r(table)[2,1]
global c_3_3 :  di %4.3f  e(r2_a)
global N_4_3 :  di %4.0f  e(N)

	* Start the Latex document
	texdoc do 	"${appendix_table_dofile_loc}/Latex/tex_proxy_consumption.do"


