gl data_for_analysis_phonesvy_long		"${TUP_DB}/Phone_Survey/DataSets/Final/data_for_analysis_phonesvy_long.dta"
global data_for_analysis_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Final/data_for_analysis_phonesvy.dta" // not IE  


global controls i.PRA_lottery 
global panel_controls i.PRA_lottery ib(4).round 

gl ppp_2018 17.150
gl ppp_2021 19.184	// projection 
/// ppp factor from https://www.imf.org/en/Publications/WEO/weo-database/2021/April/weo-report?c=512,&s=PPPEX,&sy=2014&ey=2026&ssm=0&scsm=1&scc=0&ssd=1&ssc=0&sic=0&sort=country&ds=.&br=1

use $data_for_analysis_phonesvy_long, clear 

* PPP variables
	foreach var in saving {
		local l_`var' : variable label `var'
		gen `var'_ppp18 = `var' / $ppp_2018
		lab var `var'_ppp18 "`l_`var''"
		
		gen `var'_ppp21 = `var' / $ppp_2021
		lab var `var'_ppp21 "`l_`var''"
	}
	
		reg saving_ppp21 treatment ${panel_controls}, vce(cluster hhid) 
		sum saving_ppp21 if treatment == 0 & e(sample) == 1  
		
		
		reg saving_ppp18 treatment ${panel_controls}, vce(cluster hhid) 
		sum saving_ppp18 if treatment == 0 & e(sample) == 1  
		
use $data_for_analysis_phonesvy, clear 

* PPP variables
	foreach var in tot_hh_income_1 {
		local l_`var' : variable label `var'
		gen `var'_ppp18 = `var' / $ppp_2018
		lab var `var'_ppp18 "`l_`var''"
		
		gen `var'_ppp21 = `var' / $ppp_2021
		lab var `var'_ppp21 "`l_`var''"
	}
	
		reg tot_hh_income_1_ppp21 treatment ${controls}, r
		sum tot_hh_income_1_ppp21 if treatment == 0 & e(sample) == 1  
		
		
		reg tot_hh_income_1_ppp18 treatment ${controls}, r
		sum tot_hh_income_1_ppp18 if treatment == 0 & e(sample) == 1  
		
		
	
*consumption *****************************************************************

	use "$total_expenditure_long", clear 

	keep hhid round exp_tot_m_pc_ca18 exp_tot_m_pc_noh_ca18 exp_f_tot_m_pc_ca18 exp_nf_tot_m_pc_ca18 ///
		exp_nf_tot_m_pc_noh_ca18 exp_tot_m_pc_noh

	merge m:1 hhid using "${phone_svy_profile}", keepusing(treatment ultra_poor PRA_lottery all_rounds) keep(3) nogen
	
	foreach var in exp_tot_m_pc_noh {
		gen `var'_ppp18 = `var' / $ppp_2018
		gen `var'_ppp21 = `var' / $ppp_2021
	
	}
	
	* Additional construction (move this eventually) 
	* Constant 2018 AFN divided by endline control mean (consumption only) -- standardize all to overall control mean   
	foreach var in exp_tot_m_pc exp_f_tot_m_pc exp_nf_tot_m_pc exp_nf_tot_m_pc_noh exp_tot_m_pc_noh {  
		qui reg `var'_ca18 treatment ${panel_controls}, vce(cluster hhid)  
		sum `var'_ca18 if treatment == 0 & e(sample) == 1   
		global `var'_cmean `r(mean)'  
		  
		gen `var'_ca21 = `var'_ca18 / ${`var'_cmean}  
	} 
	
		* Constant 2018 AFN divided by endline control mean (consumption only) -- standardize all to overall control mean   
	foreach var in exp_tot_m_pc_noh {  
		qui reg `var'_ppp18 treatment ${panel_controls}, vce(cluster hhid) 
		sum `var'_ppp18 if treatment == 0 & e(sample) == 1   
		global `var'_ppp_cmean `r(mean)'  
		  
		gen `var'_indppp = `var'_ppp18 / ${`var'_ppp_cmean}  
	}
	
		foreach var in exp_tot_m_pc_noh {  
		qui reg `var' treatment ${panel_controls}, vce(cluster hhid) 
		sum `var' if treatment == 0 & e(sample) == 1   
		global `var'_cmean `r(mean)'  
		  
		gen `var'_ind = `var' / ${`var'_cmean}  
	}
	
		reg exp_tot_m_pc_noh_ppp21 treatment ${panel_controls}, vce(cluster hhid) 
		sum exp_tot_m_pc_noh_ppp21 if treatment == 0 & e(sample) == 1  
		
		
		reg exp_tot_m_pc_noh_ppp18 treatment ${panel_controls}, vce(cluster hhid) 
		sum exp_tot_m_pc_noh_ppp18 if treatment == 0 & e(sample) == 1  
		
		reg exp_tot_m_pc_noh_indppp treatment ${panel_controls}, vce(cluster hhid) 
		sum exp_tot_m_pc_noh_indppp if treatment == 0 & e(sample) == 1  
	 
	 
	 	reg exp_tot_m_pc_noh_ind treatment ${panel_controls}, vce(cluster hhid) 
		sum exp_tot_m_pc_noh_ind if treatment == 0 & e(sample) == 1  
	 