/*** Calculate inflation 	
	gl market_imputed_bl 	"${TUP_DB}/Baseline/DataSets/Intermediate/market_imputed_bl.dta"
	gl market_imputed_fl1 		"${TUP_DB}/Followup_1/DataSets/Intermediate/market_imputed_fl1.dta"
	gl market_imputed_phonesvy 	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/market_imputed_phonesvy.dta"
	
	
	use "${market_imputed_bl}", clear 

	* Keep the 25 food items that are included in the Phone Survey
		keep if inlist(item,1,2,3,4,7,14,15,16,17,18,24,26,27,29,33,41,44,45,50,64,66,72,76,80,84)
		
		collapse (mean) price, by(item)
		
		rename price price_0
		
		tempfile prices_bl
		save `prices_bl'
		
	use "${market_imputed_fl1}", clear 

	* Keep the 25 food items that are included in the Phone Survey
		keep if inlist(item,1,2,3,4,7,14,15,16,17,18,24,26,27,29,33,41,44,45,50,64,66,72,76,80,84)
		
		collapse (mean) price, by(item)
		
		rename price price_1
		
		tempfile prices_fl1
		save `prices_fl1'	
		
	use "${market_imputed_phonesvy}", clear 	
		keep if round == 2 // we are using R2 prices now 
		
		/*  49% if using R1 data 
			64% if using R3 data 
			63% if using R4 data 
			57% if using all 4 rounds together 
		*/
		
		keep item price_mean district 
		
		collapse (mean) price_mean, by(item)
		
		rename price_mean price_2 
		
		duplicates drop 
				
		merge 1:1 item using "`prices_bl'", nogen
		merge 1:1 item  using "`prices_fl1'", nogen
	
		order price_0 price_1 price_2, after(item)
	
		/* Another way 
		
		gen inflation_1 = (price_1 - price_0) / price_0
		
		gen inflation_2 = (price_2 - price_1) / price_1
		
		
	/* Item as examples :
	
	 2 Rice (low quality)
	 3 Wheat flour
	 18 chicken
	 24 milk
	 33 eggs
	 41  potato
	*/
	
	keep if inlist(item,2,3,4,18,24,33,41)
		
		
		sum  inflation_1 inflation_2 
		
		stop*/
		
	collapse (mean) price_0 price_1 price_2

	gen inflation_1 = (price_1 - price_0) / price_0
		
	gen inflation_2 = (price_2 - price_1) / price_1
	
	sum  inflation_1 inflation_2

	//-.1163094	.636692 */
	
	*/
		
	gl total_expenditure_phonesvy_fl1 	"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/total_expenditure_fl1_phonesvy.dta"
	gl total_expenditure_phonesvy_bl 	"${TUP_DB}/Baseline_Phone/DataSets/Intermediate/total_expenditure_bl_phonesvy.dta"
	gl total_expenditure		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/total_expenditure_phonesvy.dta"

	
	* Need to fix this at MIDLINE prices 
		
use "${total_expenditure_phonesvy_bl}", clear 
	merge 1:1 hhid using "${phone_svy_profile}", keepus(attrition_r1_or_r2 ultra_poor) keep(3) nogen
	keep if attrition_r1_or_r2 == 0

	keep hhid exp_tot_m_pc_fl1price ultra_poor
	rename exp_tot_m_pc_fl1price exp_tot_m_pc
	
	gen wave = 0
	tempfile cons_bl
	save `cons_bl'
	
use "${total_expenditure_phonesvy_fl1}", clear 
	merge 1:1 hhid using "${phone_svy_profile}", keepus(attrition_r1_or_r2 ultra_poor) keep(3) nogen
	keep if attrition_r1_or_r2 == 0
	
	keep hhid exp_tot_m_pc ultra_poor
	gen wave = 1
	tempfile cons_fl1
	save `cons_fl1'
	
use "${total_expenditure}", clear 
	merge m:1 hhid using "${phone_svy_profile}", keepus(attrition_r1_or_r2 ultra_poor) keep(3) nogen
	keep if attrition_r1_or_r2 == 0
	
	keep hhid exp_tot_m_pc_w99_fl ultra_poor
	rename exp_tot_m_pc_w99_fl exp_tot_m_pc
	drop if exp_tot_m_pc==.
	duplicates drop 
	isid hhid 
	gen wave = 2 
	
	append using "`cons_bl'"
	append using "`cons_fl1'"
	
	lab define wave_l 0 "Baseline" 1 "Midline" 2 "Endline"
	label val wave wave_l
	
	lab define up_l 0 "NUP" 1 "UP"
	lab val ultra_poor up_l
	
	graph bar (mean) exp_tot_m_pc, over(ultra_poor) over(wave) ///
			graphregion(color(white)) ylabel(,nogrid) ///
			bar(1, bcolor("43 123 182")) blabel(bar, position(inside) format(%9.0f) color(white)) ///
			ytitle("Proxy Total Consumption per Capita (AFS), Midline Prices") yscale(r(0 2000))
	

	