/*  
 
Draft analysis tables : multiple rounds for main outcomes / outcomes already analyzed 
 
*/ 

	gl phone_svy_profile   				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta" 
	gl data_for_analysis_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Final/data_for_analysis_phonesvy.dta" 
	gl all_hhlevel_phonesvy 			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/all_hhlevel_phonesvy.dta" 

	* For aspirations balance test 
	gl f_empowerment_bl_phone		"${TUP_DB}/Baseline_Phone/DataSets/Intermediate/f_empowerment_bl.dta" 
		
	use "${data_for_analysis_phonesvy}", clear 
	
	/*rename num_house_Land_2 houseland_2
	rename num_house_Land_4 houseland_4
	rename num_nonHouse_Land_2 otherland_2
	rename num_nonHouse_Land_4 otherland_4*/
	
			
* Mult rounds of consumption and FS 
	gl consump_tot exp_tot_m_pc_1_ca21 exp_tot_m_pc_3_ca21 exp_tot_m_pc_4_ca21  
	gl consump_food exp_f_tot_m_pc_1_ca21 exp_f_tot_m_pc_3_ca21 exp_f_tot_m_pc_4_ca21 
	gl consump_nonfood exp_nf_tot_m_pc_1_ca21 exp_nf_tot_m_pc_3_ca21 exp_nf_tot_m_pc_4_ca21 
	
	gl consump_tot_lvl exp_tot_m_pc_1_ca18 exp_tot_m_pc_3_ca18 exp_tot_m_pc_4_ca18  
	gl consump_food_lvl exp_f_tot_m_pc_1_ca18 exp_f_tot_m_pc_3_ca18 exp_f_tot_m_pc_4_ca18
	gl consump_nonfood_lvl exp_nf_tot_m_pc_1_ca18 exp_nf_tot_m_pc_3_ca18 exp_nf_tot_m_pc_4_ca18 	
	 	 
	gl foodsec index_sdC_food_sec_1 index_sdC_food_sec_4 c14_7_1 c14_7_4 c14_3_ac_1 c14_3_ac_4 c14_5_ac_1 c14_5_ac_4
 
* Mult rounds of finance  
	gl finance 		loan_dummy_1 loan_dummy_3 loan_dummy_4 loan_1_usd loan_3_usd loan_4_usd saving_dummy_1 saving_dummy_3 saving_dummy_4 ///
						saving_1_usd saving_3_usd saving_4_usd 
						
* Mult rounds of assets 
	gl assets 		tup_lstock_yes_1 tup_lstock_yes_4 lstock_yes_chicken_1 lstock_yes_chicken_4 wealth_score_sdC_2 wealth_score_sdC_4
	gl assets2 	    lstock_num_cow_1 lstock_num_cow_4 lstock_num_goat_1 lstock_num_goat_4 lstock_num_sheep_1 lstock_num_sheep_4 ///
						lstock_num_chicken_1 lstock_num_chicken_4
	
	//gl land 		houseland_2 houseland_4 otherland_2 otherland_4
	
* Mult rounds of labor participation
	gl labor	labor_particip_pf_1 labor_particip_pf_3 labor_particip_pf_4 labor_particip_pm_1 labor_particip_pm_3 labor_particip_pm_4 ///
					employment_pf_1 employment_pf_3 employment_pf_4 employment_pm_1 employment_pm_3 employment_pm_4 ///
					k5_1_pf_1 k5_1_pf_3 k5_1_pf_4 k5_1_pm_1 k5_1_pm_3 k5_1_pm_4 ///
					did_livestock_pf_1 did_livestock_pf_3 did_livestock_pf_4 did_livestock_pm_1 did_livestock_pm_3 did_livestock_pm_4 ///
					did_ownFarming_pf_1 did_ownFarming_pf_3 did_ownFarming_pf_4 did_ownFarming_pm_1 did_ownFarming_pm_3 did_ownFarming_pm_4 ///
					did_ownBiz_pf_1 did_ownBiz_pf_3 did_ownBiz_pf_4 did_ownBiz_pm_1 did_ownBiz_pm_3 did_ownBiz_pm_4 ///
					did_oWork_pf_1 did_oWork_pf_3 did_oWork_pf_4 did_oWork_pm_1 did_oWork_pm_3 did_oWork_pm_4

* Number of hours wored in and out of the home (PM, PW)
	gl time_hours tot_k30_out_hrs_4w_pf_3 tot_k30_in_hrs_4w_pf_3 tot_k30_out_hrs_4w_pm_3 tot_k30_in_hrs_4w_pm_3					
					
* Mult rounds of income
	gl income 		tot_hh_income_1_usd tot_hh_i_noag_1_usd tot_hh_income_4_usd tot_lstock_r_1_usd ///
						tot_lstock_r_4_usd  ///
						tot_crop_r_2_usd tot_crop_r_4_usd ///
						tot_biz_revenue_1_usd tot_biz_revenue_4_usd ///
						tot_pay_imp_1_usd tot_pay_imp_3_usd tot_pay_imp_4_usd earn_4_usd ///
						num_inc_source_1 num_inc_source_4
						
* Lstock value 
	gl lstock_value 	tot_lstock_value_4_usd lstock_v_cow_4_usd lstock_v_goat_4_usd ///
							lstock_v_sheep_4_usd lstock_v_chicken_4_usd
						
* Mult rounds of Psy Well-being  	
	gl psy 			psy_indexC_sdC ///	
						happy happy_1 happy_2 ///
						satisf_score satisf_score_1 satisf_score_2 ///
							cesd_md	

* Mult rounds of WE (not really, but add aspirations for subsample with young daughters)
 	gl we				 index_sdC_f_emp_3c_1 index_sdC_all_decisions index_sdC_role_prod_1 ///
								index_sdC_social_capital index_sdC_social_norms_dau ///
								did_labor_nohh_1 did_labor_nohh_3
								// h14_ac_1 h14_ac_4 h24_ac_1 h24_ac_4 h28_ac_1 h28_ac_4 h31_ac_1 
								//h31_ac_4 h30_1 h30_4 n1_1 n1_4 n2_1 n2_4 - N here is super small, it does not make sense to show 
						
* Health 
	gl health 			sick_adult sick_child
						
	* Varnames too long
	rename tot_hh_income_noag_1_usd tot_hh_i_noag_1_usd
	rename tot_lstock_revenue_*_usd tot_lstock_r_*_usd
	rename tot_crop_revenue_*_usd tot_crop_r_*_usd
	rename lstock_value_*_4_usd lstock_v_*_4_usd
	rename tot_pmpw_pay_imp_*_usd tot_pay_imp_*_usd
						
	lab var tot_hh_income_1_usd "Total Household Income and Revenues (USD) (round 1,2)"
	lab var tot_hh_i_noag_1_usd "Total Household Income and Revenues (USD) (round 1) - no Ag"
	lab var tot_hh_income_4_usd "Total Household Income and Revenues (USD) (round 3,4) - no Ag"
	lab var tot_lstock_r_1_usd "HH Livestock Revenue (excl. animal products) (USD) (round 1)"
	lab var tot_lstock_r_4_usd "HH Livestock Revenue (excl. animal products) (USD) (round 4)"
	lab var tot_crop_r_2_usd "Agricultural Revenue (USD) (round 2)"
	lab var tot_crop_r_4_usd "Agricultural Revenue (USD) (round 4)"
	lab var tot_biz_revenue_1_usd "Non-Agricultural Business Revenue (USD) (round 1)"
	lab var tot_biz_revenue_4_usd"Non-Agricultural Business Revenue (USD) (round 4)"
	lab var tot_pay_imp_1_usd "PM + PW Paid Labor Income (USD) - imputed (round 1)"
	lab var tot_pay_imp_3_usd "PM + PW Paid Labor Income (USD) - imputed (round 3)"
	lab var tot_pay_imp_4_usd "PM + PW Paid Labor Income (USD) - imputed (round 4)"
	lab var earn_4_usd "Other Adults Paid Labor Income (USD) - (round 4)"
						
	lab var happy "LHH Very happy or quite happy (1/0) (R1 and R2 average)"
	lab var satisf_score "Life satisfaction (WVS) total score (R1 and R2 average)"
						
	lab var cesd_md "CESD Major depression 1/0 (=1 if score>=8) (round 2)"
	
	foreach var in tot_k30_out_hrs_4w_pf_3 tot_k30_in_hrs_4w_pf_3 {
		local `var'_lab: variable label `var'
		lab var `var' "PW ``var'_lab'" 
	}
	
	foreach var in tot_k30_out_hrs_4w_pm_3 tot_k30_in_hrs_4w_pm_3 {
	    local `var'_lab: variable label `var'
		lab var `var' "PM ``var'_lab'" 
	}
	
* Define name of the Excel fine  
	putexcel set "${TUP_DB}/Phone_Survey/Output/Interim/other_impacts_phonesvy.xlsx", modify sheet(main_outcomes)	 
	 
** Phone survey	 


	* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $consump_tot $consump_food $consump_nonfood $consump_tot_lvl $consump_food_lvl $consump_nonfood_lvl $foodsec $finance $assets $assets2 /*$land*/ $labor $time_hours $income $lstock_value $psy $we $health { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 
			global `var'_lab : variable label `var' 
		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${controls}, r 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel A1 = "MULTIPLE ROUNDS OF MAIN OUTCOMES" 
					putexcel A2 = "Phone survey" 
					
					putexcel B3 = "Control Mean" 
					putexcel C3 = "Level" 
					putexcel D3 = "% Control Mean" 
					putexcel E3 = "SD Control" 
					putexcel F3 = "N"  
					 
					* Results  
					putexcel A`row' = "${`var'_lab}" 
					putexcel B`row' = "${`var'm0}" 
					putexcel C`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") & !regexm("`var'","wealth") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel D`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel D`row' = "" 
						} 
					} 
					putexcel E`row' = "${`var'imp2}" 
					putexcel F`row' = "${N_`var'}" 
					 
					putexcel B`row_se' = "(${`var's0})" 
					putexcel C`row_se' = "(${`var'tse})" 
					putexcel C`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		}
		
	* Mult rounds of schooling and extra schooling outcomes 	
	use "${schooling_phonesvy}", clear 
	
	unab reason_notenrolled_r1:	b15b_1_1 - b15b_11_1
	unab reason_notenrolled_r4: b15b_1_4 - b15b_11_4
	
	gl schooling 		child_inschool_hh child_inschool_hh_4
	
	lab var child_inschool_hh "School Enrollment (ages 6 to 18 years) (round 1)" 
	lab var child_inschool_hh_4 "School Enrollment (ages 6 to 18 years) (round 4)" 

	foreach var in $schooling { 
		global `var'_lab : variable label `var' 
		 
		* Cluster at HHID level (we have child-level data)
		reg `var' treatment ${controls}, vce(cluster hhid)
		sum `var' if treatment == 0 & e(sample) == 1 
		 
		coeff_treat_excel `var' treatment	 
		 
		* Results  
		putexcel A`row' = "${`var'_lab}" 
		putexcel B`row' = "${`var'm0}" 
		putexcel C`row' = "${`var't}" 
		if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
			if "${`var'imp1}"!="" { // change here  
				putexcel D`row' = "${`var'imp1}%"  
			} 
			else { 
				putexcel D`row' = "" 
			} 
		} 
		putexcel E`row' = "${`var'imp2}" 
		putexcel F`row' = "${N_`var'}" 
		 
		putexcel B`row_se' = "(${`var's0})" 
		putexcel C`row_se' = "(${`var'tse})" 
		putexcel C`row_p' = "[${`var'p}]"	 
				 
		local row = 	`row' + 3 
		local row_se = 	`row_se' + 3 
		local row_p = 	`row_p' + 3				
	}
	 	
		