/*  
 
Draft analysis tables : Extra outcomes 
 
*/ 

gl phone_svy_profile   				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta" 
gl data_for_analysis_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Final/data_for_analysis_phonesvy.dta" 
gl non_assets_data        			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/other_assets_phonesvy.dta"
 

	
use "${non_assets_data}", clear 
		

***********************************************************************************************
**************************************** non-DHS assets ***************************************
************************************************************************************************
	
	unab use_assets: l1_b_3_20 - l1_b_3_49
	unab own_assets: asset_yes_20 - asset_yes_49
	  
	foreach var of local own_assets {
	local `var'_l: variable label `var'
	lab var `var' "HH owns: ``var'_l'"
	}
	 
	 
* Other assets 
	global other_assets asset_yes asset_yes_produse asset_num num_asset_produse `own_assets' `use_assets'
	
* Define name of the Excel fine  
	putexcel set "${TUP_DB}/Phone_Survey/Output/Interim/other_impacts_phonesvy.xlsx", modify sheet(other_assets)	 

 
	* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $other_assets { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 
			global `var'_lab : variable label `var' 
		 
			* Do not cluster when doing each round separately (not panel)
	
			cap noi reg `var' treatment ${controls}, r 
			cap noi sum `var' if treatment == 0 & e(sample) == 1 
		
			cap noi coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel A1 = "NON-DHS ASSETS" 
					putexcel A2 = "Phone survey" 
					
					putexcel B3 = "Control Mean" 
					putexcel C3 = "Level" 
					putexcel D3 = "% Control Mean" 
					putexcel E3 = "SD Control" 
					putexcel F3 = "N"  
					 
					* Results  
					putexcel A`row' = "${`var'_lab}" 
					putexcel B`row' = "${`var'm0}" 
					putexcel C`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel D`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel D`row' = "" 
						} 
					} 
					putexcel E`row' = "${`var'imp2}" 
					putexcel F`row' = "${N_`var'}" 
					 
					putexcel B`row_se' = "(${`var's0})" 
					putexcel C`row_se' = "(${`var'tse})" 
					putexcel C`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		}