/*  
 
Draft analysis tables : multiple rounds for main outcomes / outcomes already analyzed 
 
*/ 

	gl data_for_analysis_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Final/data_for_analysis_phonesvy.dta" 

	gl total_expenditure_fl1_phonesvy 	"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/total_expenditure_fl1_phonesvy.dta"

	
	
	use "${data_for_analysis_phonesvy}", clear 
			
	* variable namse are too long 		
	rename *tot_m_pc* *tmp*


	gl winsor_95 exp_tmp_w95_1_ca18 exp_tmp_w95_3_ca18 exp_tmp_w95_4_ca18 ///
		exp_tmp_nome_w95_1_ca18 exp_tmp_nome_w95_3_ca18 exp_tmp_nome_w95_4_ca18 ///
		exp_nf_tmp_w95_1_ca18 exp_nf_tmp_w95_3_ca18 exp_nf_tmp_w95_4_ca18 ///
		exp_nf_tmp_nome_w95_1_ca18 exp_nf_tmp_nome_w95_3_ca18 exp_nf_tmp_nome_w95_4_ca18 ///
		exp_nf_m_soap_pc_w95_1_ca18 exp_nf_m_soap_pc_w95_3_ca18 exp_nf_m_soap_pc_w95_4_ca18 ///
		exp_nf_m_med_pc_w95_1_ca18 exp_nf_m_med_pc_w95_3_ca18 exp_nf_m_med_pc_w95_4_ca18 

	gl winsor_97 exp_tmp_w97_1_ca18 exp_tmp_w97_3_ca18 exp_tmp_w97_4_ca18 ///
		exp_tmp_nome_w97_1_ca18 exp_tmp_nome_w97_3_ca18 exp_tmp_nome_w97_4_ca18 ///
		exp_nf_tmp_w97_1_ca18 exp_nf_tmp_w97_3_ca18 exp_nf_tmp_w97_4_ca18 ///
		exp_nf_tmp_nome_w97_1_ca18 exp_nf_tmp_nome_w97_3_ca18 exp_nf_tmp_nome_w97_4_ca18 ///
		exp_nf_m_soap_pc_w97_1_ca18 exp_nf_m_soap_pc_w97_3_ca18 exp_nf_m_soap_pc_w97_4_ca18 ///
		exp_nf_m_med_pc_w97_1_ca18 exp_nf_m_med_pc_w97_3_ca18 exp_nf_m_med_pc_w97_4_ca18 

	gl winsor_99 exp_tmp_w99_1_ca18 exp_tmp_w99_3_ca18 exp_tmp_w99_4_ca18 ///
		exp_tmp_nome_w99_1_ca18 exp_tmp_nome_w99_3_ca18 exp_tmp_nome_w99_4_ca18 ///
		exp_nf_tmp_w99_1_ca18 exp_nf_tmp_w99_3_ca18 exp_nf_tmp_w99_4_ca18 ///
		exp_nf_tmp_nome_w99_1_ca18 exp_nf_tmp_nome_w99_3_ca18 exp_nf_tmp_nome_w99_4_ca18 ///
		exp_nf_m_soap_pc_w99_1_ca18 exp_nf_m_soap_pc_w99_3_ca18 exp_nf_m_soap_pc_w99_4_ca18 ///
		exp_nf_m_med_pc_w99_1_ca18 exp_nf_m_med_pc_w99_3_ca18 exp_nf_m_med_pc_w99_4_ca18 
		
	gl nowinsor exp_tmp_1_ca18 exp_tmp_3_ca18 exp_tmp_4_ca18 ///
		exp_tmp_nome_1_ca18 exp_tmp_nome_3_ca18 exp_tmp_nome_4_ca18 ///
		exp_nf_tmp_1_ca18 exp_nf_tmp_3_ca18 exp_nf_tmp_4_ca18 ///
		exp_nf_tmp_nome_1_ca18 exp_nf_tmp_nome_3_ca18 exp_nf_tmp_nome_4_ca18 ///
		exp_nf_m_soap_pc_1_ca18 exp_nf_m_soap_pc_3_ca18 exp_nf_m_soap_pc_3_ca18 ///
		exp_nf_m_med_pc_1_ca18 exp_nf_m_med_pc_3_ca18 exp_nf_m_med_pc_4_ca18 ///
		exp_f_tmp_1_ca18 exp_f_tmp_3_ca18 exp_f_tmp_4_ca18
	 	 
		
* Define name of the Excel fine  
	putexcel set "${TUP_DB}/Phone_Survey/Output/Interim/consump_winsor.xlsx", modify sheet(winsor_up)	 
	 
	foreach i in 1 3 4 { 
	    
		lab var exp_tmp_w95_`i'_ca18 "Total Consumption (round `i')"
		lab var exp_nf_tmp_w95_`i'_ca18 "Non-Food Consumption w/soap and item-winsorized health (round `i')"
		lab var exp_nf_tmp_nome_w95_`i'_ca18 "Non-Food Consumption w/soap and w/o Health (round `i')"
		lab var exp_tmp_nome_w95_`i'_ca18 "Total Consumption w/soap and w/o Health (round `i')"
		lab var exp_nf_m_soap_pc_w95_`i'_ca18 "Soap Expenditure (round `i')" 
		lab var exp_nf_m_med_pc_w95_`i'_ca18 "Health Expenditure - item-winsorized (round `i')"
		lab var exp_f_tmp_`i'_ca18 "Food Consumption (round `i')"
	}
	 
	 
	 
* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $winsor_95 { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 
			global `var'l : variable label `var' 
		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${controls}, r 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel A1 = "WINSORIZATION FOR CONSUMPTION (CONSTANT 2018 AFN) - BY ULTRA-POOR" 
					putexcel B2 = "95% Winsorization by UP" 
					
					putexcel B3 = "Control Mean" 
					putexcel C3 = "Level" 
					putexcel D3 = "% Control Mean" 
					putexcel E3 = "SD Control" 
					putexcel F3 = "N"  
					 
					* Results  
					putexcel A`row' = "${`var'l}" 
					putexcel B`row' = "${`var'm0}" 
					putexcel C`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel D`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel D`row' = "" 
						} 
					} 
					putexcel E`row' = "${`var'imp2}" 
					putexcel F`row' = "${N_`var'}" 
					 
					putexcel B`row_se' = "(${`var's0})" 
					putexcel C`row_se' = "(${`var'tse})" 
					putexcel C`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		} 
		
* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $winsor_97 { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${controls}, r 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel H2 = "97% Winsorization by UP" 
					putexcel H3 = "Control Mean" 
					putexcel I3 = "Level" 
					putexcel J3 = "% Control Mean" 
					putexcel K3 = "SD Control" 
					putexcel L3 = "N"  
					 
					* Results  
					putexcel H`row' = "${`var'm0}" 
					putexcel I`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel J`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel J`row' = "" 
						} 
					} 
					putexcel K`row' = "${`var'imp2}" 
					putexcel L`row' = "${N_`var'}" 
					 
					putexcel H`row_se' = "(${`var's0})" 
					putexcel I`row_se' = "(${`var'tse})" 
					putexcel I`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		} 

		
* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $winsor_99 { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${controls}, r 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel N2 = "99% Winsorization by UP" 
					putexcel N3 = "Control Mean" 
					putexcel O3 = "Level" 
					putexcel P3 = "% Control Mean" 
					putexcel Q3 = "SD Control" 
					putexcel R3 = "N"  
					 
					* Results  
					putexcel N`row' = "${`var'm0}" 
					putexcel O`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel P`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel P`row' = "" 
						} 
					} 
					putexcel Q`row' = "${`var'imp2}" 
					putexcel R`row' = "${N_`var'}" 
					 
					putexcel N`row_se' = "(${`var's0})" 
					putexcel O`row_se' = "(${`var'tse})" 
					putexcel O`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		} 
		
	* Add nowinsor version for comparison
	
	* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $nowinsor { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 	global `var'l : variable label `var' 

		* Do not cluster if doing each round separately 
			reg `var' treatment ${controls}, r 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel T2 = "No Winsorization" 
					putexcel T3 = "Control Mean" 
					putexcel U3 = "Level" 
					putexcel V3 = "% Control Mean" 
					putexcel W3 = "SD Control" 
					putexcel X3 = "N" 
					 
					* Results  
					if regexm("`var'","exp_f_tmp") {
					    putexcel A`row' = "${`var'l}" 
					}
					
					putexcel T`row' = "${`var'm0}" 
					putexcel U`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel V`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel V`row' = "" 
						} 
					} 
					putexcel W`row' = "${`var'imp2}" 
					putexcel X`row' = "${N_`var'}"
					
					putexcel T`row_se' = "(${`var's0})"  
					putexcel U`row_se' = "(${`var'tse})" 
					putexcel U`row_p' = "[${`var'p}]"
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3
			} 
			 
		}		
