/*  
 
Draft analysis tables : multiple rounds for main outcomes / outcomes already analyzed 
 
*/ 

	gl phone_svy_profile   				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta" 
	gl data_for_analysis_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Final/data_for_analysis_phonesvy.dta" 
	gl all_hhlevel_phonesvy 			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/all_hhlevel_phonesvy.dta" 

	* For aspirations balance test 
	gl f_empowerment_bl_phone		"${TUP_DB}/Baseline_Phone/DataSets/Intermediate/f_empowerment_bl.dta" 
		
	use "${data_for_analysis_phonesvy}", clear 
			
	* variable namse are too long 		
	rename *value_med* *v_m*
	rename *value_m* *v_m*
	rename lstock_value* l_v*
	rename tot_lstock_value* tot_l_v*
	rename tot_hh_income_noag* tot_hh_i_noag*	
	rename tot_lstock_revenue* tot_lstock_r*
	
	* Winsorized by treatment
	gl winsor_95t loan_1_w95t_usd loan_3_w95t_usd loan_4_w95t_usd saving_1_w95t_usd saving_3_w95t_usd saving_4_w95t_usd tot_l_v_4_w95t_usd ///
		l_v_cow_4_w95t_usd l_v_goat_4_w95t_usd l_v_sheep_4_w95t_usd l_v_chicken_4_w95t_usd ///
		tot_lstock_v_m_4_w95t_usd lstock_v_m_cow_4_w95t_usd lstock_v_m_goat_4_w95t_usd lstock_v_m_sheep_4_w95t_usd lstock_v_m_chic_4_w95t_usd ///
		tot_hh_income_1_w95t_usd tot_hh_i_noag_1_w95t_usd tot_hh_income_4_w95t_usd tot_lstock_r_1_w95t_usd tot_lstock_r_4_w95t_usd ///
		tot_crop_revenue_2_w95t_usd tot_crop_revenue_4_w95t_usd tot_biz_revenue_1_w95t_usd tot_biz_revenue_4_w95t_usd tot_hh_pay_imp_1_w95t_usd ///
		tot_hh_pay_imp_3_w95t_usd tot_hh_pay_imp_4_w95t_usd earn_4_w95t_usd 
		
	gl winsor_97t loan_1_w97t_usd loan_3_w97t_usd loan_4_w97t_usd saving_1_w97t_usd saving_3_w97t_usd saving_4_w97t_usd tot_l_v_4_w97t_usd ///
		l_v_cow_4_w97t_usd l_v_goat_4_w97t_usd l_v_sheep_4_w97t_usd l_v_chicken_4_w97t_usd ///
		tot_lstock_v_m_4_w97t_usd lstock_v_m_cow_4_w97t_usd lstock_v_m_goat_4_w97t_usd lstock_v_m_sheep_4_w97t_usd lstock_v_m_chic_4_w97t_usd ///
		tot_hh_income_1_w97t_usd tot_hh_i_noag_1_w97t_usd tot_hh_income_4_w97t_usd tot_lstock_r_1_w97t_usd tot_lstock_r_4_w97t_usd ///
		tot_crop_revenue_2_w97t_usd tot_crop_revenue_4_w97t_usd tot_biz_revenue_1_w97t_usd tot_biz_revenue_4_w97t_usd tot_hh_pay_imp_1_w97t_usd ///
		tot_hh_pay_imp_3_w97t_usd tot_hh_pay_imp_4_w97t_usd earn_4_w97t_usd

	gl winsor_99t loan_1_w99t_usd loan_3_w99t_usd loan_4_w99t_usd saving_1_w99t_usd saving_3_w99t_usd saving_4_w99t_usd tot_l_v_4_w99t_usd ///
		l_v_cow_4_w99t_usd l_v_goat_4_w99t_usd l_v_sheep_4_w99t_usd l_v_chicken_4_w99t_usd ///
		tot_lstock_v_m_4_w99t_usd lstock_v_m_cow_4_w99t_usd lstock_v_m_goat_4_w99t_usd lstock_v_m_sheep_4_w99t_usd lstock_v_m_chic_4_w99t_usd ///
		tot_hh_income_1_w99t_usd tot_hh_i_noag_1_w99t_usd tot_hh_income_4_w99t_usd tot_lstock_r_1_w99t_usd tot_lstock_r_4_w99t_usd ///
		tot_crop_revenue_2_w99t_usd tot_crop_revenue_4_w99t_usd tot_biz_revenue_1_w99t_usd tot_biz_revenue_4_w99t_usd tot_hh_pay_imp_1_w99t_usd ///
		tot_hh_pay_imp_3_w99t_usd tot_hh_pay_imp_4_w99t_usd earn_4_w99t_usd
		
	gl nowinsor loan_1_usd loan_3_usd loan_4_usd ///
		saving_1_usd saving_3_usd saving_4_usd ///
		tot_l_v_4_usd l_v_cow_4_usd l_v_goat_4_usd l_v_sheep_4_usd l_v_chicken_4_usd ///
		tot_lstock_v_m_4_usd lstock_v_m_cow_4_usd lstock_v_m_goat_4_usd lstock_v_m_sheep_4_usd ///
		lstock_v_m_chicken_4_usd tot_hh_income_1_usd tot_hh_i_noag_1_usd tot_hh_income_4_usd tot_lstock_r_1_usd tot_lstock_r_4_usd  ///
		tot_crop_revenue_2_usd tot_crop_revenue_4_usd ///
		tot_biz_revenue_1_usd tot_biz_revenue_4_usd tot_hh_pay_imp_1_usd tot_hh_pay_imp_3_usd tot_hh_pay_imp_4_usd earn_4_usd
		
	 	 
* Define name of the Excel fine  
	putexcel set "${TUP_DB}/Phone_Survey/Output/Interim/other_impacts_phonesvy.xlsx", modify sheet(winsor_treatment)	 
	 
* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $winsor_95t { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 
			global `var'l : variable label `var' 
		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${controls}, r 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel A1 = "WINSORIZATION FOR MONETARY VARIABLES (USD) - BY TREATMENT" 
					putexcel A2 = "95% Winsorization by Treatment" 
					
					putexcel B3 = "Control Mean" 
					putexcel C3 = "Level" 
					putexcel D3 = "% Control Mean" 
					putexcel E3 = "SD Control" 
					putexcel F3 = "N"  
					 
					* Results  
					*putexcel A`row' = "${`var'l}" 
					putexcel B`row' = "${`var'm0}" 
					putexcel C`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel D`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel D`row' = "" 
						} 
					} 
					putexcel E`row' = "${`var'imp2}" 
					putexcel F`row' = "${N_`var'}" 
					 
					putexcel B`row_se' = "(${`var's0})" 
					putexcel C`row_se' = "(${`var'tse})" 
					putexcel C`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		} 
		
* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $winsor_97t { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${controls}, r 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel H2 = "97% Winsorization by Treatment" 
					putexcel H3 = "Control Mean" 
					putexcel I3 = "Level" 
					putexcel J3 = "% Control Mean" 
					putexcel K3 = "SD Control" 
					putexcel L3 = "N"  
					 
					* Results  
					putexcel H`row' = "${`var'm0}" 
					putexcel I`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel J`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel J`row' = "" 
						} 
					} 
					putexcel K`row' = "${`var'imp2}" 
					putexcel L`row' = "${N_`var'}" 
					 
					putexcel H`row_se' = "(${`var's0})" 
					putexcel I`row_se' = "(${`var'tse})" 
					putexcel I`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		} 

		
* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $winsor_99t { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${controls}, r 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel N2 = "99% Winsorization by Treatment" 
					putexcel N3 = "Control Mean" 
					putexcel O3 = "Level" 
					putexcel P3 = "% Control Mean" 
					putexcel Q3 = "SD Control" 
					putexcel R3 = "N"  
					 
					* Results  
					putexcel N`row' = "${`var'm0}" 
					putexcel O`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel P`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel P`row' = "" 
						} 
					} 
					putexcel Q`row' = "${`var'imp2}" 
					putexcel R`row' = "${N_`var'}" 
					 
					putexcel N`row_se' = "(${`var's0})" 
					putexcel O`row_se' = "(${`var'tse})" 
					putexcel O`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		} 
		
	* Add nowinsor version for comparison
	
	* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $nowinsor { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${controls}, r 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel T2 = "No Winsorization" 
					putexcel T3 = "Control Mean" 
					putexcel U3 = "Level" 
					putexcel V3 = "% Control Mean" 
					putexcel W3 = "SD Control" 
					putexcel X3 = "N" 
					 
					* Results  
					putexcel T`row' = "${`var'm0}" 
					putexcel U`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel V`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel V`row' = "" 
						} 
					} 
					putexcel W`row' = "${`var'imp2}" 
					putexcel X`row' = "${N_`var'}"
					
					putexcel T`row_se' = "(${`var's0})"  
					putexcel U`row_se' = "(${`var'tse})" 
					putexcel U`row_p' = "[${`var'p}]"
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3
			} 
			 
		}		
