/*  
 
Draft analysis tables : multiple rounds for main outcomes / outcomes already analyzed 
 
*/ 

	gl data_for_analysis_phonesvy_long		"${TUP_DB}/Phone_Survey/DataSets/Final/data_for_analysis_phonesvy_long.dta" 

	
	use "${data_for_analysis_phonesvy_long}", clear 
			
	* variable namse are too long 		
	rename *tot_m_pc* *tmp*

	* Winsorized by treatment
	
	gl winsor_95tp exp_tmp_w95t_ca18 ///
		exp_tmp_nome_w95t_ca18  ///
		exp_nf_tmp_w95t_ca18  ///
		exp_nf_tmp_nome_w95t_ca18  ///
		exp_nf_m_soap_pc_ca18_w95t  ///
		exp_nf_m_med_pc_ca18_w95t

	gl winsor_97tp exp_tmp_w97t_ca18 ///
		exp_tmp_nome_w95t_ca18  ///
		exp_nf_tmp_w97t_ca18  ///
		exp_nf_tmp_nome_w97t_ca18 ///
 		exp_nf_m_soap_pc_ca18_w97t  ///
		exp_nf_m_med_pc_ca18_w97t 

	gl winsor_99tp exp_tmp_w99t_ca18 ///
		exp_tmp_nome_w99t_ca18   ///
		exp_nf_tmp_w99t_ca18  ///
		exp_nf_tmp_nome_w99t_ca18  ///
		exp_nf_m_soap_pc_ca18_w99t   ///
		exp_nf_m_med_pc_ca18_w99t  

	gl nowinsorp exp_tmp_ca18 ///
		exp_tmp_nome_ca18   ///
		exp_nf_tmp_ca18   ///
		exp_nf_tmp_nome_ca18   ///
		exp_nf_m_soap_pc_ca18   ///
		exp_nf_m_med_pc_ca18  ///
		exp_f_tmp_ca18
	 	 
		
* Define name of the Excel fine  
	putexcel set "${TUP_DB}/Phone_Survey/Output/Interim/consump_winsor.xlsx", modify sheet(winsor_treatment_pooled)	 
	 
		lab var exp_tmp_w95t_ca18 "Total Consupmtion"
		lab var exp_nf_tmp_w95t_ca18 "Non-Food Consupmtion w/soap and item-winsorized health "
		lab var exp_nf_tmp_nome_w95t_ca18 "Non-Food Consupmtion w/soap and w/o Health"
		lab var exp_tmp_nome_w95t_ca18 "Total Consupmtion w/soap and w/o Health"
		lab var exp_nf_m_soap_pc_ca18_w95t "Soap Expenditure" 
		lab var exp_nf_m_med_pc_ca18_w95t "Health Expenditure - item-winsorized"
		lab var exp_f_tmp_ca18 "Food Consumption"

	 
* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $winsor_95tp { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 
			global `var'l : variable label `var' 
		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${panel_controls}, vce(cluster hhid)
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel A1 = "WINSORIZATION FOR CONSUMPTION - POOLED ESTIMATES (CONSTANT 2018 AFN) - BY TREATMENT" 
					putexcel B2 = "95% Winsorization by Treatment" 
					
					putexcel B3 = "Control Mean" 
					putexcel C3 = "Level" 
					putexcel D3 = "% Control Mean" 
					putexcel E3 = "SD Control" 
					putexcel F3 = "N"  
					 
					* Results  
					putexcel A`row' = "${`var'l}" 
					putexcel B`row' = "${`var'm0}" 
					putexcel C`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel D`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel D`row' = "" 
						} 
					} 
					putexcel E`row' = "${`var'imp2}" 
					putexcel F`row' = "${N_`var'}" 
					 
					putexcel B`row_se' = "(${`var's0})" 
					putexcel C`row_se' = "(${`var'tse})" 
					putexcel C`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		} 
		
* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $winsor_97tp { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${panel_controls}, vce(cluster hhid)
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel H2 = "97% Winsorization by Treatment" 
					putexcel H3 = "Control Mean" 
					putexcel I3 = "Level" 
					putexcel J3 = "% Control Mean" 
					putexcel K3 = "SD Control" 
					putexcel L3 = "N"  
					 
					* Results  
					putexcel H`row' = "${`var'm0}" 
					putexcel I`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel J`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel J`row' = "" 
						} 
					} 
					putexcel K`row' = "${`var'imp2}" 
					putexcel L`row' = "${N_`var'}" 
					 
					putexcel H`row_se' = "(${`var's0})" 
					putexcel I`row_se' = "(${`var'tse})" 
					putexcel I`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		} 

		
* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $winsor_99tp { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${panel_con trols}, vce(cluster hhid) 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel N2 = "99% Winsorization by Treatment" 
					putexcel N3 = "Control Mean" 
					putexcel O3 = "Level" 
					putexcel P3 = "% Control Mean" 
					putexcel Q3 = "SD Control" 
					putexcel R3 = "N"  
					 
					* Results  
					putexcel N`row' = "${`var'm0}" 
					putexcel O`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel P`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel P`row' = "" 
						} 
					} 
					putexcel Q`row' = "${`var'imp2}" 
					putexcel R`row' = "${N_`var'}" 
					 
					putexcel N`row_se' = "(${`var's0})" 
					putexcel O`row_se' = "(${`var'tse})" 
					putexcel O`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		} 
		
	* Add nowinsor version for comparison
	
	* Locals for putexcel rows  
	local row 	 = 4 
	local row_se = 5 // SE 
	local row_p	 = 6 // p-values 
	 
	foreach var in $nowinsorp { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 	global `var'l : variable label `var' 

		* Do not cluster if doing each round separately 
			reg `var' treatment ${panel_controls}, vce(cluster hhid)
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
								 
					* Titles 
					putexcel T2 = "No Winsorization" 
					putexcel T3 = "Control Mean" 
					putexcel U3 = "Level" 
					putexcel V3 = "% Control Mean" 
					putexcel W3 = "SD Control" 
					putexcel X3 = "N" 
					 
					* Results   
					if "`var'" == "exp_f_tmp_ca18" {
					    putexcel A`row' = "${`var'l}" 
					}
					
					putexcel T`row' = "${`var'm0}" 
					putexcel U`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel V`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel V`row' = "" 
						} 
					} 
					putexcel W`row' = "${`var'imp2}" 
					putexcel X`row' = "${N_`var'}"
					
					putexcel T`row_se' = "(${`var's0})"  
					putexcel U`row_se' = "(${`var'tse})" 
					putexcel U`row_p' = "[${`var'p}]"
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3
			} 
			 
		}		
