	global 	phone_svy_profile			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta"

	gl response_rates response_r1 response_r2 response_r3 response_r4 response_r4_short response_r4_full response_anyround response_allrounds
	
	putexcel set "${TUP_DB}/Phone_Survey/Output/Interim/other_impacts_phonesvy.xlsx", modify sheet(balance)	 

	* Locals for putexcel rows  
	local row 	 = 37 
	local row_se = 38 // SE 
	local row_p	 = 39 // p-values 
		
		use $phone_svy_profile, clear
				
		foreach var in $response_rates  { 
		 
		cap confirm var `var' 
		if !_rc { // if the variable exists  
		 
			global `var'_lab : variable label `var' 
		
		* Do not cluster if doing each round separately 
			reg `var' treatment ${controls}, r 
			sum `var' if treatment == 0 & e(sample) == 1 
			 
			coeff_treat_excel `var' treatment 
							
					* Titles 
					putexcel A35 = "Response rates balance" 
					
					* Results  
					putexcel A`row' = "${`var'_lab}" 
					putexcel B`row' = "${`var'm0}" 
					putexcel C`row' = "${`var't}" 
					if !regexm("`var'","index") & !regexm("`var'","Index") { // change here from ndex  
						if "${`var'imp1}"!="" { // change here  
							putexcel D`row' = "${`var'imp1}%"  
						} 
						else { 
							putexcel D`row' = "" 
						} 
					} 
					putexcel E`row' = "${`var'imp2}" 
					putexcel F`row' = "${N_`var'}" 
					 
					putexcel B`row_se' = "(${`var's0})" 
					putexcel C`row_se' = "(${`var'tse})" 
					putexcel C`row_p' = "[${`var'p}]"	 
							 
					local row = 	`row' + 3 
					local row_se = 	`row_se' + 3 
					local row_p = 	`row_p' + 3 
			} 
			 
		}		
		
	