/* Test the significance of the difference in coefficients for consumption proxy
	between the full midline sample and the endline sampple (midline impacts). This is to 
	check whether the difference in imapcts (11 pp) is significant.

	See for help with suest command: https://www.stata.com/manuals/rsuest.pdf

*/

* First merge the data into one dataset 

use "${data_for_analysis_fl1_phone_full}", clear
keep hhid exp_tot_m_pc_noh_fl1 treatment PRA_lottery
	tempfile midline_full
	save `midline_full'
	
use "${data_for_analysis_fl1_phonesvy}"
rename exp_tot_m_pc_noh_fl1 exp_tot_m_pc_noh_fl1_ends
keep hhid exp_tot_m_pc_noh_fl1_ends treatment PRA_lottery exp_tot_m_pc_noh_ca21_s

merge 1:1 hhid using "`midline_full'", assert(3) nogen

* Run the regressions and save the estimates 	
reg exp_tot_m_pc_noh_fl1 treatment ${controls}
	est store exp_tot_m_pc_noh_fl1	

reg exp_tot_m_pc_noh_fl1_ends treatment ${controls} if exp_tot_m_pc_noh_ca21_s == 1
	est store exp_tot_m_pc_noh_fl1_ends	

* Run the test
	suest exp_tot_m_pc_noh_fl1 exp_tot_m_pc_noh_fl1_ends, vce(robust)
	test [exp_tot_m_pc_noh_fl1_mean = exp_tot_m_pc_noh_fl1_ends_mean]: treatment