/*******************************************************************************	

Project:  		AFG-TUP
Created on:  	January 4, 2023
Last udpate on: 
Written by:  	Thomas Escande	

Revision: 		

********************************************************************************	

THIS DO FILE: 	Cleans outliers for the total value of non-agricultural business  (k32)
				Do-file runs within "all_hhlevel_phonesvy.do".

*/

global  all_HH_nopii_fl1			"${TUP_DB}/Followup_1/DataSets/Intermediate/all_HH_nopii_fl1.dta"
global  current_roster_fl1 			"${TUP_DB}/Followup_1/DataSets/Intermediate/current_roster_fl1.dta"

	* Add UP and treatment variables for correct comparisons 
	merge m:1 hhid using "${all_HH_nopii_fl1}", keepusing(ultra_poor treatment) keep(3) nogen

					/*******************************************************
						Looking at outliers R1 
					*********************************************************/
*tw (hist k32 if  round==1 & ultra_poor == 1 , freq) || (hist k32 if round==1 &  ultra_poor == 0 , freq color(red%30))
* All the values look reasonable, everything is under 30 000 and under 25 000 for UP for the last 4 weeks
	

					/*******************************************************
						Looking at outliers R4
					*********************************************************/	
* tw (hist k32 if  round==4 & ultra_poor == 1 , freq) || (hist k32 if round==4 &  ultra_poor == 0 , freq color(red%30))
* Excluding a single value in the NUP with revenues around 80 000 while the next one is less than 30 000
	replace k32 = .o if k32 > 70000  & ultra_poor == 0 & !mi(k32 ) /*1 household out of 113*/		
	


