* Prepare Sayed and Hossain corrections 
global nonfood_consumption				"${TUP_DB}\Phone_Survey\DataSets\Intermediate\nonfoodcons_roster_phonesvy.dta"
global timeuse				     		"${TUP_DB}\Phone_Survey\DataSets\Intermediate\timeuse_roster_phonesvy.dta"
global livestock_revenue_index_phonesvy	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/livestock_revenue_index_phonesvy.dta"

global phone_svy_profile   				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta"

global sayed_correction_r1				"${Dropbox}/TUP_Afghanistan/Data Collection/COVID survey\Quality Checks/TUP_Audio_Sayed.xlsx"
global hossain_correction_r1			"${Dropbox}/TUP_Afghanistan/Data Collection/COVID survey\Quality Checks/TUP_Audio_Hossain.xlsx"

global sayed_correction_clean_r1		"${Dropbox}/TUP_Afghanistan/Data Collection/COVID survey\Quality Checks/sayed_correction_clean_r1.dta"
global hossain_correction_clean_r1		"${Dropbox}/TUP_Afghanistan/Data Collection/COVID survey\Quality Checks/hossain_correction_clean_r1.dta"

global correction_consumption_r1 		"${Dropbox}/TUP_Afghanistan/Data Collection/COVID survey\Quality Checks/correction_consumption_r1.dta"

global discrepancy_consumption 			"${Dropbox}/TUP_Afghanistan/Data Collection/COVID survey\Quality Checks/sayed_dicrepancy_consumption_r1.dta"
global discrepancy_consumption_new 			"${Dropbox}/TUP_Afghanistan/Data Collection/COVID survey\Quality Checks/sayed_dicrepancy_consumption_r1_new.dta"



global discrepancy_earnings				"${Dropbox}/TUP_Afghanistan/Data Collection/COVID survey\Quality Checks/sayed_dicrepancy_earnings_r1.dta"
global discrepancy_livestocksales		"${Dropbox}/TUP_Afghanistan/Data Collection/COVID survey\Quality Checks/sayed_dicrepancy_livestocksales_r1.dta"


/** HOSSAIN did not do any extra ones, so we can fully rely on Sayed's checks now

import excel using "${hossain_correction_r1}", firstrow clear
rename A hhid 
rename R note
drop if hhid == 1234567
drop B C S T
rename J k38
destring k32_1 k38, replace 
keep if !mi(c13_1)
replace k30_1 = "" if regexm(k30_1,"did")
replace k30_1_m = "" if regexm(k30_1_m,"did")

gen k30_1_m_corr = subinstr(k30_1_m,",","",.)
drop k30_1_m
rename k30_1_m_corr k30_1_m

destring k30_1 k30_1_m, replace 

rename * *_hoss
rename hhid_hoss hhid 
tempfile hossain
save `hossain' */


** SAYED 	
import excel using "${sayed_correction_r1}", firstrow clear

rename A hhid 
rename R note
drop if hhid == 1234567
drop B C 
rename J k38
destring k38, replace 
destring k32_1, replace  
keep if !mi(c13_1)

* One unexplained missing - send to inaudible / could not check
replace c13_17 = -888 if c13_17 == .

* Cleaning (all)
mvdecode *, mv(-99 = .d \ -98 = .r \ -97 = .n \ -888 = .b) // .b = bad quality audio

preserve 
	keep hhid c13_1 c13_16 c13_17 c13_18
	gen round = 1 
	reshape long c13_, i(hhid) j(item)
	rename *_ *
	replace item = item + 20 
	drop if c13 == .b // inaudible 
	
	* Temporarily recode back extended missings because otherwise the merge with update replace will not work 
	tab c13, m // 34 DKs that will be imputed 
	cou if mi(c13) // 34
	assert c13 == .d if mi(c13) // all are DKs
	
	gen c13_miss = c13
	replace c13_miss = -99 if c13 == .d 
	
	save "${correction_consumption_r1}", replace 
restore 

* Livestock sales value

egen k38_sum = rsum(k38_1 k38_2 k38_3 k38_4), missing 
cap noi assert k38 == k38_sum if !mi(k38_sum) & !mi(k38)
replace k38 = k38_sum if !mi(k38_sum) & mi(k38)
drop k38_sum k38_1 k38_2 k38_3 k38_4

* Non-Ag Biz Revenue: k32_1 k32_2 k32_3
egen k32 = rsum(k32_1 k32_2 k32_3), missing
replace k32 = .d if (k32_1==.d | k32_2==.d | k32_3==.d) & k32 == .
replace k32 = .d if (k32_1==.r | k32_2==.r | k32_3==.r) & k32 == .
drop k32_1 k32_2 k32_3

save "${sayed_correction_clean_r1}", replace



********************************************************************************
* CONSUMPTION 
********************************************************************************
use "${sayed_correction_clean_r1}", clear 
merge 1:1 hhid using "$phone_svy_profile", keepusing(treatment) keep(3) nogen
keep hhid c13_* treatment 

tempfile sayed
save `sayed' 

* DISCREPANCY
use "${nonfood_consumption}", clear 
keep if round == 1 
drop if item == 7 
keep hhid item c13_with_outliers
rename c13_with_outliers c13_
reshape wide c13_, i(hhid) j(item)
rename (*_21 *_36 *_37 *_38) (*_1 *_16 *_17 *_18)

tempfile consumption_r1
save `consumption_r1'


* Run bcstats (try this instead of 	$vars_compare)
		bcstats, 	surveydata(`consumption_r1') bcdata(`sayed') id(hhid) ///
					t1vars(c13_1 c13_16 c13_17 c13_18) keepbc(treatment)  ///
					showall full replace /// 
					filename("${discrepancy_consumption_new}") dta nolab
					
					
		use "${discrepancy_consumption_new}", clear 
		
		destring survey back_check, replace 
		
		cap drop actual_diff
		gen actual_diff = .
			replace actual_diff = 0 if diff == 0 // 320 
			* one is 0, one is missing (not outlier) - this is not a "real" difference (33 values)
			replace actual_diff = 1 if (diff == 1 & inlist(survey,.d,.r) & back_check==0) | (diff == 1 & survey==0 &  inlist(back_check,.d,.r)) 
			* back check is inaudible so does not gets replaced 
			replace actual_diff = 1 if diff == 1 & inlist(back_check,.b)
			* difference in values (16 values)
			replace actual_diff = 2 if diff==1 & !mi(survey) &!mi(back_check)
			* surveys is missing (DK, refuse) but Sayed gives a values (2 values)
			replace actual_diff = 3 if diff==1 & inlist(survey,.d,.r) & back_check>0 & !mi(back_check)
		
			* sayed is missing (DK, refuse) but but survey gives a value (14)
			replace actual_diff = 4 if diff==1 & inlist(back_check,.d,.r) & survey>0 & !mi(survey)
			
			sum diff // 604
			assert 546 + 21+ 1 + 24 + 2 + 10  == `r(N)' // thi used to be 414??? 320 + 16+2+33+41
			
		label define actual_diff_l 0 "No difference" 1 "Zero v. missing" 2 "Difference in values" 3 "Missing survey (DK, refuse) with Sayed value"  4 "Missing Sayed (DK, refuse) with value in survey", modify
		lab val actual_diff actual_diff_l
		
		bys variable: tab actual_diff
		
		br if inlist(actual_diff,1,2,3,4)
				stop
		di 5/103 
		di 7/103
		
		save, replace 
		
		sort actual_diff
		
		export excel hhid variable survey back_check diff bc_treatment actual_diff if inlist(actual_diff,1,2,3,4) using "${Dropbox}/TUP_Afghanistan/Data Collection/COVID survey\Quality Checks/consumption_difference_new.xlsx", firstrow(varl) replace 
		stop
		*/

	
/********************************************************************************
* INCOME - PM + PW EARNINGS
********************************************************************************
use "${sayed_correction_clean_r1}", clear 
* 4 test interviews where income was not checked 
drop if inlist(hhid,1498,1572,1841,2087)
keep hhid k30_1* k30_1_m* note 

tempfile sayed
save `sayed' 

* DISCREPANCY
use "${timeuse}", clear 
keep if round == 1 
keep hhid k30_1 k30_1_m k30_1_with_outliers k30_1_m_with_outliers
drop if k30_1_m == .u
duplicates drop 

gen flag_outlier_k30_1 = (k30_1!=k30_1_with_outliers)
gen flag_outlier_k30_1_m = (k30_1_m!=k30_1_m_with_outliers)

drop k30_1 k30_1_m
rename *_with_outliers *

tempfile earnings_r1
save `earnings_r1'


* Run bcstats (try this instead of 	$vars_compare)
		bcstats, 	surveydata(`earnings_r1') bcdata(`sayed') id(hhid) ///
					t1vars(k30_1 k30_1_m) keepsurvey(flag_outlier*) keepbc(k30_1_hoss k30_1_m_hoss note) ///
					showall full replace /// 
					filename("${discrepancy_earnings}") dta nolab
					
					
		use "${discrepancy_earnings}", clear 
		
		gen flag_outlier = 0
			replace flag_outlier = 1 if flag_outlier_k30_1 == 1 & var == "k30_1"
			replace flag_outlier = 1 if flag_outlier_k30_1_m == 1 & var == "k30_1_m"
		drop flag_outlier_*
		
		destring survey back_check, replace 
		
		gen actual_diff = .
			replace actual_diff = 0 if diff == 0 // 158 
			replace actual_diff = 0 if diff == 1 & mi(survey) & mi(back_check) // 1 
			* one is 0, one is missing (not outlier) - this is not a "real" difference (17 values)
			replace actual_diff = 1 if (diff == 1 & mi(survey) & back_check==0) | (diff == 1 & survey==0 &  mi(back_check)) 
			* difference in values (12 values)
			replace actual_diff = 2 if diff==1 & !mi(survey) &!mi(back_check)
			* surveys is missing (DK, refuse) but Sayed gives a values (1 values)
			replace actual_diff = 3 if diff==1 & mi(survey) & back_check>0 & !mi(back_check)
			* or vice versa (9)
			replace actual_diff = 3 if diff==1 & mi(back_check) & survey>0 & !mi(survey)
			
			sum diff 
			cap noi assert 158 + 1 + 17 + 12 + 1 + 9 == `r(N)'
			
		label define actual_diff_l 0 "No difference" 1 "Zero v. missing (no diff)" 2 "Difference in values" 3 "Missing survey (DK, refuse) with value"  4 "Value incorrectly flagged as outlier", modify
		lab val actual_diff actual_diff_l
		
		bys variable: tab actual_diff
		
		replace bc_k30_1_m_hoss = . if var == "k30_1"
		replace bc_k30_1_hoss = . if var == "k30_1_m"
		br if (actual_diff == 2 | actual_diff == 4 | actual_diff == 3)
				
		di 9/99 
		di 13/99
		stop
		save, replace 
						

********************************************************************************
* INCOME - LIVESTOCK SALES
********************************************************************************
use "${sayed_correction_clean_r1}", clear 
* 4 test interviews where income was not checked 
drop if inlist(hhid,1498,1572,1841,2087)
keep hhid k38 k32 note 


tempfile sayed
save `sayed' 

* DISCREPANCY
use "${livestock_revenue_index_phonesvy}", clear 
keep if round == 1
keep hhid livestock k36 k38
collapse (max) k36 (sum) k38, by(hhid)


tempfile livestocksales_r1
save `livestocksales_r1'

* Run bcstats (try this instead of 	$vars_compare)
		bcstats, 	surveydata(`livestocksales_r1') bcdata(`sayed') id(hhid) ///
					t1vars(tot_biz_revenue tot_lstock_revenue_1) keepbc(note) keepsurvey(biz_yes k36) ///
					showall full replace /// 
					filename("${discrepancy_livestocksales}") dta nolab
					
					
		use "${discrepancy_livestocksales}", clear 
		
		destring survey back_check, replace 
		
		drop if var == "tot_biz_revenue" & biz_yes == 0 
		drop if var == "tot_lstock_revenue_1" & k36 == 0
		
		br if diff == 1 
		
		STOP
		
		gen actual_diff = .
			replace actual_diff = 0 if diff == 0 // 158 
			replace actual_diff = 0 if diff == 1 & mi(survey) & mi(back_check) // 1 
			* one is 0, one is missing (not outlier) - this is not a "real" difference (17 values)
			replace actual_diff = 1 if (diff == 1 & mi(survey) & back_check==0) | (diff == 1 & survey==0 &  mi(back_check)) 
			* difference in values (12 values)
			replace actual_diff = 2 if diff==1 & !mi(survey) &!mi(back_check)
			* surveys is missing (DK, refuse) but Sayed gives a values (1 values)
			replace actual_diff = 3 if diff==1 & mi(survey) & back_check>0 & !mi(back_check)
			* or vice versa (9)
			replace actual_diff = 3 if diff==1 & mi(back_check) & survey>0 & !mi(survey)
			
			sum diff 
			assert 158 + 1 + 17 + 12 + 1 + 9 == `r(N)'
			
		label define actual_diff_l 0 "No difference" 1 "Zero v. missing (no diff)" 2 "Difference in values" 3 "Missing survey (DK, refuse) with value"  4 "Value incorrectly flagged as outlier", modify
		lab val actual_diff actual_diff_l
		
		bys variable: tab actual_diff
		
		br if actual_diff == 2 | actual_diff == 4 | actual_diff == 3 
				
		di 9/99 
		di 13/99
		
		save, replace 
												
			
			
			