/*******************************************************************************	

Project:  		AFG-TUP
Created on:  	January 4, 2023
Last udpate on: 
Written by:  	Thomas Escande	

Revision: 		

********************************************************************************	

THIS DO FILE: 	Cleans outliers for the value of crops sold (k20_1) and crops stored (k20_2)
				Do-file runs within "crops_roster_clear.do".

*/

global  all_HH_nopii_fl1			"${TUP_DB}/Followup_1/DataSets/Intermediate/all_HH_nopii_fl1.dta"
global  current_roster_fl1 			"${TUP_DB}/Followup_1/DataSets/Intermediate/current_roster_fl1.dta"

	* Add UP and treatment variables for correct comparisons 
	merge m:1 hhid using "${all_HH_nopii_fl1}", keepusing(ultra_poor treatment) keep(3) nogen

					/*******************************************************
						Looking at outliers 
					*********************************************************/
*tw (hist k20_1 if  crop==1 & ultra_poor == 1 , freq) || (hist k20_1 if crop==1 &  ultra_poor == 0 , freq color(red%30))

* Excluding values over 80000 for UP but long tail anyway - very hard as very few observations 
	replace k20_1 = .o if k20_1 > 80000  & ultra_poor == 1 & !mi(k20_1 ) /*1 household out of 34*/					
	
	
*tw (hist k20_2 if  crop==1 & ultra_poor == 1 , freq) || (hist k20_2 if crop==1 &  ultra_poor == 0 , freq color(red%30))
* Excluding the three very extreme values, taking for UP the same limit maximum as in the previous point
	replace k20_2 = .o if k20_2 > 80000  & ultra_poor == 1 & !mi(k20_2 ) /*2 households out of 77*/	
	replace k20_2 = .o if k20_2 > 100000  & ultra_poor == 0 & !mi(k20_2 ) /*1 household out of 165*/		
	
drop ultra_poor treatment

