* Merge on k30 from the Time use long "roster"
	preserve 
		use "${timeuse}", clear 
			keep field_hhid round activity call_status k30
			
			* Similarly, keep data from the LATEST round for which we have data if we have a panel for a HH 
			* NB: There are 2 HHs with partial interviews that have not answered k30 at all (field_hhid T1284 T1490), so they will get dropped here 	
			* This is why we will have 1,922 obs, not 1,924.
			gen round_keep = round if !mi(k30)
			bys field_hhid : egen max_round = max(round_keep)
			keep if round == max_round

			drop round_keep max_round 
			
			* Activity cannot be missing for the reshape
			recode activity (.r = 98) (.n = 99)
			
			* Reshape wide to merge 
			rename k30 k30_
			reshape wide k30_, i(field_hhid) j(activity)
			
			rename (*_98 *_99) (*__98 *__99)
			
			label var	k30_1	"LHH did activity: Tend any animals owned or leased by the household"
			label var	k30_2	"LHH did activity: Farm land owned or sharecropped by the household"
			label var	k30_3	"LHH did activity: Work on business owned by household other than farm/animals (e.g. shop, crafts)"
			label var	k30_4	"LHH did activity: Work as an agricultural laborer outside household"
			label var	k30_5	"LHH did activity: Do housework in someone else's home"
			label var	k30_6	"LHH did activity: Work as a non-agricultural laborer outside the household (other than housework)"
			label var	k30_7	"LHH did activity: Work in salaried/formal employment"
			label var	k30_8	"LHH did activity: Do any other work for pay  (money or in-kind)"
			label var	k30_9	"LHH did activity: Work on household chores (e.g. collecting water, cooking, cleaning) in your household"
			label var	k30_0	"LHH did activity: None"
			label var 	k30__98	"LHH did activity: Don't answer'"
			label var 	k30__99 "LHH did activity: Don't know'"

			tempfile k30 
			save 	`k30' 
	restore
	
	/* 13 HHs are master only, meaning they do not have k30 data (this is because in k30 we have R1, 3, 4 and in WE we have ALL rounds, including 2.
		* So, 11 of the 13 HHs have only been surveyed in R2, and 2 of the 13 have been surveyed only in R1, but were partial interviews. Below is just
		* checking for that.
		
	use "${phone_svy_clean_r1}", clear 
		tab call_status if inlist(field_hhid,"T0019","T0223","T0241","T0448","T0478","T0548","T0721","T1284","T1490") // 2 partial
		tab call_status if inlist(field_hhid,"T1576","T1582","T1718","T2033") // none
	
	use "${phone_svy_clean_r2}", clear 
		tab call_status if inlist(field_hhid,"T0019","T0223","T0241","T0448","T0478","T0548","T0721","T1284","T1490") // 7 complete
		tab call_status if inlist(field_hhid,"T1576","T1582","T1718","T2033") // 4 complete 
	
	use "${phone_svy_clean_r3}", clear 
		tab call_status if inlist(field_hhid,"T0019","T0223","T0241","T0448","T0478","T0548","T0721","T1284","T1490") // none
		tab call_status if inlist(field_hhid,"T1576","T1582","T1718","T2033") // none
	
	use "${phone_svy_clean_r4}", clear 
		tab call_status if inlist(field_hhid,"T0019","T0223","T0241","T0448","T0478","T0548","T0721","T1284","T1490") // none
		tab call_status if inlist(field_hhid,"T1576","T1582","T1718","T2033") // none */
	
	merge 1:1 field_hhid using "`k30'", nogen
	
	* Merge on v1, v3 from the Mobile data long "roster"
	preserve 
		use "${mobile}", clear 
		keep field_hhid a12_mobile_short phone v1 v3 
		
		drop if mi(v3)
		
		rename v3 v3_
		
		reshape wide v3_, i(field_hhid) j(phone) 
		
		forval i = 1/5 {
			label var v3_`i' "Owner of phone `i'"
		}
		
		tempfile v1_v3
		save `v1_v3'
	restore 
	
	merge 1:1 field_hhid using "`v1_v3'", nogen