/*******************************************************************************	

Project:  		TUP - Afghanistan
Created on:  	
Last udpate on: 

Written by:  	

Revision: 		

********************************************************************************			

THIS DO FILE: 	Append all phone survey rounds for Market survey. 
				Round 1 is a bit different from the rest.
				

				IMPORTANT: R1 ppears to be missing data from one district. 
				I thought it was conducted over the phone but I do not see the data for the 
				last district anywhwre (not in Encrypted folder and not in Backup).
				We will use R2 data for the 2 missing districts in R1 for now.
				

CONTENT:		

INPUTS:     	

OUTPUTS:     	

*******************************************************************************/

********************************************************************************
	** Part 0: Create globals for directories and files 
********************************************************************************

* Inputs

	* Market raw
		gl market_raw_r1		"${TUP_DB}/Phone_Survey/DataSets/Deidentified/market_svy_raw_r1.dta"
		gl market_raw_r2		"${TUP_DB}/Phone_Survey/DataSets/Deidentified/market_svy_raw_r2.dta"
		gl market_raw_r3		"${TUP_DB}/Phone_Survey/DataSets/Deidentified/market_svy_raw_r3.dta"
		gl market_raw_r4		"${TUP_DB}/Phone_Survey/DataSets/Deidentified/market_svy_raw_r4.dta"
		
* Outputs
		gl market_clean			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/market_clean_phonesvy.dta"
			


********************************************************************************
	** Part 1: R1 is a little bit different, do it separately from R2-R4 
********************************************************************************
	
	use "${market_raw_r1}", clear 
	
	keep date - vc3 mkt_day item_id_* ms1_a_unit_* ms1_a_unit_o_* ms1_a_* ms1_a_conf_* ms1_a_warn_* ms1_a_conv_*
		drop ms1_a_unit_lab_* ms1_a_num_unit_* ms1_a_unit_o_*
		
	bys vc3: gen survey_num = _n

	reshape long item_id_ ms1_a_unit_ ms1_a_ ms1_a_conf_ ms1_a_warn_ ms1_a_conv_, i(vc3 survey_num) j(item)
	rename *_ * 
	destring(item_id), replace 
	missings dropvars _all, force 
	
	* Minor cleaning
	drop ms1_a_warn ms1_a
	rename (ms1_a_conf ms1_a_conv) (ms1_a ms1_a_conv_kg) 
	
	* In R1, codes for Banana, Mandarin and Mango are different from R2-R4 - recode to match the rest of rounds 
	recode item_id /* mango */ (24 = 26) /* banana */ (23 = 24)
	
	gen round = 1 
	
	tempfile mkt_r1
	save `mkt_r1'
	
********************************************************************************
	** Part 2: R2 - R4 are the same 
********************************************************************************

forval round = 2 / 4 {
	use "${market_raw_r`round'}", clear
		gen round = `round'
		
		tempfile mkt_r`round'
		save `mkt_r`round''
}

* Append rounds 
	use "`mkt_r2'"
		append using "`mkt_r3'"
		append using "`mkt_r4'"	


keep date - vc3 mkt_day round item_id_* ms1_a_unit_* ms1_a_unit_o_* ms1_a_* ms1_a_conf_* ms1_a_warn_* ms1_a_conv_*
	drop ms1_a_unit_lab_* ms1_a_unit_o_* 
	
bys vc3: gen survey_num = _n
	
reshape long item_id_ ms1_a_unit_ ms1_a_ ms1_a_conf_ ms1_a_warn_ ms1_a_conv_kg_ ms1_a_conv_gr_, i(vc3 survey_num) j(item)
	rename *_ *
	destring(item_id), replace 
	missings dropvars _all, force 
	
* Append R1 	
	append using "`mkt_r1'"
	
	#delimit ;
			label define item 
			
			1 "Rice (high quality)"
			2 "Rice (low quality)"
			3 "Nann not made at home"
			4 "Wheat flour"
			5 "Beans"
			6 "Beef"
			7 "Veal"
			8 "Mutton"
			9 "Goat"
			10 "Chicken"
			11 "Milk (fresh)"
			12 "Yogurt"
			13 "Curd (chaka)"
			14 "Dogh"
			15 "Eggs"
			16 "Potato"
			17 "Tomato"
			18 "Okra"
			19 "Pumpkin, squash"
			20 "Green (fresh) pepper"
			21 "Apple"
			22 "Orange"
			23 "Mandarin"
			24 "Banana"
			25 "Lettuce"
			26 "Mango", modify;
			
			label define unit 
				1	"kilogram"
				2	"seer mazar"
				3	"pieces"
				4 	"bag"
				5 	"gram", modify;
			
			#delimit cr
		
			label val item_id item
			label val ms1_a_unit unit 
			
			assert ms1_a == ms1_a_conf if !mi(ms1_a_conf)
				drop ms1_a_conf
			
		* Recode 1 "DK"	
			recode ms1_a (-99 = .d)	

				label var item_id "Item name"
				label var ms1_a_unit "Unit"
				label var ms1_a "Price per unit"
				label var ms1_a_conv_kg "Approximately how many KGs are in one Unit"
				label var ms1_a_conv_gr "Approximately how many GRAMS are in one Unit"
				
				sort item_id vc3
				
				
********************************************************************************
** Part 3: Apply codebook
********************************************************************************				

	label var survey_num "Survey number (2 surveys per district)"
	label var item "Market item"
	label var date "Survey date"
	label var date_f "Today's date"
	label var time "Survey time"
	label var time_f "Current time"
	label var vc1_name "Surveyor name"
	label var vc2_name "Supervisor name"
	label var round "Phone survey round"


********************************************************************************
** Part 4: Apply corrections from Abobaker 
********************************************************************************
sort round vc3 
	
**** Round 1		
* Okra: 10 in Nahre district must be 100 
	br item_id vc3 survey_num round ms1* if item_id == 18 
	replace ms1_a = 100 if item_id == 18 & survey_num == 1 & vc3 == 3 & round == 1 
* Pumpkin: not sure what is in ms1_a_conv_kg, since price seems to have been collected per KG.
	*br item_id vc3 survey_num round ms1* if item_id == 19 // something with piece to KG conversion
	replace ms1_a_conv_kg = . if item_id == 19 & ms1_a_unit == 3 & round == 1 
	replace ms1_a_unit = 1 if item_id == 19 & ms1_a_unit == 3 & round == 1 
* For Dehdadi District survey 1, 100 must be a 10
	replace ms1_a = 10 if item_id == 19 & survey_num == 1 & vc3 == 2 & round == 1 
* Eggs: collected per piece, but the gram conversion is wrong; take the gram conversion average from other rounds (which is about 50 grams)
	br item_id vc3 survey_num round ms1* if item_id == 15
	bys item_id: egen egg_gram = mean(ms1_a_conv_gr) if item_id == 15
	replace ms1_a_conv_gr = egg_gram if item_id == 15 & round == 1 
	replace ms1_a_conv_kg = . if item_id == 15 & round == 1 
	drop egg_gram
* Naan issue in R1
	gen naan_gram  = ms1_a / ms1_a_conv_kg if item_id == 3 & ms1_a_unit == 3 & round == 1 
	replace ms1_a = naan_gram if naan_gram != . 
	replace ms1_a_conv_kg = . if naan_gram != . 
	drop naan_gram
	
* Other vegetables: 600 must be 600 in Khulm District
	br item_id vc3 survey_num round ms1* if item_id == 20
	replace ms1_a = 60 if item == 20 & survey_num == 2 & vc3 == 4 & round == 1 

* Mango: 100 per piece in Nahre Shahee District seems wrong - replace it with mean price across other districts
	br item_id vc3 survey_num round ms1* if item_id == 26 // something with piece to KG conversion
	bys item_id: egen mean_item_price = mean(ms1_a)
	replace ms1_a = mean_item_price if item_id == 26  & survey_num == 2 & vc3 == 3 & round == 1 
	
* Banana seems to be collected in pieces, but the gram coversion is wrong; take average banana weight from other rounds 
	* but before doing this, fix banana in R3
	replace ms1_a_conv_gr = 150 if item_id == 24 & vc3 == 2 & vc1 == 2 & round == 3
	replace ms1_a_conv_gr = 200 if item_id == 24 & vc3 == 3 & vc1 == 2 & round == 3
	
	br item_id vc3 survey_num round ms1* if item_id == 24
	
	bys item_id: egen banana_gram = mean(ms1_a_conv_gr) if item_id == 24
	replace ms1_a_conv_gr = banana_gram if item_id == 24 & round == 1 
	replace ms1_a_conv_kg = . if item_id == 24 & round == 1 
	drop banana_gram
	
**** Round 2
* Check if there are any corrections to be made 	
	replace ms1_a_conv_gr = 250 if item_id == 3 & vc3 == 2 & inlist(vc1,1,2) & round == 2 // 2 replacements for naan
	replace ms1_a_unit = 3 if item_id == 24 & vc3 == 2 & inlist(vc1,1,2) & round == 2  // 2 replacements for banana
	replace ms1_a_conv_gr = ms1_a_conv_kg if item_id == 25 & !mi(ms1_a_conv_kg) & round == 2  // all replacements for lettuce 
	replace ms1_a_conv_kg = . if item_id == 25 & !mi(ms1_a_conv_gr) & round == 2  // all replacements for lettuce 
	replace ms1_a_unit = 3 if item_id == 25 & round == 2 // lettuce is per piece 
	replace ms1_a_conv_gr = 500 if item_id == 25 & mi(ms1_a_conv_gr) & round == 2  // piece is between 450-500 grams when missing 
	replace ms1_a_conv_gr = 200 if mi(ms1_a_conv_gr) & ms1_a_unit == 3 & item == 24 // 2 bananas in pieces are missing the conversion to grams/kilos; assume 200 grams
	
**** Round 3 edits 		
* Make corrections to typos confirmed by Abobaker 
	replace ms1_a = 1500 if item_id == 4 & vc3 == 2 & vc1 == 1 & round == 3 
	replace ms1_a_unit = 1 if item_id == 14 & vc3 == 2 & vc1 == 2 & round == 3
	* green pepper
	replace ms1_a = 100 if item_id == 20 & vc3 == 2 & vc1 == 1 & round == 3
	* lettuce
	replace ms1_a_conv_gr = ms1_a_conv_kg if item_id == 25 & round == 3
	replace ms1_a_conv_gr = 200 if item_id == 25 & vc3 == 2 & vc1 == 2 & round == 3
	replace ms1_a_conv_gr = 140 if item_id == 25 & vc3 == 3 & vc1 == 2 & round == 3 // missed this mistake in Lettuce - waiting for Abobaker's response 
	replace ms1_a_conv_kg = . if item_id == 25 & round == 3

**** Round 4 edits 		
		* Edits based on Abobaker's responses to my queries; saved here: C:\Users\WB570123\Dropbox\TUP_Afghanistan\Data Collection\COVID survey R4\Quality Checks\Market Survey\market_ammc_r3_jun11_AY.xlsx
	* Fix Price (per 1 Unit) for: Pumpkin in Dehdadi District by Asif Safi
	replace ms1_a = 8 if item_id == 19 & vc3 == 2 & vc1 == 1 & round == 4 

	* Fix Number of KGs in 1 Unit: Lettuce in Dehdadi District by Nasrat Azizi
	replace ms1_a_conv_kg = 150 if item_id == 25 & vc3 == 2 & vc1 == 2 & round == 4 
	
	* Lettuce should be in Grams, not KGs
	replace ms1_a_conv_gr = ms1_a_conv_kg if item_id == 25 & round == 4 
	replace ms1_a_conv_kg = . if item_id == 25 & round == 4 		
		
* Fix item		
	drop item
	rename item_id item
		
* Save

	if	`c(stata_version)'>=14	{
		saveold "${market_clean}", replace v(13)
	}
	else {
		save "${market_clean}", replace
	}	
