* Inputs 
gl food_consumption_all_phonesvy	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/food_consumption_all_phonesvy.dta"	 
gl phone_svy_profile   				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta"


* Outputs 
gl food_consumption_shares_phonesvy	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/food_consumption_shares_phonesvy.dta"	 
	
	use "${food_consumption_all_phonesvy}", clear
	
	
	drop if consumed == .p
	replace exp_f_m_pc_item = 0 if mi(exp_f_m_pc_item)
	
	bys hhid round: egen tot_food_exp_pc = sum(exp_f_m_pc_item)
	
	gen item_share = exp_f_m_pc_item/tot_food_exp_pc
		replace item_share = 0 if consumed == 0 
	
	recode item_type (4=9) (5=10) (7=11) (8=12) 
	lab def cat_lab2 1 "Rice (high quality)" 2 "Rice (low quality)" 3 "Wheat flour" 4 "Naan not made at home" 7 "Beans" 9 "Meat" 10 "Dairy and Eggs" 11 "Vegetables" 12 "Fruit"
	replace item_type = item if item_type == 3
	lab val item_type cat_lab2
	tab item_type

	bys hhid item_type round: egen item_type_food_exp_pc = sum(exp_f_m_pc_item)
	
	gen item_type_share = item_type_food_exp_pc/tot_food_exp_pc	
	
	keep hhid item_type item_type_share round
	
	rename item_type_share item_type_share_
	duplicates drop 

	reshape wide item_type_share_ , i(hhid round) j(item_type)

	lab var item_type_share_1 "Rice (high quality)"
	lab var item_type_share_2 "Rice (low quality)" 
	lab var item_type_share_3 "Wheat flour"
	lab var item_type_share_4 "Naan not made at home"
	lab var item_type_share_7 "Beans"
	lab var item_type_share_9 "Meat"
	lab var item_type_share_10 "Dairy and Eggs" 
	lab var item_type_share_11 "Vegetables"
	lab var item_type_share_12 "Fruit"
	
	merge m:1 hhid using "${phone_svy_profile}", keepusing(PRA_lottery treatment ultra_poor) keep(3) nogen

	tab ultra_poor 
	
	egen test = rowtotal(item_type_share_*)
	tab test
	drop test 
	
	
	save "${food_consumption_shares_phonesvy}", replace 
	
	
