/** Prepare Baseline contros

* Potentially exclude tot_lstock_revenue_ppp since it only includes sales of animal products [left for now]




*/
* Inputs 
gl data_for_analysis_bl 	"${TUP_DB}/Baseline/DataSets/Final/data_for_analysis_bl.dta"
gl labor_bl 				"${TUP_DB}/Baseline/DataSets/Intermediate/labor_bl.dta"
gl schooling_bl 			"${TUP_DB}/Baseline/DataSets/Intermediate/schooling_bl.dta"
gl wellbeing_index_bl 		"${TUP_DB}/Baseline/DataSets/Intermediate/wellbeing_index_bl.dta"
gl all_HH_interm_nopii_bl 	"${TUP_DB}/Baseline/DataSets/Intermediate/all_HH_interm_nopii_bl.dta"
gl timeuse_bl 				"${Dropbox}/DataWork_MDC/Baseline/DataSets/Intermediate/submit/k_e_timeuse_bl.dta" // combines k30 and k5
gl current_roster_bl 		"${TUP_DB}/Baseline/DataSets/Intermediate/current_roster_bl_balancechecks.dta"
gl all_hhlevel_fl1			"${TUP_DB}/Followup_1/DataSets/Final/data_for_analysis_fl1.dta"
gl all_hhlevel_phonesvy 	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/all_hhlevel_phonesvy.dta"

* Output
gl covariates_phonesvy_bl			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/covariates_phonesvy_bl.dta"
gl covariates_fl1_bl				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/covariates_fl1_bl.dta"
	
		* Main outcomes for which we need baseline values 
			* Separate continuous vars (this matters for recoding missing values)
		global covariate_vars_cont exp_tot_m_pc_ppp exp_tot_m_pc_c_ppp index_sdC_food_sec tot_lstock_revenue_ppp tot_lstock_revenue_w_ppp ///
			tot_lstock_value_ppp tot_lstock_w_value_ppp tot_lstock_w95_value_ppp wealth_score ///
			fin_index_sdC saving_ppp saving_win_ppp tot_hh_income_ppp tot_hh_income_w_ppp tot_crop_revenue_ppp tot_crop_revenue_win_ppp ///
			tot_biz_revenue_ppp tot_biz_revenue_win_ppp tot_hh_pay_ppp ///
			k30_out_hrs_4w_pf k30_in_hrs_4w_pf ///
			psy_indexC_sdC satisf_z_sdC hap_z_sdC cesd_z_sdC  ///
			index_sdC_f_empowerment index_sdC_hhexp index_sdC_child_decisions index_sdC_body_econopp ///
			index_sdC_role_prod_act index_sdC_social_norms index_sdC_social_capital ///
			exp_f_tot_m_pc_ppp exp_f_tot_m_pc_c_ppp exp_nf_tot_m_pc_ppp exp_nf_tot_m_pc_c_ppp ///
			share_inschool
			
			* Separate categorical vars 
		global covariate_vars_cat c14_7 c14_3_ac c14_5_ac access_credit ///
			labor_particip_pm did_livestock_pm did_ownFarming_pm did_ownBiz_pm did_oFarm_pm ///
			did_maid_pm did_outWork_pm did_salEmp_pm did_oPaidWork_pm k30_out_hrs_4w_pm k30_in_hrs_4w_pm ///
			labor_particip_pf did_livestock_pf did_ownFarming_pf did_ownBiz_pf did_oFarm_pf ///
			did_maid_pf did_outWork_pf did_salEmp_pf did_oPaidWork_pf ///
			diarrhea_yes ///
			h1_ac h2_ac h3_ac h4_ac h5_ac h6_ac h7_ac h8_ac ///
			h9_ac h10_ac h11_ac h12_ac h13_ac ///
			h14_ac h28_ac h31_ac h24_ac h30  ///
			did_labor_nohh_pf owner_manager_pf ///
			ed_level_d ed_help_d age_marriage_d ///
			n1 n2
			
		global ppp_vars exp_tot_m_pc exp_tot_m_pc_c exp_f_tot_m_pc exp_f_tot_m_pc_c exp_nf_tot_m_pc exp_nf_tot_m_pc_c tot_lstock_value tot_lstock_w_value tot_lstock_w95_value tot_lstock_revenue tot_lstock_revenue_w saving saving_win tot_hh_income tot_hh_income_w tot_crop_revenue tot_crop_revenue_win tot_biz_revenue tot_biz_revenue_win tot_hh_pay 

	
	* Some indicators we don't have in Baseline, so cannot control:
		* mobile_yes_pf, z2_index (vote in election), z1_3_index (PW has a tazkira)
	
		* For outcomes not constructed at Baseline (and thus not in "data_for_analysis_bl.dta"), construct them now 
		
		*****************************	
		* Total HH pay
		*****************************
		
		use "${labor_bl}", clear 
			merge m:1 hhid member using "${current_roster_bl}", keepusing(b6 position_pf position_pm) keep(3) nogen

			*Create flags for the presence of .d or .r in the household 
			egen miss_d = total(cond(tot_earnings_act_4w==.d,1,0)), by(hhid) //Counting missing don't know
			egen miss_r = total(cond(tot_earnings_act_4w==.r,1,0)), by(hhid) //Counting missing don't answer 
		
				
			*Earnings from Household from all paying activities
			bys hhid : egen tot_hh_pay = sum(tot_earnings_act_4w) 				
				replace tot_hh_pay = .d if miss_d > 0 & !mi(miss_d)
				replace tot_hh_pay = .r if miss_r > 0 & !mi(miss_r)
				label var tot_hh_pay "HH Paid Labor, (4 weeks)"
				
			* Participates in market work 	
			gen did_labor_nohh 	=  (did_livestock == 1 | did_ownFarming == 1 | did_ownBiz == 1 |did_oFarm == 1 | did_maid == 1 | did_outWork == 1 | did_salEmp == 1 | did_oPaidWork == 1)
			label var did_labor_nohh "Did any type of paid or revenue generating work in the last 4 weeks"	
		
			preserve 	
				keep hhid tot_hh_pay
				duplicates drop
				
				tempfile tot_hh_pay_bl
				save	`tot_hh_pay_bl'
			restore 
			
			* Keep PW only 
			preserve 
				keep if position_pf == member & b6 == 2
				
				isid hhid 
				keep hhid did_livestock did_ownFarming did_ownBiz did_oFarm did_maid did_outWork did_salEmp did_oPaidWork did_labor_nohh
				rename * *_pf
				rename hhid_pf hhid
				
				tempfile activ_pf_bl
				save	`activ_pf_bl'
			restore 
		
		* Keep PM only 
				keep if position_pm == member & b6 == 1
				
				isid hhid 
				keep hhid did_livestock did_ownFarming did_ownBiz did_oFarm did_maid did_outWork did_salEmp did_oPaidWork did_labor_nohh
				rename * *_pm
				rename hhid_pm hhid
				
				tempfile activ_pm_bl
				save	`activ_pm_bl'
			 
			
			
		*****************************
		* Labor participation, hours 
		*****************************
		
		use "${timeuse_bl}", clear 
		
			merge m:1 hhid member using "${current_roster_bl}", keepusing(b8_bl b6 position_pf position_pm) keep(3) nogen
			keep hhid activity member k5_1 k30 k2_1 k2_1_hr b8_bl b6 position_pf position_pm
			
			drop if activity == -98 | activity == -99
			
			mvdecode k5_1 k30 k2_1_hr k2_1, mv(-99 = .d \ -98 = .r)
			
			rename (k30 b8_bl k2_1 k2_1_hr)  (k30_ b8 k30_3_ k30_3_hr_)
			reshape wide k30_ k30_3_ k30_3_hr_, i(hhid member) j(activity)
			
			*Employment
			gen employment = 0 
				replace employment = 1 if (k30_1 == 1 | k30_2 == 1 |k30_3 == 1 |k30_4 == 1 |k30_5 == 1 |k30_6 == 1 |k30_7 == 1 |k30_8 == 1) ///
					& b8 > 14  & !mi(b8)
				label var employment "Paid employment or self employment"
		
		*Labor participation: of Working age and working or have been looking for a job in the past 2 weeks (For Age : ILO definiton 15 and plus - See excel file on definition)
			gen labor_particip = 0
				replace labor_particip = 1 if (employment == 1 | k5_1 == 1) & b8 > 14 & !mi(b8) 
				label var labor_particip "Labor participation: working or looking for a job"

				
		* Hours worked 		
		*Creating locals for each activity
			loc	act0	none
			loc	act1	livestock
			loc	act2	ownFarming
			loc	act3	ownBiz
			loc	act4	oFarm
			loc	act5	maid
			loc	act6	outWork
			loc	act7	salEmp
			loc act8  	oPaidWork
			loc act9 	HHChores
				
				
			forval	actnum=0/9	{
				gen day_`act`actnum'' 				= 0
					replace day_`act`actnum''   	= k30_3_`actnum' if k30_`actnum' == 1
					lab	var	day_`act`actnum''		"Number of days did `act`actnum'' in the past 7 days"

				gen hr_`act`actnum'' 				= 0
					replace hr_`act`actnum''   		= k30_3_hr_`actnum' if k30_`actnum' == 1
					lab	var	hr_`act`actnum''		"Number of hours did `act`actnum'' last time they did it"

				gen hr_`act`actnum''_4w  	= 0
					replace hr_`act`actnum''_4w = hr_`act`actnum'' * day_`act`actnum'' * 4 
					replace hr_`act`actnum''_4w = .d if hr_`act`actnum'' == .d | day_`act`actnum'' == .d //No .r for hours
					lab	var	hr_`act`actnum''_4w	"Average number of hours doing `act`actnum'' in the last 4 weeks"
				}		
			
		
					egen k30_out_hrs_4w = rowtotal(hr_oFarm_4w hr_maid_4w hr_outWork_4w hr_salEmp_4w hr_oPaidWork_4w)
					egen k30_in_hrs_4w = rowtotal(hr_livestock_4w hr_ownFarming_4w hr_ownBiz_4w)	
								
					
			* Keep PW only 
			preserve 
				keep if position_pf == member & b6 == 2
				
				isid hhid 
				keep hhid labor_particip employment k30_*_hrs_4w
				rename * *_pf
				rename hhid_pf hhid
				
				tempfile time_pf_bl
				save	`time_pf_bl'
			restore 
		
		* Keep PM only 
			preserve 
				keep if position_pm == member & b6 == 1
				
				isid hhid 
				keep hhid labor_particip employment k30_*_hrs_4w
				rename * *_pm
				rename hhid_pm hhid
				
				tempfile time_pm_bl
				save	`time_pm_bl'
			restore 
		
		
		*****************************
		* Psy well-being
		*****************************
		
		use "${wellbeing_index_bl}", clear 
		
			keep hhid satisf_score_z hap_score_z cesd_score_z
			rename (satisf_score_z hap_score_z cesd_score_z) (satisf_z_sdC hap_z_sdC cesd_z_sdC)
			
			tempfile psy_well_bl
			save `psy_well_bl'
			
			
		*****************************	
		* Schooling
		*****************************

		use "${schooling_bl}", clear 
		
			* number of school-aged children
			bys hhid: egen numchild = total(child_in_schooling_age_hh)
			* number of school-aged children in school
			bys hhid: egen numchild_inschool = total(child_inschool_hh)
			* share of school-aged children in school
			gen share_inschool = numchild_inschool / numchild
			
			keep hhid share_inschool
			duplicates drop 
			isid hhid 
			
			tempfile school_bl
			save `school_bl'
		
		*****************************	
		* Merge extra construction onto Baseline data 
		*****************************
		
		use "${data_for_analysis_bl}", clear 
			drop did_*
			
			merge 1:1 hhid using "`tot_hh_pay_bl'", assert(1 3) nogen // 1 weird HH?
			merge 1:1 hhid using "`psy_well_bl'", 	assert(3) nogen
			merge 1:1 hhid using "`time_pf_bl'", 	assert(1 3) nogen
			merge 1:1 hhid using "`time_pm_bl'", 	assert(1 3) nogen
			merge 1:1 hhid using "`activ_pm_bl'", 	assert(1 3) nogen
			merge 1:1 hhid using "`activ_pf_bl'", 	assert(1 3) nogen
			merge 1:1 hhid using "`school_bl'", 	assert(1 3) nogen

			* Rename variables to match the Phone Survey 
			rename psy_5index_z_f psy_indexC_sdC
			rename fin_index_sdC_bl fin_index_sdC
			
			* Winsorize - not sure if it should be by UP AND treatment?
			foreach var in tot_lstock_revenue tot_crop_revenue tot_biz_revenue {
				winsor2 `var' if `var'>0 , s(_win) c(0 95) by(ultra_poor treatment) 	
				replace `var'_win = 0 if `var' == 0
			}
			
			rename tot_lstock_revenue_win tot_lstock_revenue_w 
			
			* Create total HH income
			egen tot_hh_income = rowtotal(tot_hh_pay tot_lstock_revenue tot_crop_revenue tot_biz_revenue), missing
			* Winsorized version
			egen tot_hh_income_w = rowtotal(tot_hh_pay tot_lstock_revenue_w tot_crop_revenue_win tot_biz_revenue_win), missing

		
			* PPP variables
			drop *_ppp // drop existing  
			foreach var in $ppp_vars {
				local l_`var' : variable label `var'
				gen `var'_ppp = `var' / $ppp_2021
				lab var `var'_ppp "`l_`var''"
			}	
	
			* Add "bl" suffix to all baseline covariates 
			foreach var in $covariate_vars_cat $covariate_vars_cont {
				rename `var' `var'_bl
			}
			
		* Keep covariates we need 
		keep hhid *_bl 
		drop fin_index_sdUP_bl
		
		tempfile covariates_temp
		save `covariates_temp'
		
		** Need a different covariate missingness dummy for fl1 since others may be missing!
		foreach dataset in "phonesvy" "fl1" {
		
		** PHONE SURVEY 
		* Create dummies for missing covariate values  
		 
			use "${all_hhlevel_`dataset'}", clear
			keep hhid ultra_poor
			duplicates drop
			
			tempfile `dataset'_ids
			save ``dataset'_ids'
		 	
			use "`covariates_temp'", clear 
			
			merge 1:1 hhid using "``dataset'_ids'", keep(2 3)
				tab _m // 29 HHs do not have baseline data
				drop _m
			
			* Keep only the UP for now [since there is a lot of missingness in many indices because they are only calculated for UP HHs]
			keep if ultra_poor == 1 
			
			* Impute missing covariate values and create missingness indicators based on Green's SOP (https://alexandercoppock.com/Green-Lab-SOP/Green_Lab_SOP.html#missing-covariate-values)
			* Continuous variables first - impute with the mean if > 10 % of obs are missing 
			foreach var in $covariate_vars_cont {
				
				* Create a missingness indicator 
				gen `var'_bl_mi = mi(`var'_bl)
					label var `var'_bl_mi "Baseline covariate missing dummy"
				
				* Calculate % missingness (this is out of total obs) 
				qui tabmiss `var'_bl
					local pct_miss `r(mean)'
				
				* More than 10% missing obs 
				bys ultra_poor: egen `var'_mean = mean(`var'_bl) 
				replace `var'_bl = `var'_mean if mi(`var'_bl) & `pct_miss' > 0.1
					drop `var'_mean
				
				* Less than 10% missing obs 
				replace `var'_bl = 0 if mi(`var'_bl) & `pct_miss' <= 0.1
			}
			
			* Categorical vars - do not take the mean
			foreach var in $covariate_vars_cat {
				
				* Create a missingness indicator 
				gen `var'_bl_mi = mi(`var'_bl)
					label var `var'_bl_mi "Baseline covariate missing dummy"
			
				* Recode missing variable as 0
				replace `var'_bl = 0 if mi(`var'_bl)
			}
				
				* Rename, and create new vars, for variable names to match the phone survey 
				foreach round of numlist 0 1 2 3 4 10 {
					foreach var in psy_indexC_sdC satisf_z_sdC hap_z_sdC wealth_score index_sdC_food_sec c14_7 share_inschool {
						gen `var'_`round'_bl 	= `var'_bl 
						gen `var'_`round'_bl_mi = `var'_bl_mi
					}
				}
				
				foreach round of numlist 0 1 2 3 4 {
					foreach var in c14_3 c14_5 {
						gen `var'_`round'_ac_bl 	= `var'_ac_bl 
						gen `var'_`round'_ac_bl_mi 	= `var'_ac_bl_mi
					}
				}
				
				foreach round of numlist 0 1 2 3 4 {
					foreach var in saving saving_win exp_tot_m_pc exp_tot_m_pc_c tot_hh_income tot_lstock_revenue tot_lstock_revenue_w exp_f_tot_m_pc exp_f_tot_m_pc_c exp_nf_tot_m_pc exp_nf_tot_m_pc_c {
						gen `var'_`round'_ppp_bl 	= `var'_ppp_bl 
						gen `var'_`round'_ppp_bl_mi = `var'_ppp_bl_mi
					}
				}
				
				foreach round of numlist 0 1 2 3 4 {
					foreach var in tot_lstock_revenue tot_hh_income {
						gen `var'_`round'_w_ppp_bl 	= `var'_w_ppp_bl
						gen `var'_`round'_w_ppp_bl_mi = `var'_w_ppp_bl_mi
					}
				}
				
				gen fin_index_sdC_4_bl = fin_index_sdC_bl 
					gen fin_index_sdC_4_bl_mi = fin_index_sdC_bl_mi
				gen access_credit_4_bl = access_credit_bl
					gen access_credit_4_bl_mi = access_credit_bl_mi
				gen cesd_z_sdC_2_bl = cesd_z_sdC_bl
					gen cesd_z_sdC_2_bl_mi = cesd_z_sdC_bl_mi
					
				rename (did_labor_nohh_pf_bl did_labor_nohh_pf_bl_mi) (did_labor_nohh_bl did_labor_nohh_bl_mi)
				
			* Save data 
			save "${covariates_`dataset'_bl}", replace 
		}