* Prepare key baseline controls: PW psy well-being and livestock value 

gl data_for_analysis_bl_phonesvy	"${TUP_DB}/Baseline_Phone/DataSets/Final/data_for_analysis_bl_phonesvy.dta"
gl phone_svy_profile   				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta"

* Output 
gl  covars_bl_phonesvy				"${TUP_DB}/Baseline_Phone/DataSets/Final/covars_bl_phonesvy.dta"


use "${data_for_analysis_bl_phonesvy}", clear 
	keep hhid psy_indexC_sdC_bl_phone tot_lstock_value_4_ca18 tot_lstock_value_4 tot_lstock_value_4_usd tot_lstock_value_4_w99t tot_lstock_value_4_w99t_usd ultra_poor 
	
	rename psy_indexC_sdC_bl_phone psy_indexC_sdC_bl
	
	* tot_lstock_value_4_w99t tot_lstock_value_4_w99t_usd variable names are too long
	
	rename (tot_lstock_value_4 tot_lstock_value_4_usd tot_lstock_value_4_ca18 tot_lstock_value_4_w99t tot_lstock_value_4_w99t_usd ) (tot_lstock_value_4_bl tot_lstock_value_4_usd_bl tot_lstock_value_4_ca18_bl tot_lstock_val_4_w99t_bl tot_lstock_val_4_w99t_usd_bl)
	
* Merge on observations from the endline 
	merge 1:1 hhid using "${phone_svy_profile}", keepusing(anyround) assert(2 3) nogen
	
	tempfile covariates
	save `covariates'
	
			* Impute missing covariate values and create missingness indicators based on Green's SOP (https://alexandercoppock.com/Green-Lab-SOP/Green_Lab_SOP.html#missing-covariate-values)
			* Continuous variables first - impute with the mean if > 10 % of obs are missing 
			foreach var in psy_indexC_sdC tot_lstock_value_4_ca18 tot_lstock_value_4 tot_lstock_value_4_usd tot_lstock_val_4_w99t tot_lstock_val_4_w99t_usd {
				
				* Create a missingness indicator 
				gen `var'_bl_mi = mi(`var'_bl)
					label var `var'_bl_mi "Baseline covariate missing dummy"
				
				* Calculate % missingness (this is out of total obs) 
				qui tabmiss `var'_bl
					local pct_miss `r(mean)'
				
				* Less than 10% missing obs 
				bys ultra_poor: egen `var'_mean = mean(`var'_bl) 
				replace `var'_bl = `var'_mean if mi(`var'_bl) & `pct_miss' <= 0.1
					drop `var'_mean
				
				* More than 10% missing obs
				replace `var'_bl = 0 if mi(`var'_bl) & `pct_miss' > 0.1
			}
			
			* Categorical vars - do not take the mean
			foreach var in $covariate_vars_cat {
				
				* Create a missingness indicator 
				gen `var'_bl_mi = mi(`var'_bl)
					label var `var'_bl_mi "Baseline covariate missing dummy"
			
				* Recode missing variable as 0
				replace `var'_bl = 0 if mi(`var'_bl)
			}
			
		keep hhid psy_indexC_sdC_bl tot_lstock_value_4_ca18_bl psy_indexC_sdC_bl_mi tot_lstock_value_4_ca18_bl_mi tot_lstock_value_4_usd_bl tot_lstock_value_4_usd_bl_mi tot_lstock_value_4_bl tot_lstock_value_4_bl_mi tot_lstock_val_4_w99t_bl tot_lstock_val_4_w99t_usd_bl tot_lstock_val_4_w99t_bl_mi tot_lstock_val_4_w99t_usd_bl_mi
		
		save "${covars_bl_phonesvy}", replace 