* Health	

* Inputs
	gl all_hhlevel_phonesy "${TUP_DB}/Phone_Survey/DataSets/Intermediate/all_hhlevel_phonesvy.dta"
* Outputs
	gl health_phonesvy  "${TUP_DB}/Phone_Survey/DataSets/Intermediate/health_phonesvy.dta"
	gl health_phonesvy_long  "${TUP_DB}/Phone_Survey/DataSets/Intermediate/health_phonesvy_long.dta"

	
	
	use "${all_hhlevel_phonesvy}", clear 
		keep hhid round f23_0 - f6 treatment PRA_lottery
		keep if round == 4
		drop round	
	
		rename f6 diarrhea_yes
		lab var diarrhea_yes "Diahrrea in oldest under-5 child (last 2 weeks)"
		
		* Quesiton on sickness in HH
		egen sick_adult = rowtotal(f23_1 f23_2 f23_3), m
			replace sick_adult = 1 if sick_adult>0 & !mi(sick_adult)
			replace sick_adult = .d if f23__99 == 1
			replace sick_adult = .r if f23__98 == 1
		lab var sick_adult "Any Adults Were Sick"
		
		* Now, separately (3 rows for each adult/type of adult)
		foreach var in f23_1 f23_2 f23_3 {
		    replace `var' = .d if f23__99 == 1
			replace `var' = .r if f23__98 == 1
		}
		
		gen sick_child = f23_4
		lab var sick_child "Any Children Were Sick"

			save "${health_phonesvy}", replace
		
		
	* Long version of adult sickness 	
		keep hhid f23_1 f23_2 f23_3 treatment PRA_lottery
		reshape long f23_, i(hhid) j(adult)
		rename f23_ adult_ill
		lab var adult_ill "Any Adults Were Sick"
		
		lab define adults_l 1 "LHH" 2 "PM" 3 "Other adults"
		lab val adult adults_l
		
			save "${health_phonesvy_long}", replace
		
	