/* Migration


	Quesitons & issues:
		
*/

* Inputs
global 	migration_clean			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/migration_clean_phonesvy.dta"
global 	phone_svy_profile		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta"

* Outputs
global 	migration				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/migration_phonesvy.dta"


*********************************************************************************
* Initial construction for migration 
*********************************************************************************

	use "${migration_clean}", clear
	
	merge 1:1 hhid using "${phone_svy_profile}", keepusing(treatment PRA_lottery) keep(3)
		
		egen in_migration_num = rowtotal(in_migration_num*), missing 
		
		replace in_migration_num = 0 if mi(in_migration_num) & !mi(in_migration) 
	 
	foreach var in out_migration_push_0 out_migration_push_1 out_migration_push_2 out_migration_push__97 { 
	    replace `var' = .r if out_migration_push__98 == 1  
		replace `var' = .d if out_migration_push__99 == 1  
	} 
		
		egen out_migration_num = rowtotal(out_migration_num*), missing 
	   
		replace out_migration_num = 0 if mi(out_migration_num) & (out_migration_push__98!=1 & out_migration_push__99!=1)  
	 
		replace migrant_remittance = 0 if mi(migrant_remittance) & (out_migration_push__98!=1 & out_migration_push__99!=1) 
			recode migrant_remittance (3=0) (2=1) 
			label define migrant_remittance 0 "Never" 1 "Sometimes or Regularly", modify 
			tab migrant_remittance 
			 
		clonevar migrant_remit_amt_afn = migrant_remit_amt 
			replace migrant_remit_amt_afn = 0 if mi(migrant_remit_amt_afn) & !mi(migrant_remittance) 
 
	save "${migration}", replace  
		
		