*  1. Income variables from R1
*  2. Seema WE, violence, finance, covid... Seems is unfinished
*  3. Tazkira
*  4. Additional livestock ownership quesitons from R1 
*  5. Transfers (R1) 
*  5. IDPs 

* Inputs 
gl all_hhlevel_phonesvy 			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/all_hhlevel_phonesvy.dta"
gl shocks_interm					"${TUP_DB}/Phone_Survey/DataSets/Intermediate/shocks_interm_phonesvy.dta"
gl livestock_roster 		 		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/livestock_roster_phonesvy.dta"

* Output 
gl other_vars_phonesvy 				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/other_vars_phonesvy.dta"



* 1. Income variables from R1

use "${all_hhlevel_phonesvy}", clear 
 	
	tab k44, gen(k44_)
		lab var k44_1 "Current income vs. this time last year: increased a lot"
		lab var k44_2 "Current income vs. this time last year: increased a little"
		lab var k44_3 "Current income vs. this time last year: the same"
		lab var k44_4 "Current income vs. this time last year: decreased a little"
		lab var k44_5 "Current income vs. this time last year: decreased a lot"

	tab k46, gen(k46_)
		lab var k46_1 "Community's HH wealth perception: very poor"
		lab var k46_2 "Community's HH wealth perception: somwehat poor"
		lab var k46_3 "Community's HH wealth perception: nor poor, nor well-off"
		lab var k46_4 "Community's HH wealth perception: somewhat well-off"
		lab var k46_5 "Community's HH wealth perception: very well-off"
		
		keep if round == 1 
		drop round
		
		keep hhid k44_* k46_*
		
		tempfile income_vars
		save `income_vars'		

* 2. Other outcomes (WE, violence, finance...)
use "${all_hhlevel_phonesvy}", clear 
	
	* R3
	keep if round == 3 
	keep hhid e1 - e8 o1 - o1_b__99 k25 k25 k27* m3_*
	isid hhid 
	
	/* Seema's WE
		* Need to recode these, check how it is done in Seema's paper (ask Thomas where it is)
		e1 e2
		
		* Y/N
		e3 // e6
		
		* Go Alone 
		e4 e5 
		
		* Who decides 
		e8 */
 
	* Violence: o1 - o1_b__99
 
		* How many times? Some outliers 
		tab o1_a // 96 = 8 times a month; 365 = every day... 100, 200... hard to say if outliers, need to cross-check with the CDC survey  
		clonevar num_attacks = o1_a
			replace num_attacks = . if num_attacks > 50
	
	tempfile other_outcomes_r3
	save `other_outcomes_r3'
	
	* R4 (finance, Seems WE, Covid)
use "${all_hhlevel_phonesvy}", clear 	
	
	keep if round == 4 
	keep hhid am1 am2 e6 x1 - x5 m22_*
	isid hhid 
	
	* Construciton for other outcomes 
		tab am1, gen(am1_)
		tab am2, gen(am2_)
		tab x5, gen(x5_)
		
		foreach var in am1_1 am1_2 am1_3 am1_4 am1_5 am1_6 {
			local `var'l: var lab `var'
			local `var'l: subinstr local `var'l "am1==" "Ease of saving: ", all
			lab var `var' "``var'l'"
		}
		
		foreach var in am2_1 am2_2 am2_3 am2_4 am2_5 am2_6 {
			local `var'l: var lab `var'
			local `var'l: subinstr local `var'l "am2==" "Ease of getting a loan: ", all
			lab var `var' "``var'l'"
		}
		
		foreach var in x5_1 x5_2 x5_3 {
			local `var'l: var lab `var'
			local `var'l: subinstr local `var'l "x5==" "Take Covid vaccine: ", all
			lab var `var' "``var'l'"
		}
	
	tempfile other_outcomes_r4
	save `other_outcomes_r4'

* 3. Tazkira
use "${all_hhlevel_phonesvy}", clear 

	keep hhid round z2 z3 z5_1 z5_2 z5_3 z5_4 z5_5 z5_6 z5_7 z5_0
	
	foreach v of var * {
		local l`v' : variable label `v'
			if `"`l`v''"' == "" {
			local l`v' "`v'"
		}
	}
	
	rename * *_
	rename (hhid_ round_) (hhid round)
	
	reshape wide z2_ z3_ z5_1_ z5_2_ z5_3_ z5_4_ z5_5_ z5_6_ z5_7_ z5_0_, i(hhid) j(round)
	
	foreach var in z2 z3 z5_1 z5_2 z5_3 z5_4 z5_5 z5_6 z5_7 z5_0 {
	gen `var' = `var'_1
	}
	
	foreach v in z2 z3 z5_1 z5_2 z5_3 z5_4 z5_5 z5_6 z5_7 z5_0 {
		label var `v' `"`l`v''"'
	}
	
	foreach var in z2 z3 z5_1 z5_2 z5_3 z5_4 z5_5 z5_6 z5_7 z5_0 {
		replace `var' =  `var'_2 if mi(`var') & `var'_2 != .
		replace `var' =  `var'_3 if mi(`var') & `var'_3 != . 
		replace `var' =  `var'_4 if mi(`var') & `var'_4 != . 
	}
	
	keep hhid z2 z3 z5_1 z5_2 z5_3 z5_4 z5_5 z5_6 z5_7 z5_0
	
	* Recode "Had it but lost it" as "Have a tazkira"
	gen hasid_pf = (inlist(z2,1,2))
		replace hasid_pf = z2 if mi(z2)
	gen hasid_pm = (inlist(z3,1,2))
		replace hasid_pm = z3 if mi(z3)
	
	lab var hasid_pf "Primary Woman ever had a Tazkira"
	lab var hasid_pm "Primary Man ever had Tazkira"
	
	tempfile tazkira
	save `tazkira'

		
* 4. R1 - livestock ownership
	*number livestock owned currently 
	*number sold since April 2020 (until date of R1 survey)
	*reason for sale of livestock since April - for each type of livestock 

	use "${livestock_roster}", clear 
		keep hhid round livestock k7 k36 k37 k39_1 k39_2 k39_3 k39_4 k39_5 k39_6 k39_7 k39_8 k39_9 k39_10
		keep if round == 1
		
		foreach v of var * {
		local l`v' : variable label `v'
			if `"`l`v''"' == "" {
			local l`v' "`v'"
			}
		}
		rename (k7 k37 k39_1 k39_2 k39_3 k39_4 k39_5 k39_6 k39_7 k39_8 k39_9 k39_10) (k7_ k37_ k39_1_ k39_2_ k39_3_ k39_4_ k39_5_ k39_6_ k39_7_ k39_8_ k39_9_ k39_10_) 
		
		reshape wide k7_ k37_ k39_1_ k39_2_ k39_3_ k39_4_ k39_5_ k39_6_ k39_7_ k39_8_ k39_9_ k39_10_, i(hhid) j(livestock)
		
		
	foreach v in k7 k37 k39_1 k39_2 k39_3 k39_4 k39_5 k39_6 k39_7 k39_8 k39_9 k39_10 {
		label var `v'_1 `"`l`v'' (Cows)"'
		label var `v'_2 `"`l`v'' (Goats)"'
		label var `v'_3 `"`l`v'' (Sheep)"'
		label var `v'_4 `"`l`v'' (Chicken)"'
	}		
		
		tempfile lstock_r1
		save `lstock_r1'
	
use "${all_hhlevel_phonesvy}", clear 
	merge m:1 hhid using "${shocks_interm}", keepusing(anyshock_* illness_*)
		
* 5. Transfers (R1) 
	* Recevied support ($ or in-kind)
	gen trans_rec = .
		replace trans_rec = 1 if (d8_1==1 | d8_2==1)
		replace trans_rec = 0 if (d8_1==0 & d8_2==0)
		replace trans_rec = .d if d8__99 == 1
		replace trans_rec = .r if d8__98 == 1 
		lab var trans_rec "Received any support (last 4 weeks)"

	* Total value of support ($ and in-kind)
	egen trans_value = rowtotal(d9 d9a), m
		* Include 0s to make consistent with Yemen 
		replace trans_value = 0 if trans_value == . & !mi(trans_rec)
		lab var trans_value "Value of support received (last 4 weeks)"
	
	* Winsorized Total value of support ($ and in-kind)
	winsor2 trans_value, s(_win) c(0 99) by(ultra_poor)
	replace trans_value_win = 0 if  trans_value == 0
	label var trans_value_win "99% Winsorized Value of support received (last 4 weeks)"
	
	* Received support & Value of support for HHs that experienced a shock 
	foreach suffix in "_12mo" "_4wk" {
	
		gen trans_rec_shock`suffix' = .
			replace trans_rec_shock`suffix' = 0 if !mi(trans_rec)
			replace trans_rec_shock`suffix' = trans_rec if anyshock`suffix' == 1 
		
		gen trans_value_shock`suffix' = .
			replace trans_value_shock`suffix' = 0 if trans_value != .
			replace trans_value_shock`suffix' = trans_value if anyshock`suffix' == 1 
		
		gen trans_value_shock_win`suffix' = . 
			replace trans_value_shock_win`suffix' = 0 if trans_value_win != .
			replace trans_value_shock_win`suffix' = trans_value_win if anyshock`suffix' == 1 
			
		gen trans_rec_ill`suffix' = .
			replace trans_rec_ill`suffix' = 0 if !mi(trans_rec)
			replace trans_rec_ill`suffix' = trans_rec if illness`suffix' == 1 
		
		gen trans_value_ill`suffix' = .
			replace trans_value_ill`suffix' = 0 if trans_value !=.
			replace trans_value_ill`suffix' = trans_value if illness`suffix' == 1
		
		gen trans_value_ill_win`suffix' = . 
			replace trans_value_ill_win`suffix' = 0 if trans_value_win !=.
			replace trans_value_ill_win`suffix' = trans_value_win if illness`suffix' == 1
		
	}
		
* 5. Migration (perceptions) (R2) 
	* Group t5 into a score (each positive + 1 point; each negative - 1 point)
	gen t5_score = 0
	gen t5_2_score = 0
	
	foreach suffix in "" "_2" {
		replace t5`suffix'_score = t5`suffix'_score + 1 if t5a`suffix'==1
		replace t5`suffix'_score = t5`suffix'_score + 1 if t5e`suffix'==1
		replace t5`suffix'_score = t5`suffix'_score + 1 if t5f`suffix'==1
		
		replace t5`suffix'_score = t5`suffix'_score - 1 if t5b`suffix'==1 
		replace t5`suffix'_score = t5`suffix'_score - 1 if t5c`suffix'==1
		replace t5`suffix'_score = t5`suffix'_score - 1 if t5d`suffix'==1
		replace t5`suffix'_score = t5`suffix'_score - 1 if t5g`suffix'==1
		
		* Put back the missings 
		replace t5`suffix'_score = . if mi(t5a`suffix')
		
	}

		lab var t5_score 	"Contribution of IDPs score (-4 to 3)"
		lab var t5_2_score 	"Contribution of Returnees score (-4 to 3)"
		
	* Recome "helped to move back as 0"
	gen t6_yn = t6
		recode t6_yn (2=0)
		lab var t6_yn "Support for building new life: IDPs"
	gen t6_2_yn = t6_2
		recode t6_2_yn (2=0)
		lab var t6_2_yn "Support for building new life: Returnees"
	
	* Allocate 1,000 Afs (IDPs and Returnees): express as a ratio of IDP (Returnee) to village resident 
	* ratio = 1 when it is 50/50; ratio <1 when migrant receives less; ratio >1 when migrant receives more
	foreach suffix in "9" "10" {
		gen t`suffix'_ratio = t`suffix'_2/t`suffix'_1
	}
	
		lab var t9_ratio "IDP-to-villager allocation ratio (<1 if migrant receives less; >1 if more)"
		lab var t10_ratio "Returnee-to-villager allocation ratio (<1 if migrant receives less; >1 more)"

	* Create a t4 satisfied / unsatisfied dummy 
	gen t4_yn = t4
		replace t4_yn = 0 if inlist(t4,1,2)
		replace t4_yn = 1 if inlist(t4,3,4)
		lab var t4_yn "Satisfied with Afghan government forced migrant policy"
				
	* Create dummies for t4_1
	tab t4_1, gen(t4_1_)
		lab var t4_1_1 "Afghan government is helping forced migrants: return" 
		lab var t4_1_2 "Afghan government is helping forced migrants: neigher" 
		lab var t4_1_3 "Afghan government is helping forced migrants: resettle" 
	
	lab var t8 "Returnees from Pakistan should be allowed access to government services"
	keep hhid round trans_rec trans_value trans_value_win *4wk *12mo t5_score t5_2_score ///
										t6_yn t6_2_yn t9_ratio t10_ratio t8 t4_yn t4_1_1 t4_1_3 t4_1_2 
		
	foreach v of var * {
		local l`v' : variable label `v'
			if `"`l`v''"' == "" {
			local l`v' "`v'"
		}
	}
	
	collapse (max) trans_rec trans_value trans_value_win trans_rec_shock_12mo trans_rec_shock_4wk trans_value_shock_12mo trans_value_shock_4wk trans_value_shock_win_12mo trans_value_shock_win_4wk trans_rec_ill_12mo trans_rec_ill_4wk trans_value_ill_12mo trans_value_ill_4wk trans_value_ill_win_12mo trans_value_ill_win_4wk t5_score t5_2_score t6_yn t6_2_yn t9_ratio t10_ratio t8 t4_yn t4_1_1 t4_1_3 t4_1_2, by(hhid)
	
	foreach v of var * {
		label var `v' `"`l`v''"'
	}
	
	isid hhid 
	
	tempfile other_vars
	save `other_vars'
	
	
* Merge datasets 
	use "`income_vars'", clear
		merge 1:1 hhid using "`other_outcomes_r3'", nogen
		merge 1:1 hhid using "`other_outcomes_r4'", nogen
		merge 1:1 hhid using "`lstock_r1'", nogen
		merge m:1 hhid using "`tazkira'", nogen
		merge 1:1 hhid using "`other_vars'", nogen
		merge m:1 hhid using "${shocks_interm}", keepusing(anyshock_* illness_*)
		
* Additional constrution 		
	* Whether HH sold livestock for HHs that experienced a shock 
	gen k36_shock_12mo = .
		replace k36_shock_12mo = k36 if illness_12mo == 1
	gen k36_shock_4wk = .
		replace k36_shock_4wk = k36 if illness_4wk == 1
		
* Save 
	save "${other_vars_phonesvy}", replace 