* Panel data 
gl total_expenditure_long			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/total_expenditure_long_phonesvy.dta"  
gl foodsecurity_long				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/food_security_index_long_phonesvy.dta"  
gl asset_index_up_long 				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/asset_index_up_phonesvy_long.dta"   
gl finance_index_long 				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/finance_index_long.dta"   
gl wellbeing_up_long_phonesvy 		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/wellbeing_index_up_long_phonesvy.dta"   
gl livestock_assets_long_phonesvy	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/livestock_assets_index_long_phonesvy.dta" // long data   
gl schooling_long_phonesvy			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/schooling_long_phonesvy.dta"  
gl timeuse_hh_long_phonesvy 		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/time_activities_hh_long_phonesvy.dta"   
gl total_expenditure_index_long		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/total_expenditure_index_long_phonesvy.dta"  
gl revenues_income_long_phonesvy	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/revenues_income_long_phonesvy.dta"
gl phone_svy_profile   				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta"

* Baseline covariates 
gl  covars_bl_phonesvy				"${TUP_DB}/Baseline_Phone/DataSets/Final/covars_bl_phonesvy.dta"


* Output 
gl data_for_analysis_phonesvy_long		"${TUP_DB}/Phone_Survey/DataSets/Final/data_for_analysis_phonesvy_long.dta"


* Merge data  
	use "${total_expenditure_long}", clear  
		merge 1:1 hhid round using "${total_expenditure_index_long}", nogen 
		merge 1:1 hhid round using "${foodsecurity_long}", nogen 
		merge 1:1 hhid round using "${asset_index_up_long}", nogen 
		merge 1:1 hhid round using "${finance_index_long}", nogen 
		merge 1:1 hhid round using "${revenues_income_long_phonesvy}", nogen 
		merge 1:1 hhid round using "${timeuse_hh_long_phonesvy}", nogen 
		merge 1:1 hhid round using "${livestock_assets_long_phonesvy}", nogen 
		
* Merge on profile vars  
	cap drop treatment ultra_poor PRA_lottery all_rounds
	merge m:1 hhid using "${phone_svy_profile}", keepusing(treatment ultra_poor PRA_lottery all_rounds) keep(3) nogen
	 
	* Wnsorize 
	* Create winsorization for robustness check
	foreach var in exp_tot_m_pc_noh_ca18 loan saving tot_hh_income tot_lstock_rev tot_crop_rev tot_biz_rev tot_pmpw_pay_imp num_house_Land num_nonHouse_Land {
		
		winsor2 `var', by(ultra_poor) cuts(0 95) suff(_w95)
		replace `var'_w95 = `var' if mi(`var'_w95)
		local l_`var' : variable label `var'
		lab var `var'_w95 "`l_`var'' - UP Winsorized (95%)"
		
		winsor2 `var', by(ultra_poor) cuts(0 97) suff(_w97)
		replace `var'_w97 = `var' if mi(`var'_w97)
		local l_`var' : variable label `var'
		lab var `var'_w97 "`l_`var'' - UP Winsorized (97%)"
		
		winsor2 `var', by(ultra_poor) cuts(0 99) suff(_w99)
		replace `var'_w99 = `var' if mi(`var'_w99)
		local l_`var' : variable label `var'
		lab var `var'_w99 "`l_`var'' - UP Winsorized (99%)"
		
		* By treatment 
		winsor2 `var', by(treatment) cuts(0 95) suff(_w95t)
		replace `var'_w95t = `var' if mi(`var'_w95t)
		local l_`var' : variable label `var'
		lab var `var'_w95t "`l_`var'' - Treatment Winsorized (95%)"
		
		winsor2 `var', by(treatment) cuts(0 97) suff(_w97t)
		replace `var'_w97t = `var' if mi(`var'_w97t)
		local l_`var' : variable label `var'
		lab var `var'_w97t "`l_`var'' - Treatment Winsorized (97%)"
		
		winsor2 `var', by(treatment) cuts(0 99) suff(_w99t)
		replace `var'_w99t = `var' if mi(`var'_w99t)
		local l_`var' : variable label `var'
		lab var `var'_w99t "`l_`var'' - Treatment Winsorized (99%)"
	}	

	* In 2021 USD   
	unab usd_vars: loan loan_w* saving saving_w* tot_hh_income tot_hh_income_w* tot_lstock_rev tot_lstock_rev_w* tot_crop_rev tot_crop_rev_w* tot_biz_rev tot_biz_rev_w* tot_pmpw_pay_imp tot_pmpw_pay_imp_w*
	
	foreach var in `usd_vars' {  
	    local `var'l :  var label `var' 
		local `var'l: subinstr local `var'l "(ANF)" "(2021 USD)", all
		gen `var'_usd = `var' / ${exchange_rate_2021}
		lab var `var'_usd "``var'l'" 
	} 
 	 
	* Labels 
	foreach group in pf pm { 
		 
		if "`group'" == "pf" { 
			local member "PF" 
		} 
		if "`group'" == "pm" { 
			local member "PM" 
		} 
			label var did_labor_nohh_`group'  	"`member' Did any type of revenue generating activity (4 weeks) (pooled)" 
			label var did_livestock_`group' 	"`member' HH Livestock" 
			label var did_ownFarming_`group'  	"`member' HH Agriculture" 
			label var did_ownBiz_`group'  		"`member' HH Non-Agricultural Business" 
			label var did_oFarm_`group'  		"`member' Worked in Casual Labor: Agricultural (4 weeks) (pooled)" 
			label var did_maid_`group' 			"`member' Worked in Casual Labor: Maid Services (4 weeks) (pooled)" 
			label var did_outWork_`group' 		"`member' Worked in Casual Labor: Non-Agricultural (4 weeks) (pooled)" 
			label var did_salEmp_`group' 		"`member' Worked in Salaried or Formal Employment (4 weeks) (pooled)" 
			label var did_oPaidWork_`group'  	"`member' Worked in Other Paid Work (4 weeks)" 
			label var labor_particip_`group' 	"`member' Labor Participation" 
			label var employment_`group' 		"`member' Market Work Participation" 
			label var k5_1_`group'				"`member' Looked for Work" 
			label var did_oWork_`group'			"`member' Other Work" 
	} 
	
	lab var biz_yes "Household Has Any Business"
	
	lab var saving_dummy "HH Has Any Savings"
	lab var saving_usd "HH Total Savings (2021 USD)"
	lab var loan_dummy "HH Has Any Loans"
	lab var loan_usd "HH Outstanding Cash Loans (2021 USD)"
	
	foreach suffix in "" "_all" {
		lab var index_sdC_food_sec`suffix' "Food Security Index"
		lab var exp_tot_m_pc_noh_ca21`suffix' "Proxy Consumption Index (Five-Year Follow-Up = 1), Month"
		lab var exp_nf_tot_m_pc_ca21`suffix' "Proxy Non-Food Consumption Index (Five-Year Follow-Up = 1), Month"
		lab var exp_f_tot_m_pc_ca21`suffix' "Proxy Food Consumption Index (Five-Year Follow-Up = 1), Month"
	}

	lab var tup_lstock_yes "Any Cows, Goats, or Sheep"
	lab var lstock_yes_chicken "Any Chicken"
	lab var wealth_score_sdC "HH Asset Ownership Index"
	lab var wealth_score_sdC_allrounds "HH Asset Ownership Index"	
	lab var lstock_num_cow "Cows"
	lab var lstock_num_goat "Goats"
	lab var lstock_num_sheep "Sheep"
	lab var tot_lstock_rev_w97t_usd "Sales of livestock (last 4 weeks) (pooled)"

	* Merging on 2 covariates unbalanced at baseline 
	merge m:1 hhid using "${covars_bl_phonesvy}", keep(1 3) nogen
	
	* Save  
	save "${data_for_analysis_phonesvy_long}" , replace 
						
						
						
						