* Inputs 
gl total_expenditure_index_long		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/total_expenditure_index_long_phonesvy.dta" 
gl foodsecurity_long				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/food_security_index_long_phonesvy.dta"  
gl asset_index_up_long 				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/asset_index_up_phonesvy_long.dta"   
gl finance_index_long 				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/finance_index_long.dta"   
gl wellbeing_index_up_phonesvy 		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/wellbeing_index_up_phonesvy.dta"
gl livestock_assets_long_phonesvy	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/livestock_assets_index_long_phonesvy.dta" // long data   
gl schooling_long_phonesvy			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/schooling_long_phonesvy.dta"  
gl timeuse_hh_long_phonesvy 		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/time_activities_hh_long_phonesvy.dta"   
gl revenues_income_phonesvy 		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/revenues_income_phonesvy.dta"
gl f_empowerment_phonesvy			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/f_empowerment_phonesvy.dta"
gl schooling_phonesvy				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/schooling_phonesvy.dta"
gl livestock_assets_index_phonesvy	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/livestock_assets_index_phonesvy.dta"
gl finance_index_up  				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/finance_index_up_phonesvy.dta"

* Outputs 
global sample_indicators_phonesvy	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/sample_indicators_phonesvy.dta"

* Variable globals 
global empower 				index_sdC_f_emp_3c_1 index_sdC_all_decisions index_sdC_role_prod_1 index_sdC_social_capital foodexp ///
									h8_ac h7_ac chischool h13_ac chimarr h6_ac otherexp h14_ac_1 h24_ac_1 h31_ac_1 h28_ac_1 ///
									index_sdC_role_prod_1 owner_manager_pf did_labor_nohh_1 h30_1 mobile_yes_pf index_sdC_social_capital ///
									z2_all z1_3_all n1_1 n2_1
global psy_detail 			psy_indexC_sdC happy satisf_score cesd_md satisf_z_sdC hap_z_sdC cesd_z_sdC 
global revenues_sum	    	tot_hh_income_1 tot_lstock_rev_1 tot_crop_rev_imp_2 tot_biz_rev_imp_1 tot_hh_pay_imp_1
global fin_sum	 			saving_dummy saving loan_dummy loan				 
global lstock 				tup_lstock_yes lstock_yes_chicken lstock_num_cow lstock_num_goat lstock_num_sheep lstock_num_chicken				 		 
global labor				labor_particip employment k5_1 did_livestock did_ownFarming did_ownBiz did_oWork 	
global food_sec 			index_sdC_food_sec c14_3_ac c14_5_ac	

********************************************************************************
* Variables form endline cross-section
********************************************************************************

	foreach var in exp_tot_m_pc_noh_ca21 {
			use "${total_expenditure_index_long}", clear
		
			gen `var'_s = !missing(`var') 
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}	
		
		foreach var in $food_sec {
			use "${foodsecurity_long}", clear
		
			gen `var'_s = !missing(`var')
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}	
		
		foreach var in $empower {
			use "${f_empowerment_phonesvy}", clear
		
			gen `var'_s = !missing(`var')
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}	
		
		foreach var in $psy_detail {
			use "${wellbeing_index_up_phonesvy}", clear
		
			gen `var'_s = !missing(`var')
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}	
		
		foreach var in $revenues_sum {
			use "${revenues_income_phonesvy}", clear
		
			gen `var'_s = !missing(`var')
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}	
		
		foreach var in $fin_sum {
			use "${finance_index_long}", clear
		
			gen `var'_s = !missing(`var')
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}	
		
		foreach var in wealth_score_sdC {
			use "${asset_index_up_long}", clear
		
			gen `var'_s = !missing(`var')
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}	
		
		foreach var in $labor {
			use "${timeuse_hh_long_phonesvy}", clear 
			
			gen `var'_pf_s = !missing(`var'_pf)
			keep if `var'_pf_s == 1  
			keep hhid `var'_pf_s 
			duplicates drop  
			isid hhid  
			
			tempfile `var'_pf_s 
			save ``var'_pf_s'
		}
		
		foreach var in $labor {
			use "${timeuse_hh_long_phonesvy}", clear 
			
			gen `var'_pm_s = !missing(`var'_pm)
			keep if `var'_pm_s == 1
			keep hhid `var'_pm_s 
			duplicates drop  
			isid hhid  
			
			tempfile `var'_pm_s 
			save ``var'_pm_s'
		}
		
		foreach var in child_inschool_hh {
			use "${schooling_phonesvy}", clear
		
			gen `var'_s = !missing(`var') 
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}	
		
		foreach var in tot_lstock_value_4 {
			use "${livestock_assets_index_phonesvy}", clear
		
			gen `var'_s = !missing(`var') 
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}
		
		foreach var in $lstock {
			use "${livestock_assets_long_phonesvy}", clear
		
			gen `var'_s = !missing(`var') 
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}	
		
		foreach var in prod_loan {
			use "${finance_index_up}", clear
		
			gen `var'_s = !missing(`var') 
			keep if `var'_s == 1 
			keep hhid `var'_s  
			duplicates drop  
			isid hhid  
			
			tempfile `var'_s 
			save ``var'_s'
		}	
		
		foreach var in exp_tot_m_pc_noh_ca21 $food_sec $empower $psy_detail $revenues_sum $fin_sum wealth_score_sdC child_inschool_hh tot_lstock_value_4 $lstock prod_loan {
		    merge 1:1 hhid using ``var'_s', nogen
		}
		 
		foreach var in $labor {
		    merge 1:1 hhid using ``var'_pf_s', nogen
			merge 1:1 hhid using ``var'_pm_s', nogen
		}
		
		* Rename variables to match endline names 
		rename (tot_hh_income_1_s tot_lstock_rev_1_s tot_crop_rev_imp_2_s tot_biz_rev_imp_1_s tot_hh_pay_imp_1_s saving_s loan_s tot_lstock_value_4_s) ///
				(tot_hh_income_1_usd_s tot_lstock_rev_1_usd_s tot_crop_rev_imp_2_usd_s tot_biz_rev_imp_1_usd_s tot_hh_pay_imp_1_usd_s saving_usd_s loan_usd_s tot_lstock_value_4_usd_s)
			
		* Save 
		save "${sample_indicators_phonesvy}", replace 
		