* Baseline schooling for endline: only include HHs that have a school-aged kid at endline and also had one at baseline
	
* Inputs 	
	global schooling_bl					"${TUP_DB}/Baseline/DataSets/Intermediate/schooling_bl.dta"
	global schooling_phonesvy			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/schooling_phonesvy.dta"
	global covars_bl_phonesvy			"${TUP_DB}/Baseline_Phone/DataSets/Final/covars_bl_phonesvy.dta"

* Outputs	
	global schooling_bl_phonesvy		"${TUP_DB}/Baseline_Phone/DataSets/Intermediate/schooling_bl_phonesvy.dta"

	
	* Get an indicator for whether the HH still has school-aged children (6-18) at Phone survey R1
	use "${schooling_phonesvy}", clear
		keep if ultra_poor == 1 
		keep hhid child_in_schooling_age_hh_1
		rename child_in_schooling_age_hh_1 child_in_schooling_age_hh_phone 
		keep if child_in_schooling_age_hh_phone == 1 
		duplicates drop
		isid hhid 
	
	* Merge on baseline schooling data and keep only full merges (i.e., HHs that have a school-aged kid at endline and also had one at baseline)
	merge 1:m hhid using "${schooling_bl}", keep(3) nogen

	merge m:1 hhid using "${phone_svy_profile}", keepus(all_rounds anyround) keep(3) nogen
	
	* Merge baseline controls  
	merge m:1 hhid using "${covars_bl_phonesvy}", keep(3) nogen
	
	* Save 
	save "${schooling_bl_phonesvy}", replace 

	