* Full baseline consumption data, with 2018 AFN conversion  
	
	* Input 
	gl total_expenditure_bl			"${TUP_DB}/Baseline/DataSets/Intermediate/total_expenditure_bl.dta"

	* Output in Baseline_PhoneSample folder 
	gl total_expenditure_bl_phones 	"${TUP_DB}/Baseline_PhoneSample/DataSets/Intermediate/total_expenditure_bl_phones.dta"
	
	use "${total_expenditure_bl}", clear 
	

		gen exp_f_tot_m_pc_ca18 = exp_f_tot_m_pc * ($cpi_food_fl1 / $cpi_food_bl)
		lab var exp_f_tot_m_pc_ca18 "Food expenditure (2018 AFN, per capita, per month)"
		
		gen exp_nf_tot_m_pc_ca18 = exp_nf_tot_m_pc * ($cpi_non_food_fl1 / $cpi_non_food_bl)
		lab var exp_nf_tot_m_pc_ca18 "Non-food expenditure (2018 AFN, per capita, per month)"

		egen exp_tot_m_pc_ca18 = rowtotal(exp_f_tot_m_pc_ca18 exp_nf_tot_m_pc_ca18)
		lab var exp_tot_m_pc_ca18 "Total (food & non-food) monthly expenditure per capita (2018 AFN, per capita, per month)"	
		
	* Save
	if	`c(stata_version)'>=14	{
		saveold "${total_expenditure_bl_phones}", replace v(13)
	}
	else {
		save "${total_expenditure_bl_phones}", replace
	}		