	* Input
	gl finance_index_ses 		"${TUP_DB}/Followup_1/DataSets/Intermediate/finance_index_ses_fl1.dta"

	* Output in Followup_1_Phone folder 
	gl finance_index_ses_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/finance_index_ses_fl1.dta"
	gl finance_index_up_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/finance_index_up_fl1.dta"
	
	
	use "${finance_index_ses}", clear 
	
	* Keep the phone survey sample 
	merge 1:1 hhid using "${phone_svy_profile}", keepus(anyround attrition_r*) keep(3) nogen	
	
	drop fin_index_sdUP_fl1 // we do not use the index 
	* Temp: cut off values to see if outliers are driving results 
		gen loan_cut = loan
			replace loan_cut = . if loan>200000 & !mi(loan)
			lab var loan_cut "HH Total Outstanding Cash Loans - 200K cut"
		gen saving_cut = saving
			replace saving_cut = . if saving>20000 & !mi(saving)
			lab var saving_cut "HH Total Savings - 20K cut"
	
	
	gen saving_dummy = (saving>0 & !mi(saving)) 
	replace saving_dummy = saving if mi(saving) 
	label var saving_dummy 	"Whether Anyone in the HH Saved" 
	
		if	`c(stata_version)'>=14	{ 
			saveold "${finance_index_ses_phonesvy}", replace v(13) 
		} 
		else { 
			save "${finance_index_ses_phonesvy}", replace 
		}	 
 	 
	keep if ultra_poor == 1 
	
		if	`c(stata_version)'>=14	{ 
			saveold "${finance_index_up_phonesvy}", replace v(13) 
		} 
		else { 
			save "${finance_index_up_phonesvy}", replace 
		}	 