* Inputs 
	gl food_consumption_all_fl1		"${TUP_DB}/Followup_1/DataSets/Intermediate/food_consumption_all_fl1.dta"
	gl sample_indicators_phonesvy	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/sample_indicators_phonesvy.dta"
* Outputs 
	gl food_cons_shares_fl1_phonesvy	"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/food_consumption_shares_fl1_phonesvy.dta"	 
	
	** Food expenditures 
	use "${food_consumption_all_fl1}", clear 
	
	* Merge on endline sample indicators  
	merge m:1 hhid using "${sample_indicators_phonesvy}", assert(1 3) nogen keepusing(exp_tot_m_pc_noh_ca21_s) 
		rename exp_tot_m_pc_noh_ca21_s sample  
		
	keep if sample == 1 	 
	
	* Keep the 25 food items that are included in the Phone Survey
	keep if inlist(item,1,2,3,4,7,14,15,16,17,18,24,26,27,29,33,41,44,45,50,64,66,72,76,80,84)	
	
	bys hhid: egen tot_food_exp_pc = sum(exp_f_m_pc_item)
	
	gen item_share = exp_f_m_pc_item/tot_food_exp_pc
		replace item_share = 0 if consumed == 0 
		
	gen item_type_num = item
		replace item_type_num = 9 if item_type == "Meat"
		replace item_type_num = 10 if item_type == "Dairy"
		replace item_type_num = 11 if item_type == "Vegetables"
		replace item_type_num = 12 if item_type == "Fruits"
		
	rename item_type item_type_s
	rename item_type_num item_type
	
	lab def cat_lab2 1 "Rice (high quality)" 2 "Rice (low quality)" 3 "Wheat flour" 4 "Naan not made at home" 7 "Beans" 9 "Meat" 10 "Dairy and Eggs" 11 "Vegetables" 12 "Fruit"
	replace item_type = item if item_type == 3
	lab val item_type cat_lab2
	tab item_type

	bys hhid item_type: egen item_type_food_exp_pc = sum(exp_f_m_pc_item)
	
	gen item_type_share = item_type_food_exp_pc/tot_food_exp_pc	
	replace item_type_share = 0 if mi(item_type_share) // this happens when 4 HHs did not consume any of the 25 selected items 
	
	keep hhid item_type item_type_share 
	
	rename item_type_share item_type_share_
	duplicates drop 

	reshape wide item_type_share_ , i(hhid) j(item_type)

	lab var item_type_share_1 "Rice (high quality)"
	lab var item_type_share_2 "Rice (low quality)" 
	lab var item_type_share_3 "Wheat flour"
	lab var item_type_share_4 "Naan not made at home"
	lab var item_type_share_7 "Beans"
	lab var item_type_share_9 "Meat"
	lab var item_type_share_10 "Dairy and Eggs" 
	lab var item_type_share_11 "Vegetables"
	lab var item_type_share_12 "Fruit"
	
	merge m:1 hhid using "${phone_svy_profile}", keepusing(PRA_lottery treatment ultra_poor) keep(3) nogen

	* Rename 
	rename item_type_share_* item_type_share_*_fl1 
	
	save "${food_cons_shares_fl1_phonesvy}", replace 
	
	
