	* Input
	gl data_for_analysis_fl1			"${TUP_DB}/Followup_1/DataSets/Final/data_for_analysis_fl1.dta"
	gl business_revenue_earnings_fl1	"${TUP_DB}/Followup_1/DataSets/Intermediate/business_revenue_earnings_fl1.dta"
	gl livestock_assets_fl1_phonesvy	"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/livestock_assets_fl1.dta"
	gl livestock_rev_fl1_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/livestock_revenue_index_fl1.dta"
	gl wellbeing_index_up_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/wellbeing_index_up_fl1.dta"	
	gl f_empowerment_fl1_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/f_empowerment_fl1.dta"
	gl total_expenditure_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/total_expenditure_fl1_phonesvy.dta"
	gl time_activities_ses_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/time_activities_ses_fl1.dta"
	gl schooling_fl1_phonesvy			"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/schooling_fl1.dta"
	gl foodsecurity_phonesvy 			"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/food_security_index_fl1.dta"
	gl polinvolvement_phonesvy			"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/political_involvement_index_fl1.dta"
	gl finance_index_up_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/finance_index_up_fl1.dta"
	gl asset_index_up_phonesvy   		"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/asset_index_up_fl1.dta"
	gl wellbeing_index_up_fl1_phonesvy	"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/wellbeing_index_up_fl1.dta"	

	gl covars_bl_phonesvy				"${TUP_DB}/Baseline_Phone/DataSets/Final/covars_bl_phonesvy.dta"

	gl sample_indicators_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/sample_indicators_phonesvy.dta"

	* Output in Followup_1_Phone folder 
	gl  data_for_analysis_fl1_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Final/data_for_analysis_fl1_phonesvy.dta"
	gl  data_for_analysis_fl1_phone_full	"${TUP_DB}/Followup_1_Phone/DataSets/Final/data_for_analysis_fl1_phone_full.dta"

	* Outcomes with changes in construction
	use "${f_empowerment_fl1_phonesvy}", clear 
		keep hhid index_sdC_all_decisions index_sdC_role_prod_act index_sdC_social_capital index_sdC_f_emp_3c ///
			foodexp h8_ac h7_ac chischool h13_ac chimarr h6_ac otherexp h14_ac h24_ac h31_ac h28_ac ///
			index_sdC_role_prod_act owner_manager_pf did_labor_pf h30 mobile_yes_pf index_sdC_social_capital ///
			s21 voted n1 n2 *full *_all
		tempfile empower
		save `empower'
		
	use "${livestock_rev_fl1_phonesvy}", clear 
		keep hhid tot_lstock_revenue
		tempfile lstock_rev
		save `lstock_rev'
		
	use "${wellbeing_index_up_phonesvy}", clear 
		keep hhid psy_indexC_sdC_fl1 satisf_z_sdC_fl1 hap_z_sdC_fl1 cesd_z_sdC_fl1  ///
			psy_indexC_sdC_m_fl1 satisf_z_sdC_m_fl1 hap_z_sdC_m_fl1 cesd_z_sdC_m_fl1 *full *all_fl1 
		tempfile psy
		save `psy'
		
	* Outcomes with no changes in construction
 	use "${data_for_analysis_fl1}", clear 
	
		keep hhid ultra_poor treatment PRA_lottery loan_win saving_win loan saving tot_crop_revenue tot_biz_revenue ///
			did_labor_pf labor_particip_pf labor_particip_pm productive_loan c14_3_ac c14_5_ac
			
		merge 1:1 hhid using "${phone_svy_profile}", keepus(all_rounds fl1_sample anyround attrition_r*) keep(1 3) nogen
			
		* Rename to match endline 
		rename productive_loan prod_loan
			
		merge 1:1 hhid using "${total_expenditure_phonesvy}", assert(3) nogen 
		merge 1:1 hhid using "${time_activities_ses_phonesvy}", assert(1 3) nogen // 1 HH does not have time activities data for PM/PW 
		merge 1:1 hhid using "${foodsecurity_phonesvy}", assert(1 3) nogen
		merge 1:1 hhid using "${asset_index_up_phonesvy}", assert(1 3) nogen
		merge 1:1 hhid using "`empower'", assert(1 3) nogen
		merge 1:1 hhid using "`lstock_rev'", assert(1 3) nogen // 29 UP HHs are missing this data 
		merge 1:1 hhid using "`psy'", assert(1 3) nogen
		merge 1:1 hhid using "${finance_index_up_phonesvy}", assert(1 3) nogen keepusing(loan_cut saving_cut saving_dummy loan_dummy)
		merge 1:1 hhid using "${business_revenue_earnings_fl1}", keep(1 3) keepusing(biz_yes) nogen
		merge 1:1 hhid using "${livestock_assets_fl1_phonesvy}", keep(1 3) nogen
		merge 1:1 hhid using "${wellbeing_index_up_fl1_phonesvy}", keepusing(satisf_score_fl1 hap_score_fl1 cesd_score_fl1 cesd_md happy) nogen
			* Rename to match previously used names 
			rename happy happy_i27_f_fl1
			rename cesd_md cesd_f_md_fl1
			rename satisf_score_fl1 satisf_score_f_fl1
			
		* Merging on 2 covariates unbalanced at baseline 
		merge m:1 hhid using "${covars_bl_phonesvy}", keep(1 3) nogen 
		
		* Create total HH income
		** Indicator 1 (everything, with imputed HH income)
		
		* Replace instances where we do not have MHHH responses with 0 for the imputed HH income 
		replace tot_hh_pay_imp = . if mi(tot_lstock_revenue) & mi(tot_crop_revenue) & mi(tot_biz_revenue)
		egen tot_hh_income = rowtotal(tot_hh_pay_imp tot_lstock_revenue tot_crop_revenue tot_biz_revenue), missing
			replace tot_hh_income = . if mi(tot_lstock_revenue) & mi(tot_crop_revenue) & mi(tot_biz_revenue) // replace instances where we do not have MHHH responses with 0
		lab var tot_hh_income "Total Income and Revenues (Indicator 1)"
	
		* Indicator 2	
		gen tot_inc_miss = 0
			replace tot_inc_miss = 1 if ((mi(tot_hh_pay) | mi(tot_biz_revenue)))
			lab var tot_inc_miss "HH pay (after member level imputation) or biz revenue is missing"
			tab tot_inc_miss
			
			reg tot_inc_miss treatment 
		
		egen tot_hh_inc_nomiss = rowtotal(tot_hh_pay tot_lstock_revenue tot_crop_revenue tot_biz_revenue) if !mi(tot_hh_pay) & !mi(tot_biz_revenue), missing
	
	* Create 95% winsorization for robustness check
	foreach var in exp_tot_m_pc_ca18 exp_f_tot_m_pc_ca18 exp_nf_tot_m_pc_ca18 loan tot_hh_income {
		winsor2 `var', by(treatment) cuts(0 95)
		replace `var'_w = `var' if mi(`var'_w)
		local l_`var' : variable label `var'
		lab var `var'_w "`l_`var'' - Winsorized"
	}
	
	foreach var in saving {
		winsor2 `var' if `var'>0, by(treatment) cuts(0 90)
		replace `var'_w = `var' if mi(`var'_w)
		local l_`var' : variable label `var'
		lab var `var'_w "`l_`var'' - Winsorized"
	}
	
	* Winsorize value of livestock at 99th pct by treatment to be consistent with endline 
	foreach var in tot_lstock_value {
		winsor2 `var', by(treatment) cuts(0 99) suff(_w99t)
		replace `var'_w99t = `var' if mi(`var'_w99t)
		local l_`var' : variable label `var'
		lab var `var'_w99t "`l_`var'' - Treatment Winsorized (99%)"
	}			

	* Rename winsorized variables because the names are too long 
	rename tot_lstock_value_w99t tot_lstock_val_w99t
	
		* Overall Economy CPI variables 
		local econ_cpi_vars "loan saving tot_hh_pay tot_lstock_revenue tot_crop_revenue tot_biz_revenue tot_hh_income tot_hh_inc_nomiss tot_pf_pay tot_pm_pay tot_pm_pay_imp tot_pf_pay_imp tot_hh_pay_imp tot_lstock_value saving_w loan_w tot_hh_income_w tot_lstock_value_med tot_lstock_val_w99t"
			
		foreach var in `econ_cpi_vars' {
			cap confirm var `var'
			if !_rc { // if the variable exists 
				local l_`var' : variable label `var'
				gen `var'_ca18 = `var' * ($cpi_econ_fl1 / $cpi_econ_fl1)
				lab var `var'_ca18 "`l_`var''"
			}
		}
	
		rename *_fl1 *
		
		rename index_sdC_social_capital_full index_sdC_social_cap_full // variable name is too long 
		
		unab dont_rename_vars: psy_indexC_sdC_bl psy_indexC_sdC_bl_mi tot_lstock_value_4_ca18_bl tot_lstock_value_4_ca18_bl_mi tot_lstock_value_4_usd_bl tot_lstock_value_4_usd_bl_mi tot_lstock_value_4_bl tot_lstock_value_4_bl_mi tot_lstock_val_4_w99t_usd_bl tot_lstock_val_4_w99t_bl_mi tot_lstock_val_4_w99t_usd_bl_mi
		qui ds 
		local varlist `r(varlist)'
		local rename_vars: list varlist - dont_rename_vars
		
		foreach var in `rename_vars' {
			rename `var' `var'_fl1
		}
		
		
		rename *_fl1_full_fl1 *_full_fl1 
		
		rename (hhid_fl1 ultra_poor_fl1 treatment_fl1 PRA_lottery_fl1 all_rounds_fl1) (hhid ultra_poor treatment PRA_lottery all_rounds)
	
		* Label
	lab var index_sdC_all_decisions_fl1 "Women's Decision-Making Index"
	lab var index_sdC_role_prod_act_fl1 "Economic Opportunities Index"
	lab var index_sdC_social_capital_fl1 "Political and Social Involvement Index"
	lab var index_sdC_f_emp_3c_full_fl1 "Proxy Women's Empowerment Index (3 Components)"

	lab var index_sdC_food_sec_fl1 "Food Security Index"
	lab var wealth_score_fl1 "HH Asset Ownership Index (PCA)"
	lab var wealth_score_sdC_fl1 "HH Asset Ownership Index"
	
	lab var index_sdC_food_sec_full_fl1 	"Food Security Index"
	lab var wealth_score_full_fl1 		"HH Asset Ownership Index (PCA)"
	
	lab var tot_hh_income_ca18_fl1 		"Proxy Total Income and Revenues (Est. 1)"
	lab var tot_hh_inc_nomiss_ca18_fl1 	"Proxy Total Income and Revenues (Est. 2)"
	
	lab var tot_crop_revenue_ca18_fl1  		"Own Agriculture Revenue"
	lab var tot_biz_revenue_ca18_fl1  		"Own Non-Agricultural Revenue"
	lab var tot_lstock_revenue_ca18_fl1 	"Own Livestock Sales Revenue" 	
	lab var tot_hh_pay_imp_ca18_fl1 		"PM and PW Paid Labor Income"
	
	lab var exp_tot_m_pc_fl1 			"Proxy Consumption per Capita (AFS), Month"
	lab var exp_f_tot_m_pc_fl1 			"Proxy Food Consumption per Capita (AFS), Month"
	lab var exp_nf_tot_m_pc_fl1 		"Proxy Non-Food Consumption per Capita (AFS), Month"
	
	lab var exp_tot_m_pc_ca18_fl1 			"Proxy Consumption per Capita (2018 AFN), Month"
	lab var exp_tot_m_pc_noh_ca18_fl1 		"Proxy Consumption per Capita (2018 AFN), Month"
	lab var exp_f_tot_m_pc_ca18_fl1 		"Proxy Food Consumption per Capita (2018 AFN), Month"
	lab var exp_nf_tot_m_pc_ca18_fl1 		"Proxy Non-Food Consumption per Capita (2018 AFN), Month"
	
	lab var saving_dummy_fl1 		"HH Has Any Savings"
	lab var loan_dummy_fl1 			"HH Has Any Loans"
	lab var tup_lstock_yes_fl1  	"HH Owns Any TUP Livestock"
	lab var lstock_yes_chicken_fl1 	"HH Owns Any Chickens"
	lab var biz_yes_fl1 			"HH Owns Any Non-Agricultural Busniness"
	
	lab var loan_ca18_fl1		"HH Outstanding Cash Loans (2018 AFN)"
	lab var saving_ca18_fl1 		"HH Total Savings (2018 AFN)"
	
	lab var tup_lstock_yes_fl1 "Any Cows, Goats, or Sheep"
	lab var lstock_yes_chicken_fl1 "Any Chicken"	
	lab var lstock_num_chicken_fl1 "Chickens"
	
	lab var lstock_num_cow_fl1 "Cows"
	lab var lstock_num_goat_fl1 "Goats"
	lab var lstock_num_sheep_fl1 "Sheep"
	lab var lstock_num_chicken_fl1 "Chicken"
	
	lab var psy_indexC_sdC_full_fl1 "Psychological Well-Being Index (3 items)" 	
	lab var psy_indexC_sdC_fl1		"Psychological Well-Being Index (3 items)" 	

	lab var satisf_z_sdC_fl1 	"Life Satisfaction (WVS) Index"
	lab var hap_z_sdC_fl1 		"Happiness (WVS) Index"
	lab var cesd_z_sdC_fl1 		"Depression (CESD) Index (Negatively Coded)"
	lab var satisf_z_sdC_full_fl1 		"Life Satisfaction (WVS) Index"
	lab var hap_z_sdC_full_fl1 			"Happiness (WVS) Index"
	lab var cesd_z_sdC_full_fl1 		"Depression (CESD) Index (Negatively Coded)"
	lab var happy_i27_f_fl1 			"PW is Very Happy or Quite Happy"
	lab var satisf_score_f_fl1 			"PW Life Satisfaction Rating (1-10)"
	lab var cesd_score_fl1 				"PW is Depressed (7-CESD $\geq$ 8)"
	
	lab var k5_1_pf_fl1 "Looked for Work"
	lab var k5_1_pm_fl1 "Looked for Work"

	lab var labor_particip_pf_fl1 "Labor Participation"
	lab var labor_particip_pm_fl1 "Labor Participation"
	
	lab var employment_pf_fl1 "Market Work Participation"
	lab var employment_pm_fl1 "Market Work Participation"
	
	lab var c14_7_fl1 "Everyone Regularly Eats at Least 2 Meals/Day"
	lab var c14_3_ac_fl1 "No Adult Ever Skips or Cuts Size of Meals in the Last 30 Days"
	lab var c14_5_ac_fl1 "No Child Ever Skips or Cut Size of Meals in the Last 30 Days"

	lab var tot_lstock_value_ca18_fl1    "Value of Livestock (2018 AFN)"
	lab var did_labor_pf_fl1 			"PW Did Market Work" 	
	
	label var tot_hh_income_fl1 		"Proxy Total Income and Revenues"
	label var tot_hh_inc_nomiss_fl1 	"Proxy Total Income and Revenues (Est. 2)"
	
	lab var tot_lstock_value_ca18_fl1 	"Total Value of Livestock (2018 AFN)"
	
	* Rename variables to facilitate analysis (to be the same as endline names)
	rename did_labor_pf_fl1 did_labor_nohh_fl1 
	rename s21_fl1 z2_fl1
	rename voted_fl1 z1_3_fl1	
	rename (happy_i27_f_fl1 satisf_score_f_fl1 cesd_f_md_fl1) (happy_fl1 satisf_score_fl1 cesd_md_fl1)
	rename tot_lstock_revenue*fl1 tot_lstock_rev_1*fl1 
	rename tot_crop_revenue*fl1 tot_crop_rev_imp_2*fl1 
	rename tot_hh_income*fl1 tot_hh_income_1*fl1
	rename tot_hh_inc_nomiss*fl1 tot_hh_inc_nomiss_1*fl1
	rename tot_biz_revenue*fl1 tot_biz_rev_imp_1*fl1
	rename tot_hh_pay_imp*fl1 tot_hh_pay_imp_1*fl1 
	rename tot_lstock_value_med*fl1 tot_lstock_value_med_4*fl1
	rename (tot_lstock_value_fl1 tot_lstock_value_ca18_fl1) ///
				(tot_lstock_value_4_fl1 tot_lstock_value_4_ca18_fl1)
	
	foreach var in index_sdC_f_emp_3c h14_ac h24_ac h31_ac h28_ac did_labor_nohh h30 n1 n2 {
		rename `var'_fl1 `var'_1_fl1 
	}
	rename (z2_fl1 z1_3_fl1) (z2_all_fl1 z1_3_all_fl1)
	rename index_sdC_role_prod_act_fl1 index_sdC_role_prod_1_fl1
	
	* In 2018 USD
	foreach var in exp_tot_m_pc_noh tot_hh_income_1 tot_hh_inc_nomiss_1 tot_lstock_rev_1 tot_crop_rev_imp_2 tot_biz_rev_imp_1 tot_hh_pay_imp_1 saving loan saving_w loan_w tot_hh_income_1_w tot_lstock_value_4 tot_lstock_value_med_4 tot_lstock_val_w99t {
			local `var'_l : var lab `var'_ca18_fl1
			local `var'_l : subinstr local `var'_l "(2018 AFN)" "(2018 USD)", all
			gen `var'_usd_fl1 = `var'_ca18_fl1 / $exchange_rate_2018
			lab var `var'_usd_fl1 "``var'_l'"
		}

	* Constant 2018 AFN divided by endline control mean (full phone survey sample)
	foreach var in exp_tot_m_pc exp_f_tot_m_pc exp_nf_tot_m_pc exp_nf_tot_m_pc_noh exp_tot_m_pc_noh  {
	
			local `var'_lab : var lab `var'_ca18_fl1
			local `var'_lab : subinstr local `var'_lab "(2018 AFN)" "(Five-Year Follow-Up = 1)", all
			
			* The ${`var'_all_cmean} global is calculated in the consumption_index_construt_phonesvy do-file!		
			* Standardized to overall of phone survey 
			gen `var'_ca21_fl1 = `var'_ca18_fl1 / ${`var'_cmean}

			lab var `var'_ca21_fl1  "``var'_lab'"

	}	

	* Constant 2018 AFN divided by endline control mean (robustness check subsample -- HHs surveyed in all rounds)
	foreach var in exp_tot_m_pc exp_f_tot_m_pc exp_nf_tot_m_pc exp_nf_tot_m_pc_noh exp_tot_m_pc_noh  {
	
			local `var'_lab : var lab `var'_ca18_fl1
			local `var'_lab : subinstr local `var'_lab "(2018 AFN)" "(Five-Year Follow-Up = 1)", all
			
			* The ${`var'_all_cmean} global is calculated in the consumption_index_construt_phonesvy do-file!
			* Standardized to R1 of phone survey 
			gen `var'_ca21_all_fl1 = `var'_ca18_fl1 / ${`var'_allcm} if all_rounds == 1 

			lab var `var'_ca21_all_fl1  "``var'_lab'"
	}

	* Merge on endline sample indicators 
	merge 1:1 hhid using "${sample_indicators_phonesvy}", assert(1 3) nogen
	
	preserve 
	* Keep the phone survey sample 
		merge 1:1 hhid using "${phone_svy_profile}", keepus(anyround attrition_r*) keep(3) nogen
		
		drop *full*
		
		save "${data_for_analysis_fl1_phonesvy}", replace 

	restore 
	
	* Drop "non-full" versions 
	drop psy_indexC_sdC_fl1 psy_indexC_sdC_m_fl1 index_sdC_food_sec_fl1 index_sdC_food_sec2_fl1 wealth_score_sdC_fl1 wealth_score_sdC_all_fl1 index_sdC_f_emp_3c_1_fl1
	
	* Full fl1 sample dataset 
		save "${data_for_analysis_fl1_phone_full}", replace 


