* Inputs
	gl phone_svy_profile   			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta"		
	gl schooling_fl1				"${TUP_DB}/Followup_1/DataSets/Intermediate/schooling_fl1.dta"
	gl covariates_fl1_bl			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/covariates_fl1_bl.dta"
	gl sample_indicators_phonesvy	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/sample_indicators_phonesvy.dta"

* Outputs
	gl schooling_fl1_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Intermediate/schooling_fl1_phonesvy.dta"

* Calculate % of children going to school in the HH 
	* this is an indicator we will use for including baseline controls 
	
	use "${schooling_fl1}", clear
	
	* Merge on endline sample indicators 
	merge m:1 hhid using "${sample_indicators_phonesvy}",  keepusing(child_inschool_hh_s) keep(1 3) nogen
	merge m:1 hhid using "${phone_svy_profile}",  keepusing(treatment PRA_lottery all_rounds) keep(1 3) nogen
	
		* number of school-aged children
		bys hhid: egen numchild = total(child_in_schooling_age_hh)
		* number of school-aged children in school
		bys hhid: egen numchild_inschool = total(child_inschool_hh)
		* share of school-aged children in school
		gen share_inschool = numchild_inschool / numchild
		
		keep hhid share_inschool child_inschool_hh child_inschool_hh_s treatment PRA_lottery all_rounds
				
		* Rename to facilitate analysis 
		rename child_inschool_hh child_inschool_hh_fl1 
		lab var child_inschool_hh_fl1 "School Enrollment"  
	
	* Save
		if	`c(stata_version)'>=14	{
			saveold "${schooling_fl1_phonesvy}", replace v(13)
		}
		else {
			save "${schooling_fl1_phonesvy}", replace
		}