* Input
gl shocks_fl1 				"${TUP_DB}/Followup_1/DataSets/Intermediate/g_shocks_fl1.dta"

* Output
gl shocks_fl1_phonesvy		"${TUP_DB}/Followup_1_Phone/DataSets/Final/shocks_fl1_phonesvy.dta"


use "${shocks_fl1}", clear 	
	
	* No NUP data at baseline 
	drop if g1 == .
	
	* Create a dummy for illness or death of HH member 
	gen anyshock = .
		replace anyshock = 0 if shock == 0 & g1 == 1 
		replace anyshock = 1 if !inlist(shock,-99,-98,0) & g1 == 1 
		bys hhid: egen anyshock_max = max(anyshock)
		bys hhid: egen always_no = max(g1)
		replace anyshock_max = 0 if always_no == 0 
		drop anyshock
		rename anyshock_max anyshock
		
	gen illness = 0
		replace illness = . if anyshock == .
		replace illness = 1 if (inlist(shock,23,24,25) & g1 == 1) 
		bys hhid: egen illness_max = max(illness)
		drop illness always_no
		rename illness_max illness
		
		lab var anyshock "HH experienced any shock"
		lab var illness "HH experiences illness or death shock"
	
	foreach v of var * {
		local l`v' : variable label `v'
			if `"`l`v''"' == "" {
				local l`v' "`v'"
			}
	}
	
	collapse (max) anyshock illness g2_*, by(hhid)
	
	foreach v of var * {
		label var `v' `"`l`v''"'
	}
	
* Save 	
	save "${shocks_fl1_phonesvy}", replace
