/*******************************************************************************	

Project:  		AFG-TUP
Created on:  	June 16, 2022


Written by:  	Thomas Escande			

Revision: 		

********************************************************************************	

THIS DO FILE: 	Makes modification to the construction and new analysis used in the presentation given to Afghanistan CMU on 20th June 2022



CONTENT:		Part 0 - Create globals for directories and files 


Note: 			

*******************************************************************************/

********************************************************************************
** Part 0: Create globals for directories and files 
********************************************************************************

clear all
set more off
set maxvar 20000

	global round_1_2 1 

	* Phone survey data 
	if $round_1_2 == 0 {
		* Datatset with all rounds
		global data_for_analysis_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Final/data_for_analysis_phonesvy.dta"
		global schooling_phonesvy				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/schooling_phonesvy.dta"
	}
	else {
		* Dataset restricted to R1-R2 outcomes
		gl data_for_analysis_phonesvy		 	"${TUP_DB}/IE_Phone_paper/DataSets/Final/data_for_analysis_phonesvy_IE_r1.dta"
		global schooling_phonesvy				"${TUP_DB}/Phone_Survey/DataSets/Intermediate/schooling_phonesvy_r1.dta"
	}
	
	use "${data_for_analysis_phonesvy}", clear
	
	*Checking we are getting the correct results
	local var wealth_score
	
	reg `var' treatment ${controls}, r
	sum `var' if treatment == 0 & e(sample) == 1
	
	*Standardizing the asset index to the control group to have similar type of index to present 
	keep if !mi(`var') & !mi(treatment)
	
	gen control = (treatment == 0)
	
	*Standardizing
	egen `var'_sdC = weightave(`var'), normby(control)
	local lab_wealth_score : variable label wealth_score
	label var wealth_score_sdC "Standardized `lab_wealth_score'"

	reg `var'_sdC treatment ${controls}, r
	sum `var'_sdC if treatment == 0 & e(sample) == 1	
	
	/* impact 0.348 (0.098) , control mean 0 and std 1 */
	
	
	
	
	
	
	