/*use "${total_expenditure}", clear 
	
	global exchange_rate_2021 77.24 // using feb 2021 for now 

	putexcel set "${TUP_DB}/Phone_Survey/Output/Interim/consumption_outcome.xlsx", modify sheet(all)

	/* PPP variables
	foreach var in exp_tot_m_pc_c exp_tot_m_pc exp_tot_m_pc_c_ALCS exp_tot_m_pc_ALCS exp_f_tot_m_pc_c exp_f_tot_m_pc exp_nf_tot_m_pc_c exp_nf_tot_m_pc ///
		exp_f_m_pc_dairy exp_f_m_pc_fruit exp_f_m_pc_grain exp_f_m_pc_meat_fish exp_f_m_pc_veg /// 
		exp_nf_m_hh_items_pc exp_nf_m_hhrepair_pc exp_nf_m_medical_pc exp_nf_m_social_pc {
			local l_`var' : variable label `var'
			gen `var'_ppp = `var' / $ppp_2018
			lab var `var'_ppp "`l_`var''"
		}*/
	
	foreach var in exp_tot_m_pc_c exp_tot_m_pc exp_tot_m_pc_c_ALCS exp_tot_m_pc_ALCS exp_f_tot_m_pc_c exp_f_tot_m_pc exp_nf_tot_m_pc_c exp_nf_tot_m_pc ///
		exp_f_m_pc_dairy exp_f_m_pc_fruit exp_f_m_pc_grain exp_f_m_pc_meat_fish exp_f_m_pc_veg /// 
		exp_nf_m_hh_items_pc exp_nf_m_hhrepair_pc exp_nf_m_medical_pc exp_nf_m_social_pc { 
			local l_`var' : variable label `var'
			gen `var'_ppp = `var'/$exchange_rate_2021
			lab var `var'_ppp "`l_`var''"
		} 

	global consumption_vars exp_tot_m_pc_ppp below_pov_af_ALCS exp_f_m_pc_dairy_ppp exp_f_m_pc_fruit_ppp exp_f_m_pc_grain_ppp exp_f_m_pc_meat_fish_ppp exp_f_m_pc_veg_ppp exp_nf_m_hh_items_pc_ppp exp_nf_m_hhrepair_pc_ppp exp_nf_m_medical_pc_ppp exp_nf_m_social_pc_ppp 
	
	keep if ultra_poor == 1
	
	local row = 3
	
	foreach var of global consumption_vars {
		local l_`var' : variable label `var'
		sum `var' if treatment == 0
		local n0 	=  `r(N)'
		local mean0 : di %10.3f `r(mean)'
		sum `var' if treatment == 1
		local n1 	= `r(N)'
		local mean1 : di %10.3f `r(mean)'
		
		ttest `var', by(treatment) unequal
		local p_val : di %10.3f `r(p)'
		
		di "`var'"
		
		putexcel A`row' = "`l_`var''" 
		putexcel B`row' =`n0' 
		putexcel C`row' =`mean0'
		putexcel D`row' =`n1'
		putexcel E`row' =`mean1'
		putexcel F`row' =`p_val' 
		
		local row = `row' + 1
	}		
	*/
	gl foodsecurity_phonesvy 	"${TUP_DB}/Phone_Survey/DataSets/Intermediate/food_security_index_phonesvy.dta"

	global foodsecurity			index_sdC_food_sec c14_7 c14_3_ac c14_5_ac 
	
	use "${foodsecurity_phonesvy}", clear 
		
	putexcel set "${TUP_DB}/Phone_Survey/Output/Interim/consumption_outcome.xlsx", modify sheet(food_sec)

	keep if ultra_poor == 1
	
	local row = 3
	
	foreach var of global foodsecurity {
		local l_`var' : variable label `var'
		sum `var' if treatment == 0
		local n0 	=  `r(N)'
		local mean0 : di %10.3f `r(mean)'
		sum `var' if treatment == 1
		local n1 	= `r(N)'
		local mean1 : di %10.3f `r(mean)'
		
		ttest `var', by(treatment) unequal
		local p_val : di %10.3f `r(p)'
		
		di "`var'"
		
		putexcel A`row' = "`l_`var''" 
		putexcel B`row' =`n0' 
		putexcel C`row' =`mean0'
		putexcel D`row' =`n1'
		putexcel E`row' =`mean1'
		putexcel F`row' =`p_val' 
		
		local row = `row' + 1
	}		
	
	
	
