global 	phone_svy_profile			"${TUP_DB}/Phone_Survey/DataSets/Intermediate/phone_svy_profile.dta"

use "${livestock_roster}", clear 
		keep hhid round livestock k7 k36 k37 k39_1 k39_2 k39_3 k39_4 k39_5 k39_6 k39_7 k39_8 k39_9 k39_10
		keep if round == 1
		
		foreach v of var * {
		local l`v' : variable label `v'
			if `"`l`v''"' == "" {
			local l`v' "`v'"
			}
		}
		rename (k7 k37 k39_1 k39_2 k39_3 k39_4 k39_5 k39_6 k39_7 k39_8 k39_9 k39_10) (k7_ k37_ k39_1_ k39_2_ k39_3_ k39_4_ k39_5_ k39_6_ k39_7_ k39_8_ k39_9_ k39_10_) 
		
		reshape wide k7_ k37_ k39_1_ k39_2_ k39_3_ k39_4_ k39_5_ k39_6_ k39_7_ k39_8_ k39_9_ k39_10_, i(hhid) j(livestock)
		
		
	foreach v in k7 k37 k39_1 k39_2 k39_3 k39_4 k39_5 k39_6 k39_7 k39_8 k39_9 k39_10 {
		label var `v'_1 `"`l`v'' (Cows)"'
		label var `v'_2 `"`l`v'' (Goats)"'
		label var `v'_3 `"`l`v'' (Sheep)"'
		label var `v'_4 `"`l`v'' (Chicken)"'
	}		
	
	merge 1:1 hhid using "${phone_svy_profile}", assert(2 3) keep(3) nogen keepusing(ultra_poor treatment)
		
local vars k37_1 k37_2 k37_3 k37_4 ///
		k39_1_1 k39_2_1 k39_3_1 k39_4_1  k39_7_1 k39_8_1 ///
		k39_1_2 k39_2_2 k39_3_2 k39_4_2  k39_7_2 k39_8_2 ///
		k39_1_3  k39_2_3  k39_3_3  k39_4_3 k39_7_3  k39_8_3 ///
		k39_1_4  k39_2_4  k39_3_4  k39_4_4  k39_7_4  k39_8_4   		
		
foreach var of local vars {
    local `var'_l : var lab `var'
	global `var'_l "``var'_l'"
	
    sum `var' if ultra_poor == 1
		global `var'_N_up : di %10.0fc `r(N)'
		global `var'_m_up : di %10.2f `r(mean)'
		
	 sum `var' if ultra_poor == 0
		global `var'_N_nup : di %10.0fc `r(N)'
		global `var'_m_nup : di %10.2f `r(mean)'	
	
	sum `var' if treatment == 1
		global `var'_N_t : di %10.0fc `r(N)'
		global `var'_m_t : di %10.2f `r(mean)'

	sum `var' if treatment == 0
		global `var'_N_c : di %10.0fc `r(N)'
		global `var'_m_c : di %10.2f `r(mean)'
}			

putexcel set "${TUP_DB}/Phone_Survey/Output/Interim/livestock_sales.xlsx", modify sheet(all)

local row 4 

foreach var of local vars {
		putexcel A`row' = "${`var'_l}"
		putexcel B`row' = $`var'_m_t
		putexcel C`row' = $`var'_N_t
		putexcel D`row' = $`var'_m_c
		putexcel E`row' = $`var'_N_c
		putexcel F`row' = $`var'_m_up
		putexcel G`row' = $`var'_N_up 
		putexcel I`row' = $`var'_m_nup
		putexcel J`row' = $`var'_N_nup 
		
		local row = `row' + 1  
}

