	set graphics off
	
	//gl livestock_assets_index_fl1		"${TUP_DB}/Followup_1/DataSets/Intermediate/livestock_assets_index_fl1.dta"
	gl livestock_revenue_index_fl1		"${TUP_DB}/Followup_1/DataSets/Intermediate/livestock_revenue_index_fl1.dta"
	gl crop_production_index_fl1		"${TUP_DB}/Followup_1/DataSets/Intermediate/crop_production_index_fl1.dta"
	gl business_rev_earnings_fl1		"${TUP_DB}/Followup_1/DataSets/Intermediate/business_revenue_earnings_fl1.dta"
	gl data_for_analysis_fl1			"${TUP_DB}/Followup_1/DataSets/Final/data_for_analysis_fl1.dta"

	
	//gl livestock_assets_index_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/livestock_assets_index_phonesvy.dta"
	gl livestock_revenue_index_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/livestock_revenue_index_phonesvy.dta"
	gl crop_production_index_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/crop_production_index_phonesvy.dta"
	gl business_rev_earnings_phonesvy		"${TUP_DB}/Phone_Survey/DataSets/Intermediate/business_rev_earnings_phonesvy.dta"
	gl timeuse_hh_phonesvy 					"${TUP_DB}/Phone_Survey/DataSets/Intermediate/time_activities_hh_phonesvy.dta"

	* To save graphs 
	gl output "${TUP_DB}/Phone_Survey/Output/Interim/graph revenues"
		
		
	use "${data_for_analysis_fl1}", clear  	
		gen tot_lstock_revenue_fl1 = tot_lstock_revenue * (117.15/112.83) // exclude animal products 
		gen tot_crop_revenue_fl1 = tot_crop_revenue * (117.15/112.83)
		gen tot_biz_revenue_fl1 = tot_biz_revenue * (117.15/112.83)
		gen tot_hh_pay_fl1 = tot_hh_pay * (117.15/112.83) // only count PM and PW 	
		rename tot_hh_income tot_hh_income_fl1
		keep if ultra_poor == 1 // UP only 
		
		tempfile temp fl1
		save `fl1'
	
	use "${livestock_revenue_index_phonesvy}", clear
		merge 1:1 hhid using "${phone_svy_profile}", keepusing(ultra_poor) keep(3) nogen
		merge 1:1 hhid using "${crop_production_index_phonesvy}", keepusing(tot_crop_revenue) //nogen
		merge 1:1 hhid using "${business_rev_earnings_phonesvy}", keepusing(tot_biz_revenue) nogen
		merge 1:1 hhid using "${timeuse_hh_phonesvy}", 			keepusing(tot_hh_pay) nogen
			*keep if round == 1 | round == 2 // already turned the "switch on" in respective do-files 
			keep if ultra_poor == 1 // UP only 
			
		collapse (sum) tot_lstock_revenue tot_crop_revenue tot_biz_revenue tot_hh_pay, by(hhid) // 840
		egen tot_hh_income = rowtotal(tot_hh_pay tot_lstock_revenue tot_crop_revenue tot_biz_revenue), missing

		merge 1:1 hhid using "`fl1'", keep(3) nogen keepusing(tot_lstock_revenue_fl1 tot_crop_revenue_fl1 tot_biz_revenue_fl1 tot_hh_pay_fl1 tot_hh_income_fl1)
	
	* Label for graphs 
		lab var tot_lstock_revenue "Livestock sales rev"
		lab var tot_crop_revenue "Crops rev"
		lab var tot_biz_revenue "Non-ag biz rev"
		lab var tot_hh_pay "PM, PW earnings"
		lab var tot_hh_income "Tot HH rev"
	
* Densities for Income
local tot_income tot_hh_income tot_lstock_revenue tot_crop_revenue tot_biz_revenue tot_hh_pay ///
	tot_hh_income_fl1 tot_lstock_revenue_fl1 tot_crop_revenue_fl1 tot_biz_revenue_fl1 tot_hh_pay_fl1

	foreach var of local tot_income {
		*replace `var' = 0.000000000001 if `var' == 0 // so 0s are kept in ln calcs
		 gen `var'_ln = ln(`var')
			
		}
		
local income tot_hh_income tot_lstock_revenue tot_crop_revenue tot_biz_revenue tot_hh_pay
		
foreach var of local income {
	local `var'_lab: var lab `var'
	kdensity `var'_ln, addplot(kdensity `var'_fl1_ln) legend(ring(0) pos(2) label(1 "Phone Survey") label(2 "Follow-up 1")) ///
			title("Nat log (excluding 0) of ``var'_lab' (2020 Afs) - UP") xtitle("") 
	qui graph export "${output}/ln_`var'_up.pdf", replace as(pdf)
}

stop


* Compare unit values for unit_value_cow unit_value_goat unit_value_sheep unit_value_chicken with fl1

unit_value_cow unit_value_goat unit_value_sheep unit_value_chicken


stop

* Densitities for Assets 
tot_lstock_value_ppp
wealth_score
property_score

* Densities for savings and loans  
saving_ppp
loan_ppp

* Well-being 
satisf_z_sdC_phonesvy
hap_z_sdC_phonesvy
cesd_z_sdC_phonesvy

