
   * ******************************************************************** *
   * ******************************************************************** *
   *                                                                      *
   *              Targeting the Ultra-Poor in Afghanistan                 *
   *               MASTER DO_FILE                                         *
   *                                                                      *
   * ******************************************************************** *
   * ******************************************************************** *

       /*
       ** PURPOSE:      Rural ultra-poor women in Afghanistan received a package including livestock assets, a monthly cash stipend and coaching during one year. Multiple rounds of data collection were conducted with the participants both before (baseline) and after the intervention. 

       ** OUTLINE:      PART 0: Standardize settings and install packages
                        PART 1: Set globals for dynamic file paths
                        PART 2: Set globals for constants and varlist
                               used across the project. Intall custom
                               commands needed.
                        PART 3: Call the task specific master do-files 
                               that call all do-files needed for that 
                               tas. Do not include Part 0-2 in a task
                               specific master do-file


       ** IDS VAR:      hhid       //Uniquely identifies households

       ** NOTES:	

       ** WRITEN BY:    Seungmin Lee (slee31@worldbank.org, eatorange@gmail.com)

       */

*iefolder*0*StandardSettings****************************************************
*iefolder will not work properly if the line above is edited

   * ******************************************************************** *
   *
   *       PART 0:  INSTALL PACKAGES AND STANDARDIZE SETTINGS
   *
   *           -Install packages needed to run all dofiles called
   *            by this master dofile.
   *           -Use ieboilstart to harmonize settings across users
   *
   * ******************************************************************** *

*iefolder*0*End_StandardSettings************************************************
*iefolder will not work properly if the line above is edited

       * all packages are in the MasterData/ado folder set by ieboilstart below

*iefolder*1*FolderGlobals*******************************************************
*iefolder will not work properly if the line above is edited

   * ******************************************************************** *
   *
   *       PART 1:  PREPARING FOLDER PATH GLOBALS
   *
   *           -Set the global box to point to the project folder
   *            on each collaborators computer.
   *           -Set other locals that point to other folders of interest.
   *
   * ******************************************************************** *

   * Users
   * -----------

	
	* Add username of each collaborator and directory
	* To find STATA username, type "display "`c(username)'" in STATA command prompt.
	*!!!!!!!!!! Also need to update path for R, only script used is here Github/AFG-TUP/DataWork/IE_Phone_paper/R Script/Analysis. 
	
		* Thomas WB
		if "`c(username)'" == "WB464819"{

			global	Dropbox			"C:/Users/wb464819/Dropbox/TUP"				//	Dropbox
			
			* 
			global	TUP_DB			"${Dropbox}/DataWork_CodeReview_phone"				//	KePSIE	(Dropbox)
			/*
			global	TUP_DB			"${Dropbox}/DataWork"				//	KePSIE	(Dropbox)			
			*/
			
			global	Github		 	"C:/Users/wb464819/Github"		//	Git Repository

			global	mounted		 	"E:"									//	On which disk to mount Veracrypt
			global	TUP_DB_PII		"${Dropbox}/DataWork_PII" //	TUP PII	(Dropbox)
			
			global  Rterm 			"C:/Program Files/R/R-4.2.1/bin/x64/Rterm.exe" //Rterm application which will allow to run a R script from R using rsouce. Usually it can be found at the following path /usr/local/bin/R for Mac users and c:/r/R-4.2.1/bin/Rterm.exe for windows useers. Notice the two different ways of writing the path when you have a mac or a windows. 				
	   }
	   
	   	if "`c(username)'" == "wb614536"{

			global	Dropbox			"C:/Users/wb614536/OneDrive - WBG/Documents/Reproducibility/20230905-afg-tup-phonesvy-v2/"				//	Dropbox
			
			* 
			global	TUP_DB			"${Dropbox}/DataWork_IE_Phone_Paper_Review"				//	KePSIE	(Dropbox)
			/*
			global	TUP_DB			"${Dropbox}/DataWork"				//	KePSIE	(Dropbox)			
			*/
			
			global	Github		 	"C:/Users/wb614536/Github"		//	Git Repository

			global	mounted		 	"E:"									//	On which disk to mount Veracrypt
			global	TUP_DB_PII		"${Dropbox}/DataWork_PII" //	TUP PII	(Dropbox)
			
			global  Rterm 			"C:/Program Files/R/R-4.3.0/bin/x64Rterm.exe" //Rterm application which will allow to run a R script from R using rsouce. Usually it can be found at the following path /usr/local/bin/R for Mac users and c:/r/R-4.2.1/bin/Rterm.exe for windows useers. Notice the two different ways of writing the path when you have a mac or a windows. 				
	   }

	
 *These lines are used to test that name ois not already used (do not edit manually)
*round*PRA_Lottery*Baseline*TUP_Monitoring*Follow_up_1*Paper_Targeting*Briefs*Presentations*Others*Phone_Survey
*untObs*************************************************************************
*subFld*Interim_analysis********************************************************
*iefolder will not work properly if the lines above are edited  

   * Project folder globals
   * ---------------------
	global	projectfolder		"${Github}/AFG-TUP"
	global	dataWorkFolder      "${projectfolder}/DataWork"
   
   
   global Profile               "$dataWorkFolder/Profile_and_merging" 
   global Profile_dt            "$Profile/DataSets" 
   global Profile_do            "$Profile/Dofiles" 
   
*iefolder*1*FolderGlobals*subfolder*********************************************
*iefolder will not work properly if the line above is edited

   *Interim_analysis sub-folder globals
   global Interim_analysis       "$dataWorkFolder/Interim_analysis" 
   global Interim_analysis_encrypt"$encryptFolder/Subfolder Interim_analysis Encrypted" 
   
*iefolder*1*FolderGlobals*master************************************************
*iefolder will not work properly if the line above is edited

   global mastData               "$dataWorkFolder/MasterData" 

*iefolder*1*FolderGlobals*encrypted***********************************************
*iefolder will not work properly if the line above is edited

   global encryptFolder          "$dataWorkFolder/EncryptedData" 

*iefolder*1*RoundGlobals*rounds*Baseline*Baseline*******************************
*iefolder will not work properly if the line above is edited

   *Baseline folder globals
   global Baseline               "$dataWorkFolder/Baseline" 
   global Baseline_dt            "$Baseline/DataSets" 
   global Baseline_do            "$Baseline/Dofiles" 
   global Baseline_out           "$Baseline/Output" 

*iefolder*1*RoundGlobals*rounds*Followup_1*fl1**********************************
*iefolder will not work properly if the line above is edited

   *Followup_1 folder globals
   global fl1                    "$dataWorkFolder/Followup_1" 
   global fl1_dt                 "$fl1/DataSets" 
   global fl1_do                 "$fl1/Dofiles" 
   global fl1_out                "$fl1/Output" 
   
*iefolder*1*RoundGlobals*rounds*Monitoring*Monitoring***************************
*iefolder will not work properly if the line above is edited

   *Monitoring folder globals
   global Monitoring             "$dataWorkFolder/Monitoring" 
   global Monitoring_dt          "$Monitoring/DataSets" 
   global Monitoring_do          "$Monitoring/Dofiles" 
   global Monitoring_out         "$Monitoring/Output" 


*iefolder*1*RoundGlobals*rounds*Targeting_paper*Targ****************************
*iefolder will not work properly if the line above is edited

   *Targeting_paper folder globals
   global Targ                   "$dataWorkFolder/Targeting_paper" 
   global Targ_dt                "$Targ/DataSets" 
   global Targ_do                "$Targ/Dofiles" 
   global Targ_out               "$Targ/Output" 


*iefolder*1*RoundGlobals*rounds*IDP_paper*IDP***********************************
*iefolder will not work properly if the line above is edited

   *IDP_paper folder globals
   global IDP                    "$dataWorkFolder/IDP_paper" 
   global IDP_dt                 "$IDP/DataSets" 
   global IDP_do                 "$IDP/Dofiles" 
   global IDP_out                "$IDP/Output" 


*iefolder*1*RoundGlobals*rounds*IE_Main_paper*IE_Main_paper*********************
*iefolder will not work properly if the line above is edited

   *IE_Main_paper folder globals
   global IE_Main_paper          "$dataWorkFolder/IE_Main_paper" 
   global IE_Main_paper_dt       "$IE_Main_paper/DataSets" 
   global IE_Main_paper_do       "$IE_Main_paper/Dofiles" 
   global IE_Main_paper_out      "$IE_Main_paper/Output" 


   


*iefolder*1*RoundGlobals*rounds*Briefs*Briefs***********************************
*iefolder will not work properly if the line above is edited

   *Briefs folder globals
   global Briefs                 "$dataWorkFolder/Interim_analysis/Briefs" 
   global Briefs_encrypt         "$encryptFolder/Subfolder Interim_analysis Encrypted/Round Briefs Encrypted" 
   global Briefs_dt              "$Briefs/DataSets" 
   global Briefs_do              "$Briefs/Dofiles" 
   global Briefs_out             "$Briefs/Output" 


*iefolder*1*RoundGlobals*rounds*Presentations*Presentations*********************
*iefolder will not work properly if the line above is edited

   *Presentations folder globals
   global Presentations          "$dataWorkFolder/Interim_analysis/Presentations" 
   global Presentations_encrypt  "$encryptFolder/Subfolder Interim_analysis Encrypted/Round Presentations Encrypted" 
   global Presentations_dt       "$Presentations/DataSets" 
   global Presentations_do       "$Presentations/Dofiles" 
   global Presentations_out      "$Presentations/Output" 


*iefolder*1*RoundGlobals*rounds*Others*Others***********************************
*iefolder will not work properly if the line above is edited

   *Others folder globals
   global Others                 "$dataWorkFolder/Interim_analysis/Others" 
   global Others_encrypt         "$encryptFolder/Subfolder Interim_analysis Encrypted/Round Others Encrypted" 
   global Others_dt              "$Others/DataSets" 
   global Others_do              "$Others/Dofiles" 
   global Others_out             "$Others/Output" 

*iefolder*1*RoundGlobals*rounds*Phone_Survey*Phone_Survey***********************
*iefolder will not work properly if the line above is edited

   *Phone_Survey folder globals
   global Phone_Survey           "$dataWorkFolder/Phone_Survey" 
   global Phone_Survey_encrypt   "$encryptFolder/Round Phone_Survey Encrypted" 
   global Phone_Survey_dt        "$Phone_Survey/DataSets" 
   global Phone_Survey_do        "$Phone_Survey/Dofiles" 
   global Phone_Survey_out       "$Phone_Survey/Output" 



*iefolder*1*RoundGlobals*rounds*IE_Phone_paper*IE_Phone_paper***********************
*iefolder will not work properly if the line above is edited

   *Phone_Survey folder globals
   global IE_Phone_paper           "$dataWorkFolder/IE_Phone_paper" 
   global IE_Phone_paper_encrypt   "$encryptFolder/Round IE_Phone_paper Encrypted" 
   global IE_Phone_paper_dt        "$IE_Phone_paper/DataSets" 
   global IE_Phone_paper_do        "$IE_Phone_paper/Dofiles" 
   global IE_Phone_paper_out       "$IE_Phone_paper/Output" 

 
*iefolder*1*RoundGlobals*rounds*Phone_Survey*Phone_Survey***********************
*iefolder will not work properly if the line above is edited

   *Phone_Survey folder globals
   global Phone_Survey           "$dataWorkFolder/Phone_Survey" 
   global Phone_Survey_encrypt   "$encryptFolder/Round Phone_Survey Encrypted" 
   global Phone_Survey_dt        "$Phone_Survey/DataSets" 
   global Phone_Survey_do        "$Phone_Survey/Dofiles" 
   global Phone_Survey_out       "$Phone_Survey/Output" 

*iefolder*1*FolderGlobals*endRounds*********************************************
*iefolder will not work properly if the line above is edited


*iefolder*1*End_FolderGlobals***************************************************
*iefolder will not work properly if the line above is edited


*iefolder*2*StandardGlobals*****************************************************
*iefolder will not work properly if the line above is edited

   * Set all non-folder path globals that are constant accross
   * the project. Examples are conversion rates used in unit
   * standardization, differnt set of control variables,
   * ado file paths etc.
   
   global ado 					"${mastData}/ado"

   do							"$dataWorkFolder/global_setup.do" 

  
 * Check that any version of ietoolkit is installed  
  cap	which	ietoolkit
	if	_rc	==	111	{
		ssc install ietoolkit, replace
	}
	
* Prompt update if the version is too old 		
	ietoolkit
	if	r(version) < 7	{
		ado update ietoolkit, update
}


	*Standardize settings accross users
   ieboilstart, version(13.1) adopath("${ado}", strict)      //Set the version number to the oldest version used by anyone in the project team and sets the folder where all ado files and user written command are located => No need to install any of these
   `r(version)'                    //This line is needed to actually set the version from the command above

   
*iefolder*2*End_StandardGlobals*************************************************
*iefolder will not work properly if the line above is edited


*iefolder*3*RunDofiles**********************************************************
*iefolder will not work properly if the line above is edited

   * ******************************************************************** *
   *
   *       PART 3: - RUN ROUND MASTER DOFILES CALLED BY THIS MASTER DO FILE
   *
   *           -When survey rounds are added, this section will
   *            link to the master dofile for that round.
   *           -The default is that these dofiles are set to not
   *            run. It is rare that all round specfic master dofiles
   *            are called at the same time, the round specific master
   *            dofiles are almost always called individually. The
   *            exception is when reviewing or replicating a full project.
   *
   * ******************************************************************** *
   

*iefolder*3*RunDofiles*Baseline*Baseline****************************************
*iefolder will not work properly if the line above is edited

   if (1) { //Change the 0 to 1 to run the Baseline master dofile
       do "$Baseline/Baseline_MasterDofile.do" 
   }
   
*iefolder*3*RunDofiles*Followup_1*Follow_up_1**********************************
*iefolder will not work properly if the line above is edited

   if (1) { //Change the 0 to 1 to run the Followup_1 master dofile
       do "$fl1/Followup_1_MasterDofile.do" 
   }
   
*iefolder*3*RunDofiles*IE_Main_paper*IE_Main_paper******************************
*iefolder will not work properly if the line above is edited

   if (0) { //Change the 0 to 1 to run the IE_Main_paper master dofile
       do "$IE_Main_paper/IE_Main_paper_MasterDofile.do" 
   }   
  
*iefolder*3*RunDofiles*PRA_Lottery*PRA_Lottery**********************************
*iefolder will not work properly if the line above is edited

   if (0) { //Change the 0 to 1 to run the PRA_Lottery master dofile
       do "$PRA_Lottery/PRA_Lottery_MasterDofile.do" 
   }

*iefolder*3*RunDofiles*Paper_Targeting*Paper_Targeting**************************
*iefolder will not work properly if the line above is edited

   if (0) { //Change the 0 to 1 to run the Paper_Targeting master dofile
       do "$Paper_Targeting/Paper_Targeting_MasterDofile.do" 
   }

*iefolder*3*RunDofiles*Monitoring*Monitoring************************************
*iefolder will not work properly if the line above is edited

   if (0) { //Change the 0 to 1 to run the Monitoring master dofile
       do "$Monitoring/Monitoring_MasterDofile.do" 
   }


*iefolder*3*RunDofiles*Targeting_paper*Targ*************************************
*iefolder will not work properly if the line above is edited

   if (0) { //Change the 0 to 1 to run the Targeting_paper master dofile
       do "$Targ/Targeting_paper_MasterDofile.do" 
   }


*iefolder*3*RunDofiles*IDP_paper*IDP********************************************
*iefolder will not work properly if the line above is edited

   if (0) { //Change the 0 to 1 to run the IDP_paper master dofile
       do "$IDP/IDP_paper_MasterDofile.do" 
   }


*iefolder*3*RunDofiles*Phone_Survey*Phone_svy**************************
*iefolder will not work properly if the line above is edited


   if (1) { //Change the 0 to 1 to run the Phone_svy master dofile
       do "$Phone_Survey/Phone_svy_MasterDofile.do" 
   }

   
*iefolder*3*RunDofiles*Phone_Survey*Phone_svy**************************
*iefolder will not work properly if the line above is edited

   if (1) { //Change the 0 to 1 to run the IE_Phone_paper_MasterDofile master dofile
       do "$IE_Phone_paper/IE_Phone_paper_MasterDofile.do" 
   }
   
